From 6e35dd403b3ccc6ee3a61988f7cf7fd22deb7322 Mon Sep 17 00:00:00 2001
From: qssam <Sam.Webb@quiet-storm.net>
Date: Tue, 7 Feb 2017 17:10:34 +0000
Subject: [PATCH] Fix to window.opener vulnerability in browser, OS and search
 engine links

Reference: https://mathiasbynens.github.io/rel-noopener/
---
 wwwroot/cgi-bin/lib/browsers.pm          |   30 +-
 wwwroot/cgi-bin/lib/browsers_phone.pm    |   30 +-
 wwwroot/cgi-bin/lib/operating_systems.pm |  170 +--
 wwwroot/cgi-bin/lib/search_engines.pm    | 2248 +++++++++++++++---------------
 4 files changed, 1239 insertions(+), 1239 deletions(-)

diff --git a/wwwroot/cgi-bin/lib/browsers.pm b/wwwroot/cgi-bin/lib/browsers.pm
index 0551b9fe..fdf3dfb2 100644
--- a/wwwroot/cgi-bin/lib/browsers.pm
+++ b/wwwroot/cgi-bin/lib/browsers.pm
@@ -383,27 +383,27 @@
 'abilon','Abilon (RSS Reader)',
 'aggrevator', 'Aggrevator (RSS Reader)',
 'aiderss', 'AideRSS (RSS Reader)',
-'akregator','<a href="http://akregator.sourceforge.net/" title="Browser home page [new window]" target="_blank">Akregator (RSS Reader)</a>',  
-'applesyndication','<a href="http://www.apple.com/macosx/features/safari/" title="Browser home page [new window]" target="_blank">AppleSyndication (RSS Reader)</a>',
+'akregator','<a href="http://akregator.sourceforge.net/" title="Browser home page [new window]" target="_blank" rel="noopener noreferrer">Akregator (RSS Reader)</a>',  
+'applesyndication','<a href="http://www.apple.com/macosx/features/safari/" title="Browser home page [new window]" target="_blank" rel="noopener noreferrer">AppleSyndication (RSS Reader)</a>',
 'betanews_reader','Betanews Reader (RSS Reader)',
-'blogbridge','<a href="http://www.blogbridge.com/" title="Browser home page [new window]" target="_blank">BlogBridge (RSS Reader)</a>',
+'blogbridge','<a href="http://www.blogbridge.com/" title="Browser home page [new window]" target="_blank" rel="noopener noreferrer">BlogBridge (RSS Reader)</a>',
 'cyndicate','Cyndicate (RSS Reader)',
 'feeddemon', 'FeedDemon (RSS Reader)',
 'feedreader', 'FeedReader (RSS Reader)',
-'feedtools','<a href="http://sporkmonger.com/projects/feedtools/" title="Browser home page [new window]" target="_blank">FeedTools (RSS Reader)</a>',
-'greatnews','<a href="http://www.curiostudio.com/" title="Browser home page [new window]" target="_blank">GreatNews (RSS Reader)</a>',
-'gregarius','<a href="http://devlog.gregarius.net/docs/ua" title="Browser home page [new window]" target="_blank">Gregarius (RSS Reader)</a>',
-'hatena_rss','<a href="http://r.hatena.ne.jp/" title="Browser home page [new window]" target="_blank">Hatena (RSS Reader)</a>',
+'feedtools','<a href="http://sporkmonger.com/projects/feedtools/" title="Browser home page [new window]" target="_blank" rel="noopener noreferrer">FeedTools (RSS Reader)</a>',
+'greatnews','<a href="http://www.curiostudio.com/" title="Browser home page [new window]" target="_blank" rel="noopener noreferrer">GreatNews (RSS Reader)</a>',
+'gregarius','<a href="http://devlog.gregarius.net/docs/ua" title="Browser home page [new window]" target="_blank" rel="noopener noreferrer">Gregarius (RSS Reader)</a>',
+'hatena_rss','<a href="http://r.hatena.ne.jp/" title="Browser home page [new window]" target="_blank" rel="noopener noreferrer">Hatena (RSS Reader)</a>',
 'jetbrains_omea', 'Omea (RSS Reader)',
-'liferea','<a href="http://liferea.sourceforge.net/" title="Browser home page [new window]" target="_blank">Liferea (RSS Reader)</a>',
+'liferea','<a href="http://liferea.sourceforge.net/" title="Browser home page [new window]" target="_blank" rel="noopener noreferrer">Liferea (RSS Reader)</a>',
 'netnewswire', 'NetNewsWire (RSS Reader)',
 'newsfire', 'NewsFire (RSS Reader)',
 'newsgator', 'NewsGator (RSS Reader)',
 'newzcrawler', 'NewzCrawler (RSS Reader)',
 'plagger', 'Plagger (RSS Reader)',
 'pluck', 'Pluck (RSS Reader)',
-'potu','<a href="http://www.potu.com/" title="Potu Rss-Reader home page [new window]" target="_blank">Potu (RSS Reader)</a>',
-'pubsub\-rss\-reader','<a href="http://www.pubsub.com/" title="Browser home page [new window]" target="_blank">PubSub (RSS Reader)</a>',
+'potu','<a href="http://www.potu.com/" title="Potu Rss-Reader home page [new window]" target="_blank" rel="noopener noreferrer">Potu (RSS Reader)</a>',
+'pubsub\-rss\-reader','<a href="http://www.pubsub.com/" title="Browser home page [new window]" target="_blank" rel="noopener noreferrer">PubSub (RSS Reader)</a>',
 'pulpfiction', 'PulpFiction (RSS Reader)',
 'rssbandit', 'RSS Bandit (RSS Reader)',
 'rssreader', 'RssReader (RSS Reader)',
@@ -415,7 +415,7 @@
 'shrook', 'Shrook (RSS Reader)',
 'straw', 'Straw (RSS Reader)',
 'syndirella', 'Syndirella (RSS Reader)',
-'vienna', '<a href="http://www.vienna-rss.org/" title="Vienna RSS-Reader [new window]" target="_blank">Vienna (RSS Reader)</a>',
+'vienna', '<a href="http://www.vienna-rss.org/" title="Vienna RSS-Reader [new window]" target="_blank" rel="noopener noreferrer">Vienna (RSS Reader)</a>',
 'wizz\srss\snews\sreader','Wizz RSS News Reader (RSS Reader)',
 # PDA/Phonecell browsers
 'alcatel','Alcatel Browser (PDA/Phone browser)',
@@ -450,9 +450,9 @@
 'webtv','WebTV browser',
 'democracy','Democracy',
 # Anonymous Proxy Browsers (can be used as grabbers as well...)
-'cjb\.net','<a href="http://proxy.cjb.net/" title="Browser home page [new window]" target="_blank">CJB.NET Proxy</a>',
-'ossproxy','<a href="http://www.marketscore.com/FAQ.Aspx" title="OSSProxy home page [new window]" target="_blank">OSSProxy</a>',
-'smallproxy','<a href="http://www.smallproxy.ru/" title="SmallProxy home page [new window]" target="_blank">SmallProxy</a>',
+'cjb\.net','<a href="http://proxy.cjb.net/" title="Browser home page [new window]" target="_blank" rel="noopener noreferrer">CJB.NET Proxy</a>',
+'ossproxy','<a href="http://www.marketscore.com/FAQ.Aspx" title="OSSProxy home page [new window]" target="_blank" rel="noopener noreferrer">OSSProxy</a>',
+'smallproxy','<a href="http://www.smallproxy.ru/" title="SmallProxy home page [new window]" target="_blank" rel="noopener noreferrer">SmallProxy</a>',
 # Other kind of browsers
 'adobeair','AdobeAir',
 'apt','Debian APT',
@@ -462,7 +462,7 @@
 'curl','Curl',
 'csscheck','WDG CSS Validator',
 'httrack','HTTrack',
-'fdm','<a href="http://www.freedownloadmanager.org/" title="Browser home page [new window]" target="_blank">FDM Free Download Manager</a>',
+'fdm','<a href="http://www.freedownloadmanager.org/" title="Browser home page [new window]" target="_blank" rel="noopener noreferrer">FDM Free Download Manager</a>',
 'javaws','Java Web Start',
 'wget','Wget',
 'fget','FGet',
diff --git a/wwwroot/cgi-bin/lib/browsers_phone.pm b/wwwroot/cgi-bin/lib/browsers_phone.pm
index 60918216..384536b5 100644
--- a/wwwroot/cgi-bin/lib/browsers_phone.pm
+++ b/wwwroot/cgi-bin/lib/browsers_phone.pm
@@ -762,27 +762,27 @@
 'abilon','Abilon (RSS Reader)',
 'aggrevator', 'Aggrevator (RSS Reader)',
 'aiderss', 'AideRSS (RSS Reader)',
-'akregator','<a href="http://akregator.sourceforge.net/" title="Browser home page [new window]" target="_blank">Akregator (RSS Reader)</a>',  
-'applesyndication','<a href="http://www.apple.com/macosx/features/safari/" title="Browser home page [new window]" target="_blank">AppleSyndication (RSS Reader)</a>',
+'akregator','<a href="http://akregator.sourceforge.net/" title="Browser home page [new window]" target="_blank" rel="noopener noreferrer">Akregator (RSS Reader)</a>',  
+'applesyndication','<a href="http://www.apple.com/macosx/features/safari/" title="Browser home page [new window]" target="_blank" rel="noopener noreferrer">AppleSyndication (RSS Reader)</a>',
 'betanews_reader','Betanews Reader (RSS Reader)',
-'blogbridge','<a href="http://www.blogbridge.com/" title="Browser home page [new window]" target="_blank">BlogBridge (RSS Reader)</a>',
+'blogbridge','<a href="http://www.blogbridge.com/" title="Browser home page [new window]" target="_blank" rel="noopener noreferrer">BlogBridge (RSS Reader)</a>',
 'cyndicate','Cyndicate (RSS Reader)',
 'feeddemon', 'FeedDemon (RSS Reader)',
 'feedreader', 'FeedReader (RSS Reader)',
-'feedtools','<a href="http://sporkmonger.com/projects/feedtools/" title="Browser home page [new window]" target="_blank">FeedTools (RSS Reader)</a>',
-'greatnews','<a href="http://www.curiostudio.com/" title="Browser home page [new window]" target="_blank">GreatNews (RSS Reader)</a>',
-'gregarius','<a href="http://devlog.gregarius.net/docs/ua" title="Browser home page [new window]" target="_blank">Gregarius (RSS Reader)</a>',
-'hatena_rss','<a href="http://r.hatena.ne.jp/" title="Browser home page [new window]" target="_blank">Hatena (RSS Reader)</a>',
+'feedtools','<a href="http://sporkmonger.com/projects/feedtools/" title="Browser home page [new window]" target="_blank" rel="noopener noreferrer">FeedTools (RSS Reader)</a>',
+'greatnews','<a href="http://www.curiostudio.com/" title="Browser home page [new window]" target="_blank" rel="noopener noreferrer">GreatNews (RSS Reader)</a>',
+'gregarius','<a href="http://devlog.gregarius.net/docs/ua" title="Browser home page [new window]" target="_blank" rel="noopener noreferrer">Gregarius (RSS Reader)</a>',
+'hatena_rss','<a href="http://r.hatena.ne.jp/" title="Browser home page [new window]" target="_blank" rel="noopener noreferrer">Hatena (RSS Reader)</a>',
 'jetbrains_omea', 'Omea (RSS Reader)',
-'liferea','<a href="http://liferea.sourceforge.net/" title="Browser home page [new window]" target="_blank">Liferea (RSS Reader)</a>',
+'liferea','<a href="http://liferea.sourceforge.net/" title="Browser home page [new window]" target="_blank" rel="noopener noreferrer">Liferea (RSS Reader)</a>',
 'netnewswire', 'NetNewsWire (RSS Reader)',
 'newsfire', 'NewsFire (RSS Reader)',
 'newsgator', 'NewsGator (RSS Reader)',
 'newzcrawler', 'NewzCrawler (RSS Reader)',
 'plagger', 'Plagger (RSS Reader)',
 'pluck', 'Pluck (RSS Reader)',
-'potu','<a href="http://www.potu.com/" title="Potu Rss-Reader home page [new window]" target="_blank">Potu (RSS Reader)</a>',
-'pubsub\-rss\-reader','<a href="http://www.pubsub.com/" title="Browser home page [new window]" target="_blank">PubSub (RSS Reader)</a>',
+'potu','<a href="http://www.potu.com/" title="Potu Rss-Reader home page [new window]" target="_blank" rel="noopener noreferrer">Potu (RSS Reader)</a>',
+'pubsub\-rss\-reader','<a href="http://www.pubsub.com/" title="Browser home page [new window]" target="_blank" rel="noopener noreferrer">PubSub (RSS Reader)</a>',
 'pulpfiction', 'PulpFiction (RSS Reader)',
 'rssbandit', 'RSS Bandit (RSS Reader)',
 'rssreader', 'RssReader (RSS Reader)',
@@ -794,7 +794,7 @@
 'shrook', 'Shrook (RSS Reader)',
 'straw', 'Straw (RSS Reader)',
 'syndirella', 'Syndirella (RSS Reader)',
-'vienna', '<a href="http://www.vienna-rss.org/" title="Vienna RSS-Reader [new window]" target="_blank">Vienna (RSS Reader)</a>',
+'vienna', '<a href="http://www.vienna-rss.org/" title="Vienna RSS-Reader [new window]" target="_blank" rel="noopener noreferrer">Vienna (RSS Reader)</a>',
 'wizz\srss\snews\sreader','Wizz RSS News Reader (RSS Reader)',
 # PDA/Phonecell browsers
 'alcatel\-be4','Alcatel BE4 (phone)',
@@ -1213,9 +1213,9 @@
 'webtv','WebTV browser',
 'democracy','Democracy',
 # Anonymous Proxy Browsers (can be used as grabbers as well...)
-'cjb\.net','<a href="http://proxy.cjb.net/" title="Browser home page [new window]" target="_blank">CJB.NET Proxy</a>',
-'ossproxy','<a href="http://www.marketscore.com/FAQ.Aspx" title="OSSProxy home page [new window]" target="_blank">OSSProxy</a>',
-'smallproxy','<a href="http://www.smallproxy.ru/" title="SmallProxy home page [new window]" target="_blank">SmallProxy</a>',
+'cjb\.net','<a href="http://proxy.cjb.net/" title="Browser home page [new window]" target="_blank" rel="noopener noreferrer">CJB.NET Proxy</a>',
+'ossproxy','<a href="http://www.marketscore.com/FAQ.Aspx" title="OSSProxy home page [new window]" target="_blank" rel="noopener noreferrer">OSSProxy</a>',
+'smallproxy','<a href="http://www.smallproxy.ru/" title="SmallProxy home page [new window]" target="_blank" rel="noopener noreferrer">SmallProxy</a>',
 # Other kind of browsers
 'adobeair','AdobeAir',
 'apt','Debian APT',
@@ -1225,7 +1225,7 @@
 'curl','Curl',
 'csscheck','WDG CSS Validator',
 'httrack','HTTrack',
-'fdm','<a href="http://www.freedownloadmanager.org/" title="Browser home page [new window]" target="_blank">FDM Free Download Manager</a>',
+'fdm','<a href="http://www.freedownloadmanager.org/" title="Browser home page [new window]" target="_blank" rel="noopener noreferrer">FDM Free Download Manager</a>',
 'javaws','Java Web Start',
 'wget','Wget',
 'fget','FGet',
diff --git a/wwwroot/cgi-bin/lib/operating_systems.pm b/wwwroot/cgi-bin/lib/operating_systems.pm
index a57a3424..249a1764 100644
--- a/wwwroot/cgi-bin/lib/operating_systems.pm
+++ b/wwwroot/cgi-bin/lib/operating_systems.pm
@@ -260,103 +260,103 @@
 #-----------------------------------------------------------
 %OSHashLib      = (
 # Windows family OS
-'win10','<a href="http://www.microsoft.com/windows10/" title="Windows 10 home page [new window]" target="_blank">Windows 10</a>',
-'win8.1','<a href="http://www.microsoft.com/windows8/" title="Windows 8.1 home page [new window]" target="_blank">Windows 8.1</a>',
-'win8','<a href="http://www.microsoft.com/windows8/" title="Windows 8 home page [new window]" target="_blank">Windows 8</a>',
-'win7','<a href="http://windows.microsoft.com/en-US/windows7/products/home/" title="Windows 7 home page [new window]" target="_blank">Windows 7</a>',
-'winlong','<a href="http://www.microsoft.com/windows/" title="Windows Vista home page [new window]" target="_blank">Windows Vista (LongHorn)</a>',
-'win2008','<a href="http://www.microsoft.com/windowsserver2008/" title="Windows 2008 home page [new window]" target="_blank">Windows 2008</a>',
-'win2012','<a href="http://www.microsoft.com/en-us/server-cloud/windows-server/2012-default.aspx/" title="Windows Server 2012 home page [new window]" target="_blank">Windows Server 2012</a>',
-'winvista','<a href="http://www.microsoft.com/windowsvista/" title="Windows Vista home page [new window]" target="_blank">Windows Vista</a>',
-'win2003','<a href="http://www.microsoft.com/windowsserver2003/" title="Windows 2003 home page [new window]" target="_blank">Windows 2003</a>',
-'winxp','<a href="http://www.microsoft.com/windowsxp/" title="Windows XP home page [new window]" target="_blank">Windows XP</a>',
-'winme','<a href="http://support.microsoft.com/ph/6519/" title="Windows ME support page [new window]" target="_blank">Windows ME</a>',
-'win2000','<a href="http://support.microsoft.com/ph/1131" title="Windows 2000 support page [new window]" target="_blank">Windows 2000</a>',
-'winnt','<a href="http://support.microsoft.com/default.aspx?pr=ntw40" title="Windows NT support page [new window]" target="_blank">Windows NT</a>',
-'win98','<a href="http://support.microsoft.com/w98" title="Windows 98 support page [new window]" target="_blank">Windows 98</a>',
-'win95','<a href="http://support.microsoft.com/ph/7864" title="Windows 95 support page [new window]" target="_blank">Windows 95</a>',
-'win16','<a href="http://www.microsoft.com/windows/WinHistoryDesktop.mspx#E1B" title="Windows 3.xx history page [new window]" target="_blank">Windows 3.xx</a>',
-'wince','<a href="http://www.microsoft.com/windowsmobile/" title="Windows Mobile home page [new window]" target="_blank">Windows Mobile</a>',
-'winphone','<a href="http://www.microsoft.com/windowsphone/" title="Windows Phone home page [new window]" target="_blank">Windows Phone</a>',
+'win10','<a href="http://www.microsoft.com/windows10/" title="Windows 10 home page [new window]" target="_blank" rel="noopener noreferrer">Windows 10</a>',
+'win8.1','<a href="http://www.microsoft.com/windows8/" title="Windows 8.1 home page [new window]" target="_blank" rel="noopener noreferrer">Windows 8.1</a>',
+'win8','<a href="http://www.microsoft.com/windows8/" title="Windows 8 home page [new window]" target="_blank" rel="noopener noreferrer">Windows 8</a>',
+'win7','<a href="http://windows.microsoft.com/en-US/windows7/products/home/" title="Windows 7 home page [new window]" target="_blank" rel="noopener noreferrer">Windows 7</a>',
+'winlong','<a href="http://www.microsoft.com/windows/" title="Windows Vista home page [new window]" target="_blank" rel="noopener noreferrer">Windows Vista (LongHorn)</a>',
+'win2008','<a href="http://www.microsoft.com/windowsserver2008/" title="Windows 2008 home page [new window]" target="_blank" rel="noopener noreferrer">Windows 2008</a>',
+'win2012','<a href="http://www.microsoft.com/en-us/server-cloud/windows-server/2012-default.aspx/" title="Windows Server 2012 home page [new window]" target="_blank" rel="noopener noreferrer">Windows Server 2012</a>',
+'winvista','<a href="http://www.microsoft.com/windowsvista/" title="Windows Vista home page [new window]" target="_blank" rel="noopener noreferrer">Windows Vista</a>',
+'win2003','<a href="http://www.microsoft.com/windowsserver2003/" title="Windows 2003 home page [new window]" target="_blank" rel="noopener noreferrer">Windows 2003</a>',
+'winxp','<a href="http://www.microsoft.com/windowsxp/" title="Windows XP home page [new window]" target="_blank" rel="noopener noreferrer">Windows XP</a>',
+'winme','<a href="http://support.microsoft.com/ph/6519/" title="Windows ME support page [new window]" target="_blank" rel="noopener noreferrer">Windows ME</a>',
+'win2000','<a href="http://support.microsoft.com/ph/1131" title="Windows 2000 support page [new window]" target="_blank" rel="noopener noreferrer">Windows 2000</a>',
+'winnt','<a href="http://support.microsoft.com/default.aspx?pr=ntw40" title="Windows NT support page [new window]" target="_blank" rel="noopener noreferrer">Windows NT</a>',
+'win98','<a href="http://support.microsoft.com/w98" title="Windows 98 support page [new window]" target="_blank" rel="noopener noreferrer">Windows 98</a>',
+'win95','<a href="http://support.microsoft.com/ph/7864" title="Windows 95 support page [new window]" target="_blank" rel="noopener noreferrer">Windows 95</a>',
+'win16','<a href="http://www.microsoft.com/windows/WinHistoryDesktop.mspx#E1B" title="Windows 3.xx history page [new window]" target="_blank" rel="noopener noreferrer">Windows 3.xx</a>',
+'wince','<a href="http://www.microsoft.com/windowsmobile/" title="Windows Mobile home page [new window]" target="_blank" rel="noopener noreferrer">Windows Mobile</a>',
+'winphone','<a href="http://www.microsoft.com/windowsphone/" title="Windows Phone home page [new window]" target="_blank" rel="noopener noreferrer">Windows Phone</a>',
 'winunknown','Windows (unknown version)',
-'winxbox','<a href="http://www.xbox.com/" title="Microsoft XBOX home page [new window]" target="_blank">Microsoft XBOX</a>',
+'winxbox','<a href="http://www.xbox.com/" title="Microsoft XBOX home page [new window]" target="_blank" rel="noopener noreferrer">Microsoft XBOX</a>',
 # Macintosh OS
-'macosx12','<a href="http://www.apple.com/macosx/" title="Mac OS X home page [new window]" target="_blank">Mac OS X 10.12 Sierra</a>',
-'macosx11','<a href="http://www.apple.com/macosx/" title="Mac OS X home page [new window]" target="_blank">Mac OS X 10.11 El Capitan</a>',
-'macosx10','<a href="http://www.apple.com/macosx/" title="Mac OS X home page [new window]" target="_blank">Mac OS X 10.10 Yosemite</a>',
-'macosx9','<a href="http://www.apple.com/macosx/" title="Mac OS X home page [new window]" target="_blank">Mac OS X 10.9 Mavericks</a>',
-'macosx8','<a href="http://www.apple.com/macosx/" title="Mac OS X home page [new window]" target="_blank">Mac OS X 10.8 Mountain Lion</a>',
-'macosx7','<a href="http://www.apple.com/macosx/" title="Mac OS X home page [new window]" target="_blank">Mac OS X 10.7 Lion</a>',
-'macosx6','<a href="http://www.apple.com/macosx/" title="Mac OS X home page [new window]" target="_blank">Mac OS X 10.6 Snow Leopard</a>',
-'macosx5','<a href="http://www.apple.com/macosx/" title="Mac OS X home page [new window]" target="_blank">Mac OS X 10.5 Leopard</a>',
-'macosx4','<a href="http://www.apple.com/macosx/" title="Mac OS X home page [new window]" target="_blank">Mac OS X 10.4 Tiger</a>',
-'macosx','<a href="http://www.apple.com/macosx/" title="Mac OS X home page [new window]" target="_blank">Mac OS X others</a>',
-'macintosh','<a href="http://www.apple.com/" title="Mac OS home page [new window]" target="_blank">Mac OS</a>',
+'macosx12','<a href="http://www.apple.com/macosx/" title="Mac OS X home page [new window]" target="_blank" rel="noopener noreferrer">Mac OS X 10.12 Sierra</a>',
+'macosx11','<a href="http://www.apple.com/macosx/" title="Mac OS X home page [new window]" target="_blank" rel="noopener noreferrer">Mac OS X 10.11 El Capitan</a>',
+'macosx10','<a href="http://www.apple.com/macosx/" title="Mac OS X home page [new window]" target="_blank" rel="noopener noreferrer">Mac OS X 10.10 Yosemite</a>',
+'macosx9','<a href="http://www.apple.com/macosx/" title="Mac OS X home page [new window]" target="_blank" rel="noopener noreferrer">Mac OS X 10.9 Mavericks</a>',
+'macosx8','<a href="http://www.apple.com/macosx/" title="Mac OS X home page [new window]" target="_blank" rel="noopener noreferrer">Mac OS X 10.8 Mountain Lion</a>',
+'macosx7','<a href="http://www.apple.com/macosx/" title="Mac OS X home page [new window]" target="_blank" rel="noopener noreferrer">Mac OS X 10.7 Lion</a>',
+'macosx6','<a href="http://www.apple.com/macosx/" title="Mac OS X home page [new window]" target="_blank" rel="noopener noreferrer">Mac OS X 10.6 Snow Leopard</a>',
+'macosx5','<a href="http://www.apple.com/macosx/" title="Mac OS X home page [new window]" target="_blank" rel="noopener noreferrer">Mac OS X 10.5 Leopard</a>',
+'macosx4','<a href="http://www.apple.com/macosx/" title="Mac OS X home page [new window]" target="_blank" rel="noopener noreferrer">Mac OS X 10.4 Tiger</a>',
+'macosx','<a href="http://www.apple.com/macosx/" title="Mac OS X home page [new window]" target="_blank" rel="noopener noreferrer">Mac OS X others</a>',
+'macintosh','<a href="http://www.apple.com/" title="Mac OS home page [new window]" target="_blank" rel="noopener noreferrer">Mac OS</a>',
 # Linux
-'linuxandroid','<a href="http://code.google.com/android/" title="Google Android home page [new window]" target="_blank">Google Android</a>',
-'linuxasplinux','<a href="http://www.asplinux.ru/" title="ASPLinux home page [new window]" target="_blank">ASPLinux</a>',
-'linuxcentos','<a href="http://www.centos.org/" title="Centos home page [new window]" target="_blank">Centos</a>',
-'linuxdebian','<a href="http://www.debian.org/" title="Debian home page [new window]" target="_blank">Debian</a>',
-'linuxfedora','<a href="http://fedora.redhat.com/" title="Fedora home page [new window]" target="_blank">Fedora</a>',
-'linuxgentoo','<a href="http://www.gentoo.org/" title="Gentoo home page [new window]" target="_blank">Gentoo</a>',
-'linuxmandr','<a href="http://www.mandriva.com/" title="Mandriva (former Mandrake) home page [new window]" target="_blank">Mandriva (or Mandrake)</a>',
-'linuxmomonga','<a href="http://www.momonga-linux.org/" title="Momonga Linux home page [new window]" target="_blank">Momonga Linux</a>',
-'linuxpclinuxos','<a href="http://www.pclinuxos.com/" title="PCLinuxOS home page [new window]" target="_blank">PCLinuxOS</a>',
-'linuxredhat','<a href="http://www.redhat.com/" title="Red Hat home page [new window]" target="_blank">Red Hat</a>',
-'linuxsuse','<a href="http://www.novell.com/linux/suse/" title="Suse home page [new window]" target="_blank">Suse</a>',
-'linuxubuntu','<a href="http://www.ubuntulinux.org/" title="Ubuntu home page [new window]" target="_blank">Ubuntu</a>',
-'linuxvector','<a href="http://vectorlinux.com/" title="VectorLinux home page [new window]" target="_blank">VectorLinux</a>',
-'linuxvine','<a href="http://www.vinelinux.org/index-en.html" title="Vine Linux home page [new window]" target="_blank">Vine Linux</a>',
-'linuxwhitebox','<a href="http://whiteboxlinux.org/" title="White Box Linux home page [new window]" target="_blank">White Box Linux</a>',
-'linuxzenwalk','<a href="http://www.zenwalk.org/" title="Zenwalk GNU Linux home page [new window]" target="_blank">Zenwalk GNU Linux</a>',
-'linux','<a href="http://www.distrowatch.com/" title="Linux DistroWatch home page. Useful if you find the associated user agent string in your logs. [new window]" target="_blank">Linux (Unknown/unspecified)</a>',
+'linuxandroid','<a href="http://code.google.com/android/" title="Google Android home page [new window]" target="_blank" rel="noopener noreferrer">Google Android</a>',
+'linuxasplinux','<a href="http://www.asplinux.ru/" title="ASPLinux home page [new window]" target="_blank" rel="noopener noreferrer">ASPLinux</a>',
+'linuxcentos','<a href="http://www.centos.org/" title="Centos home page [new window]" target="_blank" rel="noopener noreferrer">Centos</a>',
+'linuxdebian','<a href="http://www.debian.org/" title="Debian home page [new window]" target="_blank" rel="noopener noreferrer">Debian</a>',
+'linuxfedora','<a href="http://fedora.redhat.com/" title="Fedora home page [new window]" target="_blank" rel="noopener noreferrer">Fedora</a>',
+'linuxgentoo','<a href="http://www.gentoo.org/" title="Gentoo home page [new window]" target="_blank" rel="noopener noreferrer">Gentoo</a>',
+'linuxmandr','<a href="http://www.mandriva.com/" title="Mandriva (former Mandrake) home page [new window]" target="_blank" rel="noopener noreferrer">Mandriva (or Mandrake)</a>',
+'linuxmomonga','<a href="http://www.momonga-linux.org/" title="Momonga Linux home page [new window]" target="_blank" rel="noopener noreferrer">Momonga Linux</a>',
+'linuxpclinuxos','<a href="http://www.pclinuxos.com/" title="PCLinuxOS home page [new window]" target="_blank" rel="noopener noreferrer">PCLinuxOS</a>',
+'linuxredhat','<a href="http://www.redhat.com/" title="Red Hat home page [new window]" target="_blank" rel="noopener noreferrer">Red Hat</a>',
+'linuxsuse','<a href="http://www.novell.com/linux/suse/" title="Suse home page [new window]" target="_blank" rel="noopener noreferrer">Suse</a>',
+'linuxubuntu','<a href="http://www.ubuntulinux.org/" title="Ubuntu home page [new window]" target="_blank" rel="noopener noreferrer">Ubuntu</a>',
+'linuxvector','<a href="http://vectorlinux.com/" title="VectorLinux home page [new window]" target="_blank" rel="noopener noreferrer">VectorLinux</a>',
+'linuxvine','<a href="http://www.vinelinux.org/index-en.html" title="Vine Linux home page [new window]" target="_blank" rel="noopener noreferrer">Vine Linux</a>',
+'linuxwhitebox','<a href="http://whiteboxlinux.org/" title="White Box Linux home page [new window]" target="_blank" rel="noopener noreferrer">White Box Linux</a>',
+'linuxzenwalk','<a href="http://www.zenwalk.org/" title="Zenwalk GNU Linux home page [new window]" target="_blank" rel="noopener noreferrer">Zenwalk GNU Linux</a>',
+'linux','<a href="http://www.distrowatch.com/" title="Linux DistroWatch home page. Useful if you find the associated user agent string in your logs. [new window]" target="_blank" rel="noopener noreferrer">Linux (Unknown/unspecified)</a>',
 'linux','GNU Linux (Unknown or unspecified distribution)',
 # Hurd
-'gnu','<a href="http://www.gnu.org/software/hurd/hurd.html" title="GNU Hurd home page [new window]" target="_blank">GNU Hurd</a>',
+'gnu','<a href="http://www.gnu.org/software/hurd/hurd.html" title="GNU Hurd home page [new window]" target="_blank" rel="noopener noreferrer">GNU Hurd</a>',
 # BSDs
-'bsdi','<a href="http://en.wikipedia.org/wiki/BSDi" title="BSDi home page [new window]" target="_blank">BSDi</a>',
-'bsdkfreebsd','<a href="http://www.debian.org/ports/kfreebsd-gnu/" title="Debian GNU/kFreeBSD" target="_blank">GNU/kFreeBSD</a>',
-'freebsd','<a href="http://www.freebsd.org/" title="FreeBSD home page [new window]" target="_blank">FreeBSD</a>',    # For backard compatibility
-'bsdfreebsd','<a href="http://www.freebsd.org/" title="FreeBSD home page [new window]" target="_blank">FreeBSD</a>',
-'openbsd','<a href="http://www.openbsd.org/" title="OpenBSD home page [new window]" target="_blank">OpenBSD</a>',    # For backard compatibility
-'bsdopenbsd','<a href="http://www.openbsd.org/" title="OpenBSD home page [new window]" target="_blank">OpenBSD</a>',
-'netbsd','<a href="http://www.netbsd.org/" title="NetBSD home page [new window]" target="_blank">NetBSD</a>', # For backard compatibility
-'bsdnetbsd','<a href="http://www.netbsd.org/" title="NetBSD home page [new window]" target="_blank">NetBSD</a>',
-'bsddflybsd','<a href="http://www.dragonflybsd.org/" title="DragonFlyBSD home page [new window]" target="_blank">DragonFlyBSD</a>',
+'bsdi','<a href="http://en.wikipedia.org/wiki/BSDi" title="BSDi home page [new window]" target="_blank" rel="noopener noreferrer">BSDi</a>',
+'bsdkfreebsd','<a href="http://www.debian.org/ports/kfreebsd-gnu/" title="Debian GNU/kFreeBSD" target="_blank" rel="noopener noreferrer">GNU/kFreeBSD</a>',
+'freebsd','<a href="http://www.freebsd.org/" title="FreeBSD home page [new window]" target="_blank" rel="noopener noreferrer">FreeBSD</a>',    # For backard compatibility
+'bsdfreebsd','<a href="http://www.freebsd.org/" title="FreeBSD home page [new window]" target="_blank" rel="noopener noreferrer">FreeBSD</a>',
+'openbsd','<a href="http://www.openbsd.org/" title="OpenBSD home page [new window]" target="_blank" rel="noopener noreferrer">OpenBSD</a>',    # For backard compatibility
+'bsdopenbsd','<a href="http://www.openbsd.org/" title="OpenBSD home page [new window]" target="_blank" rel="noopener noreferrer">OpenBSD</a>',
+'netbsd','<a href="http://www.netbsd.org/" title="NetBSD home page [new window]" target="_blank" rel="noopener noreferrer">NetBSD</a>', # For backard compatibility
+'bsdnetbsd','<a href="http://www.netbsd.org/" title="NetBSD home page [new window]" target="_blank" rel="noopener noreferrer">NetBSD</a>',
+'bsddflybsd','<a href="http://www.dragonflybsd.org/" title="DragonFlyBSD home page [new window]" target="_blank" rel="noopener noreferrer">DragonFlyBSD</a>',
 # Other Unix, Unix-like
-'aix','<a href="http://www-1.ibm.com/servers/aix/" title="Aix home page [new window]" target="_blank">Aix</a>',
-'sunos','<a href="http://www.sun.com/software/solaris/" title="Sun Solaris home page [new window]" target="_blank">Sun Solaris</a>',
-'irix','<a href="http://www.sgi.com/products/software/irix/" title="Irix home page [new window]" target="_blank">Irix</a>',
-'osf','<a href="http://www.tru64.org/" title="OSF Unix home page [new window]" target="_blank">OSF Unix</a>',
-'hp\-ux','<a href="http://www.hp.com/products1/unix/operating/" title="HP UX home page [new window]" target="_blank">HP UX</a>',
+'aix','<a href="http://www-1.ibm.com/servers/aix/" title="Aix home page [new window]" target="_blank" rel="noopener noreferrer">Aix</a>',
+'sunos','<a href="http://www.sun.com/software/solaris/" title="Sun Solaris home page [new window]" target="_blank" rel="noopener noreferrer">Sun Solaris</a>',
+'irix','<a href="http://www.sgi.com/products/software/irix/" title="Irix home page [new window]" target="_blank" rel="noopener noreferrer">Irix</a>',
+'osf','<a href="http://www.tru64.org/" title="OSF Unix home page [new window]" target="_blank" rel="noopener noreferrer">OSF Unix</a>',
+'hp\-ux','<a href="http://www.hp.com/products1/unix/operating/" title="HP UX home page [new window]" target="_blank" rel="noopener noreferrer">HP UX</a>',
 'unix','Unknown Unix system',
 # iOS
-'ios_iphone','<a href="http://www.apple.com/iphone/ios" title="Apple iPhone home page [new window]" target="_blank">iOS (iPhone)</a>',
-'ios_ipad','<a href="http://www.apple.com/ipad/ios" title="Apple iPad home page [new window]" target="_blank">iOS (iPad)</a>',
-'ios_ipod','<a href="http://www.apple.com/ipod/ios" title="Apple iPod home page [new window]" target="_blank">iOS (iPod)</a>',
+'ios_iphone','<a href="http://www.apple.com/iphone/ios" title="Apple iPhone home page [new window]" target="_blank" rel="noopener noreferrer">iOS (iPhone)</a>',
+'ios_ipad','<a href="http://www.apple.com/ipad/ios" title="Apple iPad home page [new window]" target="_blank" rel="noopener noreferrer">iOS (iPad)</a>',
+'ios_ipod','<a href="http://www.apple.com/ipod/ios" title="Apple iPod home page [new window]" target="_blank" rel="noopener noreferrer">iOS (iPod)</a>',
 # Other famous OS
-'beos','<a href="http://www.beincorporated.com/" title="BeOS home page [new window]" target="_blank">BeOS</a>',
-'os/2','<a href="http://www.ibm.com/software/os/warp/" title="OS/2 home page [new window]" target="_blank">OS/2</a>',
-'amigaos','<a href="http://www.amiga.com/amigaos/" title="AmigaOS home page [new window]" target="_blank">AmigaOS</a>',
-'atari','<a href="http://www.atarimuseum.com/computers/computers.html" title="Atari home page [new window]" target="_blank">Atari</a>',
-'vms','<a href="http://h71000.www7.hp.com/" title="VMS home page [new window]" target="_blank">VMS</a>',
-'commodore','<a href="http://en.wikipedia.org/wiki/Commodore_64" title="Commodore 64 wikipedia page [new window]" target="_blank">Commodore 64</a>',
-'j2me','<a href="http://mobile.java.com/" title="Java Mobile home page [new window]" target="_blank">Java Mobile</a>',
-'java','<a href="http://www.java.com/" title="Java home page [new window]" target="_blank">Java</a>',
-'qnx','<a href="http://www.qnx.com/products/neutrino_rtos/" title="QNX home page [new window]" target="_blank">QNX</a>',
-'inferno','<a href="http://www.vitanuova.com/inferno/" title="Inferno home page [new window]" target="_blank">Inferno</a>',
-'palmos','<a href="http://www.palm.com/" title="Palm OS home page [new window]" target="_blank">Palm OS</a>',
-'syllable','<a href="http://www.syllable.org/" title="Syllable home page [new window]" target="_blank">Syllable</a>',
+'beos','<a href="http://www.beincorporated.com/" title="BeOS home page [new window]" target="_blank" rel="noopener noreferrer">BeOS</a>',
+'os/2','<a href="http://www.ibm.com/software/os/warp/" title="OS/2 home page [new window]" target="_blank" rel="noopener noreferrer">OS/2</a>',
+'amigaos','<a href="http://www.amiga.com/amigaos/" title="AmigaOS home page [new window]" target="_blank" rel="noopener noreferrer">AmigaOS</a>',
+'atari','<a href="http://www.atarimuseum.com/computers/computers.html" title="Atari home page [new window]" target="_blank" rel="noopener noreferrer">Atari</a>',
+'vms','<a href="http://h71000.www7.hp.com/" title="VMS home page [new window]" target="_blank" rel="noopener noreferrer">VMS</a>',
+'commodore','<a href="http://en.wikipedia.org/wiki/Commodore_64" title="Commodore 64 wikipedia page [new window]" target="_blank" rel="noopener noreferrer">Commodore 64</a>',
+'j2me','<a href="http://mobile.java.com/" title="Java Mobile home page [new window]" target="_blank" rel="noopener noreferrer">Java Mobile</a>',
+'java','<a href="http://www.java.com/" title="Java home page [new window]" target="_blank" rel="noopener noreferrer">Java</a>',
+'qnx','<a href="http://www.qnx.com/products/neutrino_rtos/" title="QNX home page [new window]" target="_blank" rel="noopener noreferrer">QNX</a>',
+'inferno','<a href="http://www.vitanuova.com/inferno/" title="Inferno home page [new window]" target="_blank" rel="noopener noreferrer">Inferno</a>',
+'palmos','<a href="http://www.palm.com/" title="Palm OS home page [new window]" target="_blank" rel="noopener noreferrer">Palm OS</a>',
+'syllable','<a href="http://www.syllable.org/" title="Syllable home page [new window]" target="_blank" rel="noopener noreferrer">Syllable</a>',
 # Miscellaneous OS
 'blackberry','BlackBerry',
-'cp/m','<a href="http://www.digitalresearch.biz/CPM.HTM" title="CP/M home page [new window]" target="_blank">CP/M</a>',
-'crayos','<a href="http://www.cray.com/" title="CrayOS home page [new window]" target="_blank">CrayOS</a>',
-'dreamcast','<a href="http://www.sega.com/" title="Dreamcast home page [new window]" target="_blank">Dreamcast</a>',
-'riscos','<a href="http://www.riscos.com/" title="RISC OS home page [new window]" target="_blank">RISC OS</a>',
-'symbian','<a href="http://www.symbian.com/" title="Symbian OS home page [new window]" target="_blank">Symbian OS</a>',
-'webtv','<a href="http://www.webtv.com/" title="WebTV home page [new window]" target="_blank">WebTV</a>',
-'psp', '<a href="http://www.playstation.com/" title="Sony PlayStation home page [new window]" target="_blank">Sony PlayStation</a>',
-'wii', '<a href="http://wii.opera.com/" title="Opera for Nintendo Wii home page [new window]" target="_blank">Nintendo Wii</a>'
+'cp/m','<a href="http://www.digitalresearch.biz/CPM.HTM" title="CP/M home page [new window]" target="_blank" rel="noopener noreferrer">CP/M</a>',
+'crayos','<a href="http://www.cray.com/" title="CrayOS home page [new window]" target="_blank" rel="noopener noreferrer">CrayOS</a>',
+'dreamcast','<a href="http://www.sega.com/" title="Dreamcast home page [new window]" target="_blank" rel="noopener noreferrer">Dreamcast</a>',
+'riscos','<a href="http://www.riscos.com/" title="RISC OS home page [new window]" target="_blank" rel="noopener noreferrer">RISC OS</a>',
+'symbian','<a href="http://www.symbian.com/" title="Symbian OS home page [new window]" target="_blank" rel="noopener noreferrer">Symbian OS</a>',
+'webtv','<a href="http://www.webtv.com/" title="WebTV home page [new window]" target="_blank" rel="noopener noreferrer">WebTV</a>',
+'psp', '<a href="http://www.playstation.com/" title="Sony PlayStation home page [new window]" target="_blank" rel="noopener noreferrer">Sony PlayStation</a>',
+'wii', '<a href="http://wii.opera.com/" title="Opera for Nintendo Wii home page [new window]" target="_blank" rel="noopener noreferrer">Nintendo Wii</a>'
 );
 
 
diff --git a/wwwroot/cgi-bin/lib/search_engines.pm b/wwwroot/cgi-bin/lib/search_engines.pm
index c1e3c243..e8361f23 100644
--- a/wwwroot/cgi-bin/lib/search_engines.pm
+++ b/wwwroot/cgi-bin/lib/search_engines.pm
@@ -4234,1057 +4234,1057 @@
 %SearchEnginesHashLib=(
 # Search engine output links or not as the case may be
 
-'www_google_co_uk','<a href="http://www.google.co.uk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google United Kingdom</a>',
-'images_google_co_uk','<a href="http://images.google.co.uk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google United Kingdom ( images )</a>',
-'translate_google_co_uk','<a href="http://translate.google.co.uk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate United Kingdom</a>',
-'google_co_uk','<a href="http://google.co.uk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google United Kingdom ( catchall )</a>',
-'www_google_com','<a href="http://www.google.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google .com</a>',
-'images_google_com','<a href="http://images.google.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google .com ( images )</a>',
-'translate_google_com','<a href="http://translate.google.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate .com</a>',
-'google_com','<a href="http://google.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google .com ( catchall )</a>',
-'www_google_de','<a href="http://www.google.de/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Germany</a>',
-'images_google_de','<a href="http://images.google.de/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Germany ( images )</a>',
-'translate_google_de','<a href="http://translate.google.de/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Germany</a>',
-'google_de','<a href="http://google.de/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Germany ( catchall )</a>',
-'www_google_fr','<a href="http://www.google.fr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google France</a>',
-'images_google_fr','<a href="http://images.google.fr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google France ( images )</a>',
-'translate_google_fr','<a href="http://translate.google.fr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate France</a>',
-'google_fr','<a href="http://google.fr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google France ( catchall )</a>',
-'www_google_ca','<a href="http://www.google.ca/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Canada</a>',
-'images_google_ca','<a href="http://images.google.ca/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Canada ( images )</a>',
-'translate_google_ca','<a href="http://translate.google.ca/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Canada</a>',
-'google_ca','<a href="http://google.ca/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Canada ( catchall )</a>',
-'www_google_es','<a href="http://www.google.es/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Spain</a>',
-'images_google_es','<a href="http://images.google.es/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Spain ( images )</a>',
-'translate_google_es','<a href="http://translate.google.es/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Spain</a>',
-'google_es','<a href="http://google.es/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Spain ( catchall )</a>',
-'www_google_com_au','<a href="http://www.google.com.au/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Australia</a>',
-'images_google_com_au','<a href="http://images.google.com.au/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Australia ( images )</a>',
-'translate_google_com_au','<a href="http://translate.google.com.au/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Australia</a>',
-'google_com_au','<a href="http://google.com.au/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Australia ( catchall )</a>',
-'www_google_nl','<a href="http://www.google.nl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Netherlands</a>',
-'images_google_nl','<a href="http://images.google.nl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Netherlands ( images )</a>',
-'translate_google_nl','<a href="http://translate.google.nl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Netherlands</a>',
-'google_nl','<a href="http://google.nl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Netherlands ( catchall )</a>',
-'www_google_gr','<a href="http://www.google.gr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Greece</a>',
-'images_google_gr','<a href="http://images.google.gr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Greece ( images )</a>',
-'translate_google_gr','<a href="http://translate.google.gr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Greece</a>',
-'google_gr','<a href="http://google.gr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Greece ( catchall )</a>',
-'www_google_se','<a href="http://www.google.se/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Sweden</a>',
-'images_google_se','<a href="http://images.google.se/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Sweden ( images )</a>',
-'translate_google_se','<a href="http://translate.google.se/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Sweden</a>',
-'google_se','<a href="http://google.se/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Sweden ( catchall )</a>',
-'www_google_ie','<a href="http://www.google.ie/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Ireland</a>',
-'images_google_ie','<a href="http://images.google.ie/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Ireland ( images )</a>',
-'translate_google_ie','<a href="http://translate.google.ie/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Ireland</a>',
-'google_ie','<a href="http://google.ie/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Ireland ( catchall )</a>',
-'www_google_it','<a href="http://www.google.it/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Italy</a>',
-'images_google_it','<a href="http://images.google.it/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Italy ( images )</a>',
-'translate_google_it','<a href="http://translate.google.it/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Italy</a>',
-'google_it','<a href="http://google.it/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Italy ( catchall )</a>',
-'www_google_no','<a href="http://www.google.no/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Norway</a>',
-'images_google_no','<a href="http://images.google.no/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Norway ( images )</a>',
-'translate_google_no','<a href="http://translate.google.no/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Norway</a>',
-'google_no','<a href="http://google.no/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Norway ( catchall )</a>',
-'www_google_com_tr','<a href="http://www.google.com.tr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Turkey</a>',
-'images_google_com_tr','<a href="http://images.google.com.tr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Turkey ( images )</a>',
-'translate_google_com_tr','<a href="http://translate.google.com.tr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Turkey</a>',
-'google_com_tr','<a href="http://google.com.tr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Turkey ( catchall )</a>',
-'www_google_co_in','<a href="http://www.google.co.in/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google India</a>',
-'images_google_co_in','<a href="http://images.google.co.in/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google India ( images )</a>',
-'translate_google_co_in','<a href="http://translate.google.co.in/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate India</a>',
-'google_co_in','<a href="http://google.co.in/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google India ( catchall )</a>',
-'www_google_pt','<a href="http://www.google.pt/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Portugal</a>',
-'images_google_pt','<a href="http://images.google.pt/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Portugal ( images )</a>',
-'translate_google_pt','<a href="http://translate.google.pt/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Portugal</a>',
-'google_pt','<a href="http://google.pt/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Portugal ( catchall )</a>',
-'www_google_hr','<a href="http://www.google.hr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Croatia</a>',
-'images_google_hr','<a href="http://images.google.hr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Croatia ( images )</a>',
-'translate_google_hr','<a href="http://translate.google.hr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Croatia</a>',
-'google_hr','<a href="http://google.hr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Croatia ( catchall )</a>',
-'www_google_co_nz','<a href="http://www.google.co.nz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google New Zealand</a>',
-'images_google_co_nz','<a href="http://images.google.co.nz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google New Zealand ( images )</a>',
-'translate_google_co_nz','<a href="http://translate.google.co.nz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate New Zealand</a>',
-'google_co_nz','<a href="http://google.co.nz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google New Zealand ( catchall )</a>',
-'www_google_pl','<a href="http://www.google.pl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Poland</a>',
-'images_google_pl','<a href="http://images.google.pl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Poland ( images )</a>',
-'translate_google_pl','<a href="http://translate.google.pl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Poland</a>',
-'google_pl','<a href="http://google.pl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Poland ( catchall )</a>',
-'www_google_ac','<a href="http://www.google.ac/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Ascension Island</a>',
-'images_google_ac','<a href="http://images.google.ac/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Ascension Island ( images )</a>',
-'translate_google_ac','<a href="http://translate.google.ac/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Ascension Island</a>',
-'google_ac','<a href="http://google.ac/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Ascension Island ( catchall )</a>',
-'www_google_ad','<a href="http://www.google.ad/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Andorra</a>',
-'images_google_ad','<a href="http://images.google.ad/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Andorra ( images )</a>',
-'translate_google_ad','<a href="http://translate.google.ad/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Andorra</a>',
-'google_ad','<a href="http://google.ad/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Andorra ( catchall )</a>',
-'www_google_ae','<a href="http://www.google.ae/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google United Arab Emirates</a>',
-'images_google_ae','<a href="http://images.google.ae/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google United Arab Emirates ( images )</a>',
-'translate_google_ae','<a href="http://translate.google.ae/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate United Arab Emirates</a>',
-'google_ae','<a href="http://google.ae/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google United Arab Emirates ( catchall )</a>',
-'www_google_al','<a href="http://www.google.al/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Albania</a>',
-'images_google_al','<a href="http://images.google.al/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Albania ( images )</a>',
-'translate_google_al','<a href="http://translate.google.al/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Albania</a>',
-'google_al','<a href="http://google.al/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Albania ( catchall )</a>',
-'www_google_am','<a href="http://www.google.am/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Armenia</a>',
-'images_google_am','<a href="http://images.google.am/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Armenia ( images )</a>',
-'translate_google_am','<a href="http://translate.google.am/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Armenia</a>',
-'google_am','<a href="http://google.am/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Armenia ( catchall )</a>',
-'www_google_as','<a href="http://www.google.as/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google American Samoa</a>',
-'images_google_as','<a href="http://images.google.as/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google American Samoa ( images )</a>',
-'translate_google_as','<a href="http://translate.google.as/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate American Samoa</a>',
-'google_as','<a href="http://google.as/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google American Samoa ( catchall )</a>',
-'www_google_at','<a href="http://www.google.at/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Austria</a>',
-'images_google_at','<a href="http://images.google.at/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Austria ( images )</a>',
-'translate_google_at','<a href="http://translate.google.at/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Austria</a>',
-'google_at','<a href="http://google.at/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Austria ( catchall )</a>',
-'www_google_az','<a href="http://www.google.az/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Azerbaijan</a>',
-'images_google_az','<a href="http://images.google.az/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Azerbaijan ( images )</a>',
-'translate_google_az','<a href="http://translate.google.az/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Azerbaijan</a>',
-'google_az','<a href="http://google.az/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Azerbaijan ( catchall )</a>',
-'www_google_ba','<a href="http://www.google.ba/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Bosnia and Herzegovina</a>',
-'images_google_ba','<a href="http://images.google.ba/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Bosnia and Herzegovina ( images )</a>',
-'translate_google_ba','<a href="http://translate.google.ba/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Bosnia and Herzegovina</a>',
-'google_ba','<a href="http://google.ba/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Bosnia and Herzegovina ( catchall )</a>',
-'www_google_be','<a href="http://www.google.be/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Belgium</a>',
-'images_google_be','<a href="http://images.google.be/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Belgium ( images )</a>',
-'translate_google_be','<a href="http://translate.google.be/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Belgium</a>',
-'google_be','<a href="http://google.be/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Belgium ( catchall )</a>',
-'www_google_bf','<a href="http://www.google.bf/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Burkina Faso</a>',
-'images_google_bf','<a href="http://images.google.bf/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Burkina Faso ( images )</a>',
-'translate_google_bf','<a href="http://translate.google.bf/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Burkina Faso</a>',
-'google_bf','<a href="http://google.bf/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Burkina Faso ( catchall )</a>',
-'www_google_bg','<a href="http://www.google.bg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Bulgaria</a>',
-'images_google_bg','<a href="http://images.google.bg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Bulgaria ( images )</a>',
-'translate_google_bg','<a href="http://translate.google.bg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Bulgaria</a>',
-'google_bg','<a href="http://google.bg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Bulgaria ( catchall )</a>',
-'www_google_bi','<a href="http://www.google.bi/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Burundi</a>',
-'images_google_bi','<a href="http://images.google.bi/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Burundi ( images )</a>',
-'translate_google_bi','<a href="http://translate.google.bi/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Burundi</a>',
-'google_bi','<a href="http://google.bi/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Burundi ( catchall )</a>',
-'www_google_bj','<a href="http://www.google.bj/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Benin</a>',
-'images_google_bj','<a href="http://images.google.bj/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Benin ( images )</a>',
-'translate_google_bj','<a href="http://translate.google.bj/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Benin</a>',
-'google_bj','<a href="http://google.bj/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Benin ( catchall )</a>',
-'www_google_bs','<a href="http://www.google.bs/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Bahamas</a>',
-'images_google_bs','<a href="http://images.google.bs/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Bahamas ( images )</a>',
-'translate_google_bs','<a href="http://translate.google.bs/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Bahamas</a>',
-'google_bs','<a href="http://google.bs/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Bahamas ( catchall )</a>',
-'www_google_bt','<a href="http://www.google.bt/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Bhutan</a>',
-'images_google_bt','<a href="http://images.google.bt/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Bhutan ( images )</a>',
-'translate_google_bt','<a href="http://translate.google.bt/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Bhutan</a>',
-'google_bt','<a href="http://google.bt/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Bhutan ( catchall )</a>',
-'www_google_by','<a href="http://www.google.by/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Belarus</a>',
-'images_google_by','<a href="http://images.google.by/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Belarus ( images )</a>',
-'translate_google_by','<a href="http://translate.google.by/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Belarus</a>',
-'google_by','<a href="http://google.by/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Belarus ( catchall )</a>',
-'www_google_cat','<a href="http://www.google.cat/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Catalan Countries</a>',
-'images_google_cat','<a href="http://images.google.cat/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Catalan Countries ( images )</a>',
-'translate_google_cat','<a href="http://translate.google.cat/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Catalan Countries</a>',
-'google_cat','<a href="http://google.cat/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Catalan Countries ( catchall )</a>',
-'www_google_cc','<a href="http://www.google.cc/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Cocos (Keeling) Islands</a>',
-'images_google_cc','<a href="http://images.google.cc/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Cocos (Keeling) Islands ( images )</a>',
-'translate_google_cc','<a href="http://translate.google.cc/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Cocos (Keeling) Islands</a>',
-'google_cc','<a href="http://google.cc/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Cocos (Keeling) Islands ( catchall )</a>',
-'www_google_cd','<a href="http://www.google.cd/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Democratic Republic of the Congo</a>',
-'images_google_cd','<a href="http://images.google.cd/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Democratic Republic of the Congo ( images )</a>',
-'translate_google_cd','<a href="http://translate.google.cd/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Democratic Republic of the Congo</a>',
-'google_cd','<a href="http://google.cd/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Democratic Republic of the Congo ( catchall )</a>',
-'www_google_cf','<a href="http://www.google.cf/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Central African Republic</a>',
-'images_google_cf','<a href="http://images.google.cf/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Central African Republic ( images )</a>',
-'translate_google_cf','<a href="http://translate.google.cf/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Central African Republic</a>',
-'google_cf','<a href="http://google.cf/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Central African Republic ( catchall )</a>',
-'www_google_cg','<a href="http://www.google.cg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Republic of the Congo</a>',
-'images_google_cg','<a href="http://images.google.cg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Republic of the Congo ( images )</a>',
-'translate_google_cg','<a href="http://translate.google.cg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Republic of the Congo</a>',
-'google_cg','<a href="http://google.cg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Republic of the Congo ( catchall )</a>',
-'www_google_ch','<a href="http://www.google.ch/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Switzerland</a>',
-'images_google_ch','<a href="http://images.google.ch/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Switzerland ( images )</a>',
-'translate_google_ch','<a href="http://translate.google.ch/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Switzerland</a>',
-'google_ch','<a href="http://google.ch/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Switzerland ( catchall )</a>',
-'www_google_ci','<a href="http://www.google.ci/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Ivory Coast</a>',
-'images_google_ci','<a href="http://images.google.ci/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Ivory Coast ( images )</a>',
-'translate_google_ci','<a href="http://translate.google.ci/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Ivory Coast</a>',
-'google_ci','<a href="http://google.ci/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Ivory Coast ( catchall )</a>',
-'www_google_cl','<a href="http://www.google.cl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Chile</a>',
-'images_google_cl','<a href="http://images.google.cl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Chile ( images )</a>',
-'translate_google_cl','<a href="http://translate.google.cl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Chile</a>',
-'google_cl','<a href="http://google.cl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Chile ( catchall )</a>',
-'www_google_cm','<a href="http://www.google.cm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Cameroon</a>',
-'images_google_cm','<a href="http://images.google.cm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Cameroon ( images )</a>',
-'translate_google_cm','<a href="http://translate.google.cm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Cameroon</a>',
-'google_cm','<a href="http://google.cm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Cameroon ( catchall )</a>',
-'www_google_cn','<a href="http://www.google.cn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google China</a>',
-'images_google_cn','<a href="http://images.google.cn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google China ( images )</a>',
-'translate_google_cn','<a href="http://translate.google.cn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate China</a>',
-'google_cn','<a href="http://google.cn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google China ( catchall )</a>',
-'www_google_co_ao','<a href="http://www.google.co.ao/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Angola</a>',
-'images_google_co_ao','<a href="http://images.google.co.ao/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Angola ( images )</a>',
-'translate_google_co_ao','<a href="http://translate.google.co.ao/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Angola</a>',
-'google_co_ao','<a href="http://google.co.ao/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Angola ( catchall )</a>',
-'www_google_co_bw','<a href="http://www.google.co.bw/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Botswana</a>',
-'images_google_co_bw','<a href="http://images.google.co.bw/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Botswana ( images )</a>',
-'translate_google_co_bw','<a href="http://translate.google.co.bw/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Botswana</a>',
-'google_co_bw','<a href="http://google.co.bw/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Botswana ( catchall )</a>',
-'www_google_co_ck','<a href="http://www.google.co.ck/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Cook Islands</a>',
-'images_google_co_ck','<a href="http://images.google.co.ck/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Cook Islands ( images )</a>',
-'translate_google_co_ck','<a href="http://translate.google.co.ck/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Cook Islands</a>',
-'google_co_ck','<a href="http://google.co.ck/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Cook Islands ( catchall )</a>',
-'www_google_co_cr','<a href="http://www.google.co.cr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Costa Rica</a>',
-'images_google_co_cr','<a href="http://images.google.co.cr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Costa Rica ( images )</a>',
-'translate_google_co_cr','<a href="http://translate.google.co.cr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Costa Rica</a>',
-'google_co_cr','<a href="http://google.co.cr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Costa Rica ( catchall )</a>',
-'www_google_co_id','<a href="http://www.google.co.id/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Indonesia</a>',
-'images_google_co_id','<a href="http://images.google.co.id/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Indonesia ( images )</a>',
-'translate_google_co_id','<a href="http://translate.google.co.id/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Indonesia</a>',
-'google_co_id','<a href="http://google.co.id/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Indonesia ( catchall )</a>',
-'www_google_co_il','<a href="http://www.google.co.il/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Israel</a>',
-'images_google_co_il','<a href="http://images.google.co.il/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Israel ( images )</a>',
-'translate_google_co_il','<a href="http://translate.google.co.il/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Israel</a>',
-'google_co_il','<a href="http://google.co.il/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Israel ( catchall )</a>',
-'www_google_co_jp','<a href="http://www.google.co.jp/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Japan</a>',
-'images_google_co_jp','<a href="http://images.google.co.jp/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Japan ( images )</a>',
-'translate_google_co_jp','<a href="http://translate.google.co.jp/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Japan</a>',
-'google_co_jp','<a href="http://google.co.jp/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Japan ( catchall )</a>',
-'www_google_co_ke','<a href="http://www.google.co.ke/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Kenya</a>',
-'images_google_co_ke','<a href="http://images.google.co.ke/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Kenya ( images )</a>',
-'translate_google_co_ke','<a href="http://translate.google.co.ke/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Kenya</a>',
-'google_co_ke','<a href="http://google.co.ke/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Kenya ( catchall )</a>',
-'www_google_co_kr','<a href="http://www.google.co.kr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google South Korea</a>',
-'images_google_co_kr','<a href="http://images.google.co.kr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google South Korea ( images )</a>',
-'translate_google_co_kr','<a href="http://translate.google.co.kr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate South Korea</a>',
-'google_co_kr','<a href="http://google.co.kr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google South Korea ( catchall )</a>',
-'www_google_co_ls','<a href="http://www.google.co.ls/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Lesotho</a>',
-'images_google_co_ls','<a href="http://images.google.co.ls/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Lesotho ( images )</a>',
-'translate_google_co_ls','<a href="http://translate.google.co.ls/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Lesotho</a>',
-'google_co_ls','<a href="http://google.co.ls/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Lesotho ( catchall )</a>',
-'www_google_co_ma','<a href="http://www.google.co.ma/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Morocco</a>',
-'images_google_co_ma','<a href="http://images.google.co.ma/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Morocco ( images )</a>',
-'translate_google_co_ma','<a href="http://translate.google.co.ma/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Morocco</a>',
-'google_co_ma','<a href="http://google.co.ma/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Morocco ( catchall )</a>',
-'www_google_co_mz','<a href="http://www.google.co.mz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Mozambique</a>',
-'images_google_co_mz','<a href="http://images.google.co.mz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Mozambique ( images )</a>',
-'translate_google_co_mz','<a href="http://translate.google.co.mz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Mozambique</a>',
-'google_co_mz','<a href="http://google.co.mz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Mozambique ( catchall )</a>',
-'www_google_co_th','<a href="http://www.google.co.th/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Thailand</a>',
-'images_google_co_th','<a href="http://images.google.co.th/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Thailand ( images )</a>',
-'translate_google_co_th','<a href="http://translate.google.co.th/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Thailand</a>',
-'google_co_th','<a href="http://google.co.th/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Thailand ( catchall )</a>',
-'www_google_co_tz','<a href="http://www.google.co.tz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Tanzania</a>',
-'images_google_co_tz','<a href="http://images.google.co.tz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Tanzania ( images )</a>',
-'translate_google_co_tz','<a href="http://translate.google.co.tz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Tanzania</a>',
-'google_co_tz','<a href="http://google.co.tz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Tanzania ( catchall )</a>',
-'www_google_co_ug','<a href="http://www.google.co.ug/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Uganda</a>',
-'images_google_co_ug','<a href="http://images.google.co.ug/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Uganda ( images )</a>',
-'translate_google_co_ug','<a href="http://translate.google.co.ug/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Uganda</a>',
-'google_co_ug','<a href="http://google.co.ug/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Uganda ( catchall )</a>',
-'www_google_co_uz','<a href="http://www.google.co.uz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Uzbekistan</a>',
-'images_google_co_uz','<a href="http://images.google.co.uz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Uzbekistan ( images )</a>',
-'translate_google_co_uz','<a href="http://translate.google.co.uz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Uzbekistan</a>',
-'google_co_uz','<a href="http://google.co.uz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Uzbekistan ( catchall )</a>',
-'www_google_co_ve','<a href="http://www.google.co.ve/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Venezuela</a>',
+'www_google_co_uk','<a href="http://www.google.co.uk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google United Kingdom</a>',
+'images_google_co_uk','<a href="http://images.google.co.uk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google United Kingdom ( images )</a>',
+'translate_google_co_uk','<a href="http://translate.google.co.uk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate United Kingdom</a>',
+'google_co_uk','<a href="http://google.co.uk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google United Kingdom ( catchall )</a>',
+'www_google_com','<a href="http://www.google.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google .com</a>',
+'images_google_com','<a href="http://images.google.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google .com ( images )</a>',
+'translate_google_com','<a href="http://translate.google.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate .com</a>',
+'google_com','<a href="http://google.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google .com ( catchall )</a>',
+'www_google_de','<a href="http://www.google.de/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Germany</a>',
+'images_google_de','<a href="http://images.google.de/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Germany ( images )</a>',
+'translate_google_de','<a href="http://translate.google.de/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Germany</a>',
+'google_de','<a href="http://google.de/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Germany ( catchall )</a>',
+'www_google_fr','<a href="http://www.google.fr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google France</a>',
+'images_google_fr','<a href="http://images.google.fr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google France ( images )</a>',
+'translate_google_fr','<a href="http://translate.google.fr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate France</a>',
+'google_fr','<a href="http://google.fr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google France ( catchall )</a>',
+'www_google_ca','<a href="http://www.google.ca/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Canada</a>',
+'images_google_ca','<a href="http://images.google.ca/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Canada ( images )</a>',
+'translate_google_ca','<a href="http://translate.google.ca/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Canada</a>',
+'google_ca','<a href="http://google.ca/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Canada ( catchall )</a>',
+'www_google_es','<a href="http://www.google.es/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Spain</a>',
+'images_google_es','<a href="http://images.google.es/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Spain ( images )</a>',
+'translate_google_es','<a href="http://translate.google.es/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Spain</a>',
+'google_es','<a href="http://google.es/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Spain ( catchall )</a>',
+'www_google_com_au','<a href="http://www.google.com.au/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Australia</a>',
+'images_google_com_au','<a href="http://images.google.com.au/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Australia ( images )</a>',
+'translate_google_com_au','<a href="http://translate.google.com.au/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Australia</a>',
+'google_com_au','<a href="http://google.com.au/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Australia ( catchall )</a>',
+'www_google_nl','<a href="http://www.google.nl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Netherlands</a>',
+'images_google_nl','<a href="http://images.google.nl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Netherlands ( images )</a>',
+'translate_google_nl','<a href="http://translate.google.nl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Netherlands</a>',
+'google_nl','<a href="http://google.nl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Netherlands ( catchall )</a>',
+'www_google_gr','<a href="http://www.google.gr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Greece</a>',
+'images_google_gr','<a href="http://images.google.gr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Greece ( images )</a>',
+'translate_google_gr','<a href="http://translate.google.gr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Greece</a>',
+'google_gr','<a href="http://google.gr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Greece ( catchall )</a>',
+'www_google_se','<a href="http://www.google.se/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Sweden</a>',
+'images_google_se','<a href="http://images.google.se/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Sweden ( images )</a>',
+'translate_google_se','<a href="http://translate.google.se/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Sweden</a>',
+'google_se','<a href="http://google.se/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Sweden ( catchall )</a>',
+'www_google_ie','<a href="http://www.google.ie/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Ireland</a>',
+'images_google_ie','<a href="http://images.google.ie/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Ireland ( images )</a>',
+'translate_google_ie','<a href="http://translate.google.ie/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Ireland</a>',
+'google_ie','<a href="http://google.ie/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Ireland ( catchall )</a>',
+'www_google_it','<a href="http://www.google.it/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Italy</a>',
+'images_google_it','<a href="http://images.google.it/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Italy ( images )</a>',
+'translate_google_it','<a href="http://translate.google.it/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Italy</a>',
+'google_it','<a href="http://google.it/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Italy ( catchall )</a>',
+'www_google_no','<a href="http://www.google.no/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Norway</a>',
+'images_google_no','<a href="http://images.google.no/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Norway ( images )</a>',
+'translate_google_no','<a href="http://translate.google.no/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Norway</a>',
+'google_no','<a href="http://google.no/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Norway ( catchall )</a>',
+'www_google_com_tr','<a href="http://www.google.com.tr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Turkey</a>',
+'images_google_com_tr','<a href="http://images.google.com.tr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Turkey ( images )</a>',
+'translate_google_com_tr','<a href="http://translate.google.com.tr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Turkey</a>',
+'google_com_tr','<a href="http://google.com.tr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Turkey ( catchall )</a>',
+'www_google_co_in','<a href="http://www.google.co.in/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google India</a>',
+'images_google_co_in','<a href="http://images.google.co.in/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google India ( images )</a>',
+'translate_google_co_in','<a href="http://translate.google.co.in/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate India</a>',
+'google_co_in','<a href="http://google.co.in/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google India ( catchall )</a>',
+'www_google_pt','<a href="http://www.google.pt/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Portugal</a>',
+'images_google_pt','<a href="http://images.google.pt/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Portugal ( images )</a>',
+'translate_google_pt','<a href="http://translate.google.pt/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Portugal</a>',
+'google_pt','<a href="http://google.pt/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Portugal ( catchall )</a>',
+'www_google_hr','<a href="http://www.google.hr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Croatia</a>',
+'images_google_hr','<a href="http://images.google.hr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Croatia ( images )</a>',
+'translate_google_hr','<a href="http://translate.google.hr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Croatia</a>',
+'google_hr','<a href="http://google.hr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Croatia ( catchall )</a>',
+'www_google_co_nz','<a href="http://www.google.co.nz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google New Zealand</a>',
+'images_google_co_nz','<a href="http://images.google.co.nz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google New Zealand ( images )</a>',
+'translate_google_co_nz','<a href="http://translate.google.co.nz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate New Zealand</a>',
+'google_co_nz','<a href="http://google.co.nz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google New Zealand ( catchall )</a>',
+'www_google_pl','<a href="http://www.google.pl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Poland</a>',
+'images_google_pl','<a href="http://images.google.pl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Poland ( images )</a>',
+'translate_google_pl','<a href="http://translate.google.pl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Poland</a>',
+'google_pl','<a href="http://google.pl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Poland ( catchall )</a>',
+'www_google_ac','<a href="http://www.google.ac/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Ascension Island</a>',
+'images_google_ac','<a href="http://images.google.ac/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Ascension Island ( images )</a>',
+'translate_google_ac','<a href="http://translate.google.ac/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Ascension Island</a>',
+'google_ac','<a href="http://google.ac/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Ascension Island ( catchall )</a>',
+'www_google_ad','<a href="http://www.google.ad/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Andorra</a>',
+'images_google_ad','<a href="http://images.google.ad/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Andorra ( images )</a>',
+'translate_google_ad','<a href="http://translate.google.ad/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Andorra</a>',
+'google_ad','<a href="http://google.ad/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Andorra ( catchall )</a>',
+'www_google_ae','<a href="http://www.google.ae/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google United Arab Emirates</a>',
+'images_google_ae','<a href="http://images.google.ae/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google United Arab Emirates ( images )</a>',
+'translate_google_ae','<a href="http://translate.google.ae/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate United Arab Emirates</a>',
+'google_ae','<a href="http://google.ae/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google United Arab Emirates ( catchall )</a>',
+'www_google_al','<a href="http://www.google.al/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Albania</a>',
+'images_google_al','<a href="http://images.google.al/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Albania ( images )</a>',
+'translate_google_al','<a href="http://translate.google.al/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Albania</a>',
+'google_al','<a href="http://google.al/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Albania ( catchall )</a>',
+'www_google_am','<a href="http://www.google.am/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Armenia</a>',
+'images_google_am','<a href="http://images.google.am/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Armenia ( images )</a>',
+'translate_google_am','<a href="http://translate.google.am/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Armenia</a>',
+'google_am','<a href="http://google.am/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Armenia ( catchall )</a>',
+'www_google_as','<a href="http://www.google.as/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google American Samoa</a>',
+'images_google_as','<a href="http://images.google.as/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google American Samoa ( images )</a>',
+'translate_google_as','<a href="http://translate.google.as/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate American Samoa</a>',
+'google_as','<a href="http://google.as/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google American Samoa ( catchall )</a>',
+'www_google_at','<a href="http://www.google.at/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Austria</a>',
+'images_google_at','<a href="http://images.google.at/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Austria ( images )</a>',
+'translate_google_at','<a href="http://translate.google.at/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Austria</a>',
+'google_at','<a href="http://google.at/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Austria ( catchall )</a>',
+'www_google_az','<a href="http://www.google.az/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Azerbaijan</a>',
+'images_google_az','<a href="http://images.google.az/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Azerbaijan ( images )</a>',
+'translate_google_az','<a href="http://translate.google.az/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Azerbaijan</a>',
+'google_az','<a href="http://google.az/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Azerbaijan ( catchall )</a>',
+'www_google_ba','<a href="http://www.google.ba/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Bosnia and Herzegovina</a>',
+'images_google_ba','<a href="http://images.google.ba/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Bosnia and Herzegovina ( images )</a>',
+'translate_google_ba','<a href="http://translate.google.ba/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Bosnia and Herzegovina</a>',
+'google_ba','<a href="http://google.ba/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Bosnia and Herzegovina ( catchall )</a>',
+'www_google_be','<a href="http://www.google.be/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Belgium</a>',
+'images_google_be','<a href="http://images.google.be/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Belgium ( images )</a>',
+'translate_google_be','<a href="http://translate.google.be/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Belgium</a>',
+'google_be','<a href="http://google.be/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Belgium ( catchall )</a>',
+'www_google_bf','<a href="http://www.google.bf/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Burkina Faso</a>',
+'images_google_bf','<a href="http://images.google.bf/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Burkina Faso ( images )</a>',
+'translate_google_bf','<a href="http://translate.google.bf/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Burkina Faso</a>',
+'google_bf','<a href="http://google.bf/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Burkina Faso ( catchall )</a>',
+'www_google_bg','<a href="http://www.google.bg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Bulgaria</a>',
+'images_google_bg','<a href="http://images.google.bg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Bulgaria ( images )</a>',
+'translate_google_bg','<a href="http://translate.google.bg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Bulgaria</a>',
+'google_bg','<a href="http://google.bg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Bulgaria ( catchall )</a>',
+'www_google_bi','<a href="http://www.google.bi/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Burundi</a>',
+'images_google_bi','<a href="http://images.google.bi/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Burundi ( images )</a>',
+'translate_google_bi','<a href="http://translate.google.bi/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Burundi</a>',
+'google_bi','<a href="http://google.bi/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Burundi ( catchall )</a>',
+'www_google_bj','<a href="http://www.google.bj/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Benin</a>',
+'images_google_bj','<a href="http://images.google.bj/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Benin ( images )</a>',
+'translate_google_bj','<a href="http://translate.google.bj/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Benin</a>',
+'google_bj','<a href="http://google.bj/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Benin ( catchall )</a>',
+'www_google_bs','<a href="http://www.google.bs/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Bahamas</a>',
+'images_google_bs','<a href="http://images.google.bs/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Bahamas ( images )</a>',
+'translate_google_bs','<a href="http://translate.google.bs/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Bahamas</a>',
+'google_bs','<a href="http://google.bs/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Bahamas ( catchall )</a>',
+'www_google_bt','<a href="http://www.google.bt/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Bhutan</a>',
+'images_google_bt','<a href="http://images.google.bt/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Bhutan ( images )</a>',
+'translate_google_bt','<a href="http://translate.google.bt/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Bhutan</a>',
+'google_bt','<a href="http://google.bt/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Bhutan ( catchall )</a>',
+'www_google_by','<a href="http://www.google.by/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Belarus</a>',
+'images_google_by','<a href="http://images.google.by/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Belarus ( images )</a>',
+'translate_google_by','<a href="http://translate.google.by/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Belarus</a>',
+'google_by','<a href="http://google.by/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Belarus ( catchall )</a>',
+'www_google_cat','<a href="http://www.google.cat/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Catalan Countries</a>',
+'images_google_cat','<a href="http://images.google.cat/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Catalan Countries ( images )</a>',
+'translate_google_cat','<a href="http://translate.google.cat/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Catalan Countries</a>',
+'google_cat','<a href="http://google.cat/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Catalan Countries ( catchall )</a>',
+'www_google_cc','<a href="http://www.google.cc/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Cocos (Keeling) Islands</a>',
+'images_google_cc','<a href="http://images.google.cc/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Cocos (Keeling) Islands ( images )</a>',
+'translate_google_cc','<a href="http://translate.google.cc/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Cocos (Keeling) Islands</a>',
+'google_cc','<a href="http://google.cc/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Cocos (Keeling) Islands ( catchall )</a>',
+'www_google_cd','<a href="http://www.google.cd/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Democratic Republic of the Congo</a>',
+'images_google_cd','<a href="http://images.google.cd/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Democratic Republic of the Congo ( images )</a>',
+'translate_google_cd','<a href="http://translate.google.cd/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Democratic Republic of the Congo</a>',
+'google_cd','<a href="http://google.cd/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Democratic Republic of the Congo ( catchall )</a>',
+'www_google_cf','<a href="http://www.google.cf/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Central African Republic</a>',
+'images_google_cf','<a href="http://images.google.cf/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Central African Republic ( images )</a>',
+'translate_google_cf','<a href="http://translate.google.cf/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Central African Republic</a>',
+'google_cf','<a href="http://google.cf/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Central African Republic ( catchall )</a>',
+'www_google_cg','<a href="http://www.google.cg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Republic of the Congo</a>',
+'images_google_cg','<a href="http://images.google.cg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Republic of the Congo ( images )</a>',
+'translate_google_cg','<a href="http://translate.google.cg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Republic of the Congo</a>',
+'google_cg','<a href="http://google.cg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Republic of the Congo ( catchall )</a>',
+'www_google_ch','<a href="http://www.google.ch/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Switzerland</a>',
+'images_google_ch','<a href="http://images.google.ch/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Switzerland ( images )</a>',
+'translate_google_ch','<a href="http://translate.google.ch/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Switzerland</a>',
+'google_ch','<a href="http://google.ch/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Switzerland ( catchall )</a>',
+'www_google_ci','<a href="http://www.google.ci/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Ivory Coast</a>',
+'images_google_ci','<a href="http://images.google.ci/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Ivory Coast ( images )</a>',
+'translate_google_ci','<a href="http://translate.google.ci/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Ivory Coast</a>',
+'google_ci','<a href="http://google.ci/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Ivory Coast ( catchall )</a>',
+'www_google_cl','<a href="http://www.google.cl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Chile</a>',
+'images_google_cl','<a href="http://images.google.cl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Chile ( images )</a>',
+'translate_google_cl','<a href="http://translate.google.cl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Chile</a>',
+'google_cl','<a href="http://google.cl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Chile ( catchall )</a>',
+'www_google_cm','<a href="http://www.google.cm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Cameroon</a>',
+'images_google_cm','<a href="http://images.google.cm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Cameroon ( images )</a>',
+'translate_google_cm','<a href="http://translate.google.cm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Cameroon</a>',
+'google_cm','<a href="http://google.cm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Cameroon ( catchall )</a>',
+'www_google_cn','<a href="http://www.google.cn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google China</a>',
+'images_google_cn','<a href="http://images.google.cn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google China ( images )</a>',
+'translate_google_cn','<a href="http://translate.google.cn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate China</a>',
+'google_cn','<a href="http://google.cn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google China ( catchall )</a>',
+'www_google_co_ao','<a href="http://www.google.co.ao/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Angola</a>',
+'images_google_co_ao','<a href="http://images.google.co.ao/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Angola ( images )</a>',
+'translate_google_co_ao','<a href="http://translate.google.co.ao/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Angola</a>',
+'google_co_ao','<a href="http://google.co.ao/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Angola ( catchall )</a>',
+'www_google_co_bw','<a href="http://www.google.co.bw/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Botswana</a>',
+'images_google_co_bw','<a href="http://images.google.co.bw/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Botswana ( images )</a>',
+'translate_google_co_bw','<a href="http://translate.google.co.bw/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Botswana</a>',
+'google_co_bw','<a href="http://google.co.bw/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Botswana ( catchall )</a>',
+'www_google_co_ck','<a href="http://www.google.co.ck/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Cook Islands</a>',
+'images_google_co_ck','<a href="http://images.google.co.ck/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Cook Islands ( images )</a>',
+'translate_google_co_ck','<a href="http://translate.google.co.ck/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Cook Islands</a>',
+'google_co_ck','<a href="http://google.co.ck/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Cook Islands ( catchall )</a>',
+'www_google_co_cr','<a href="http://www.google.co.cr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Costa Rica</a>',
+'images_google_co_cr','<a href="http://images.google.co.cr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Costa Rica ( images )</a>',
+'translate_google_co_cr','<a href="http://translate.google.co.cr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Costa Rica</a>',
+'google_co_cr','<a href="http://google.co.cr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Costa Rica ( catchall )</a>',
+'www_google_co_id','<a href="http://www.google.co.id/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Indonesia</a>',
+'images_google_co_id','<a href="http://images.google.co.id/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Indonesia ( images )</a>',
+'translate_google_co_id','<a href="http://translate.google.co.id/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Indonesia</a>',
+'google_co_id','<a href="http://google.co.id/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Indonesia ( catchall )</a>',
+'www_google_co_il','<a href="http://www.google.co.il/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Israel</a>',
+'images_google_co_il','<a href="http://images.google.co.il/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Israel ( images )</a>',
+'translate_google_co_il','<a href="http://translate.google.co.il/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Israel</a>',
+'google_co_il','<a href="http://google.co.il/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Israel ( catchall )</a>',
+'www_google_co_jp','<a href="http://www.google.co.jp/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Japan</a>',
+'images_google_co_jp','<a href="http://images.google.co.jp/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Japan ( images )</a>',
+'translate_google_co_jp','<a href="http://translate.google.co.jp/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Japan</a>',
+'google_co_jp','<a href="http://google.co.jp/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Japan ( catchall )</a>',
+'www_google_co_ke','<a href="http://www.google.co.ke/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Kenya</a>',
+'images_google_co_ke','<a href="http://images.google.co.ke/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Kenya ( images )</a>',
+'translate_google_co_ke','<a href="http://translate.google.co.ke/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Kenya</a>',
+'google_co_ke','<a href="http://google.co.ke/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Kenya ( catchall )</a>',
+'www_google_co_kr','<a href="http://www.google.co.kr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google South Korea</a>',
+'images_google_co_kr','<a href="http://images.google.co.kr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google South Korea ( images )</a>',
+'translate_google_co_kr','<a href="http://translate.google.co.kr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate South Korea</a>',
+'google_co_kr','<a href="http://google.co.kr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google South Korea ( catchall )</a>',
+'www_google_co_ls','<a href="http://www.google.co.ls/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Lesotho</a>',
+'images_google_co_ls','<a href="http://images.google.co.ls/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Lesotho ( images )</a>',
+'translate_google_co_ls','<a href="http://translate.google.co.ls/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Lesotho</a>',
+'google_co_ls','<a href="http://google.co.ls/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Lesotho ( catchall )</a>',
+'www_google_co_ma','<a href="http://www.google.co.ma/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Morocco</a>',
+'images_google_co_ma','<a href="http://images.google.co.ma/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Morocco ( images )</a>',
+'translate_google_co_ma','<a href="http://translate.google.co.ma/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Morocco</a>',
+'google_co_ma','<a href="http://google.co.ma/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Morocco ( catchall )</a>',
+'www_google_co_mz','<a href="http://www.google.co.mz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Mozambique</a>',
+'images_google_co_mz','<a href="http://images.google.co.mz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Mozambique ( images )</a>',
+'translate_google_co_mz','<a href="http://translate.google.co.mz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Mozambique</a>',
+'google_co_mz','<a href="http://google.co.mz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Mozambique ( catchall )</a>',
+'www_google_co_th','<a href="http://www.google.co.th/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Thailand</a>',
+'images_google_co_th','<a href="http://images.google.co.th/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Thailand ( images )</a>',
+'translate_google_co_th','<a href="http://translate.google.co.th/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Thailand</a>',
+'google_co_th','<a href="http://google.co.th/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Thailand ( catchall )</a>',
+'www_google_co_tz','<a href="http://www.google.co.tz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Tanzania</a>',
+'images_google_co_tz','<a href="http://images.google.co.tz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Tanzania ( images )</a>',
+'translate_google_co_tz','<a href="http://translate.google.co.tz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Tanzania</a>',
+'google_co_tz','<a href="http://google.co.tz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Tanzania ( catchall )</a>',
+'www_google_co_ug','<a href="http://www.google.co.ug/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Uganda</a>',
+'images_google_co_ug','<a href="http://images.google.co.ug/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Uganda ( images )</a>',
+'translate_google_co_ug','<a href="http://translate.google.co.ug/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Uganda</a>',
+'google_co_ug','<a href="http://google.co.ug/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Uganda ( catchall )</a>',
+'www_google_co_uz','<a href="http://www.google.co.uz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Uzbekistan</a>',
+'images_google_co_uz','<a href="http://images.google.co.uz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Uzbekistan ( images )</a>',
+'translate_google_co_uz','<a href="http://translate.google.co.uz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Uzbekistan</a>',
+'google_co_uz','<a href="http://google.co.uz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Uzbekistan ( catchall )</a>',
+'www_google_co_ve','<a href="http://www.google.co.ve/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Venezuela</a>',
 
-'images_google_co_ve','<a href="http://images.google.co.ve/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Venezuela ( images )</a>',
-'translate_google_co_ve','<a href="http://translate.google.co.ve/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Venezuela</a>',
-'google_co_ve','<a href="http://google.co.ve/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Venezuela ( catchall )</a>',
-'www_google_co_vi','<a href="http://www.google.co.vi/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google United States Virgin Islands</a>',
-'images_google_co_vi','<a href="http://images.google.co.vi/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google United States Virgin Islands ( images )</a>',
-'translate_google_co_vi','<a href="http://translate.google.co.vi/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate United States Virgin Islands</a>',
-'google_co_vi','<a href="http://google.co.vi/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google United States Virgin Islands ( catchall )</a>',
-'www_google_co_za','<a href="http://www.google.co.za/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google South Africa</a>',
-'images_google_co_za','<a href="http://images.google.co.za/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google South Africa ( images )</a>',
-'translate_google_co_za','<a href="http://translate.google.co.za/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate South Africa</a>',
-'google_co_za','<a href="http://google.co.za/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google South Africa ( catchall )</a>',
-'www_google_co_zm','<a href="http://www.google.co.zm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Zambia</a>',
-'images_google_co_zm','<a href="http://images.google.co.zm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Zambia ( images )</a>',
-'translate_google_co_zm','<a href="http://translate.google.co.zm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Zambia</a>',
-'google_co_zm','<a href="http://google.co.zm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Zambia ( catchall )</a>',
-'www_google_co_zw','<a href="http://www.google.co.zw/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Zimbabwe</a>',
-'images_google_co_zw','<a href="http://images.google.co.zw/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Zimbabwe ( images )</a>',
-'translate_google_co_zw','<a href="http://translate.google.co.zw/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Zimbabwe</a>',
-'google_co_zw','<a href="http://google.co.zw/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Zimbabwe ( catchall )</a>',
-'www_google_com_af','<a href="http://www.google.com.af/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Afghanistan</a>',
-'images_google_com_af','<a href="http://images.google.com.af/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Afghanistan ( images )</a>',
-'translate_google_com_af','<a href="http://translate.google.com.af/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Afghanistan</a>',
-'google_com_af','<a href="http://google.com.af/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Afghanistan ( catchall )</a>',
-'www_google_com_ag','<a href="http://www.google.com.ag/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Antigua and Barbuda</a>',
-'images_google_com_ag','<a href="http://images.google.com.ag/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Antigua and Barbuda ( images )</a>',
-'translate_google_com_ag','<a href="http://translate.google.com.ag/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Antigua and Barbuda</a>',
-'google_com_ag','<a href="http://google.com.ag/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Antigua and Barbuda ( catchall )</a>',
-'www_google_com_ai','<a href="http://www.google.com.ai/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Anguilla</a>',
-'images_google_com_ai','<a href="http://images.google.com.ai/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Anguilla ( images )</a>',
-'translate_google_com_ai','<a href="http://translate.google.com.ai/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Anguilla</a>',
-'google_com_ai','<a href="http://google.com.ai/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Anguilla ( catchall )</a>',
-'www_google_com_ar','<a href="http://www.google.com.ar/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Argentina</a>',
-'images_google_com_ar','<a href="http://images.google.com.ar/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Argentina ( images )</a>',
-'translate_google_com_ar','<a href="http://translate.google.com.ar/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Argentina</a>',
-'google_com_ar','<a href="http://google.com.ar/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Argentina ( catchall )</a>',
-'www_google_com_bd','<a href="http://www.google.com.bd/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Bangladesh</a>',
-'images_google_com_bd','<a href="http://images.google.com.bd/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Bangladesh ( images )</a>',
-'translate_google_com_bd','<a href="http://translate.google.com.bd/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Bangladesh</a>',
-'google_com_bd','<a href="http://google.com.bd/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Bangladesh ( catchall )</a>',
-'www_google_com_bh','<a href="http://www.google.com.bh/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Bahrain</a>',
-'images_google_com_bh','<a href="http://images.google.com.bh/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Bahrain ( images )</a>',
-'translate_google_com_bh','<a href="http://translate.google.com.bh/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Bahrain</a>',
-'google_com_bh','<a href="http://google.com.bh/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Bahrain ( catchall )</a>',
-'www_google_com_bn','<a href="http://www.google.com.bn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Brunei</a>',
-'images_google_com_bn','<a href="http://images.google.com.bn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Brunei ( images )</a>',
-'translate_google_com_bn','<a href="http://translate.google.com.bn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Brunei</a>',
-'google_com_bn','<a href="http://google.com.bn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Brunei ( catchall )</a>',
-'www_google_com_bo','<a href="http://www.google.com.bo/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Bolivia</a>',
-'images_google_com_bo','<a href="http://images.google.com.bo/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Bolivia ( images )</a>',
-'translate_google_com_bo','<a href="http://translate.google.com.bo/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Bolivia</a>',
-'google_com_bo','<a href="http://google.com.bo/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Bolivia ( catchall )</a>',
-'www_google_com_br','<a href="http://www.google.com.br/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Brazil</a>',
-'images_google_com_br','<a href="http://images.google.com.br/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Brazil ( images )</a>',
-'translate_google_com_br','<a href="http://translate.google.com.br/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Brazil</a>',
-'google_com_br','<a href="http://google.com.br/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Brazil ( catchall )</a>',
-'www_google_com_bz','<a href="http://www.google.com.bz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Belize</a>',
-'images_google_com_bz','<a href="http://images.google.com.bz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Belize ( images )</a>',
-'translate_google_com_bz','<a href="http://translate.google.com.bz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Belize</a>',
-'google_com_bz','<a href="http://google.com.bz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Belize ( catchall )</a>',
-'www_google_com_co','<a href="http://www.google.com.co/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Colombia</a>',
-'images_google_com_co','<a href="http://images.google.com.co/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Colombia ( images )</a>',
-'translate_google_com_co','<a href="http://translate.google.com.co/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Colombia</a>',
-'google_com_co','<a href="http://google.com.co/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Colombia ( catchall )</a>',
-'www_google_com_cu','<a href="http://www.google.com.cu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Cuba</a>',
-'images_google_com_cu','<a href="http://images.google.com.cu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Cuba ( images )</a>',
-'translate_google_com_cu','<a href="http://translate.google.com.cu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Cuba</a>',
-'google_com_cu','<a href="http://google.com.cu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Cuba ( catchall )</a>',
-'www_google_com_cy','<a href="http://www.google.com.cy/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Cyprus</a>',
-'images_google_com_cy','<a href="http://images.google.com.cy/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Cyprus ( images )</a>',
-'translate_google_com_cy','<a href="http://translate.google.com.cy/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Cyprus</a>',
-'google_com_cy','<a href="http://google.com.cy/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Cyprus ( catchall )</a>',
-'www_google_com_do','<a href="http://www.google.com.do/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Dominican Republic</a>',
-'images_google_com_do','<a href="http://images.google.com.do/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Dominican Republic ( images )</a>',
-'translate_google_com_do','<a href="http://translate.google.com.do/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Dominican Republic</a>',
-'google_com_do','<a href="http://google.com.do/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Dominican Republic ( catchall )</a>',
-'www_google_com_ec','<a href="http://www.google.com.ec/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Ecuador</a>',
-'images_google_com_ec','<a href="http://images.google.com.ec/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Ecuador ( images )</a>',
-'translate_google_com_ec','<a href="http://translate.google.com.ec/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Ecuador</a>',
-'google_com_ec','<a href="http://google.com.ec/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Ecuador ( catchall )</a>',
-'www_google_com_eg','<a href="http://www.google.com.eg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Egypt</a>',
-'images_google_com_eg','<a href="http://images.google.com.eg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Egypt ( images )</a>',
-'translate_google_com_eg','<a href="http://translate.google.com.eg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Egypt</a>',
-'google_com_eg','<a href="http://google.com.eg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Egypt ( catchall )</a>',
-'www_google_com_et','<a href="http://www.google.com.et/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Ethiopia</a>',
-'images_google_com_et','<a href="http://images.google.com.et/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Ethiopia ( images )</a>',
-'translate_google_com_et','<a href="http://translate.google.com.et/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Ethiopia</a>',
-'google_com_et','<a href="http://google.com.et/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Ethiopia ( catchall )</a>',
-'www_google_com_fj','<a href="http://www.google.com.fj/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Fiji</a>',
-'images_google_com_fj','<a href="http://images.google.com.fj/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Fiji ( images )</a>',
-'translate_google_com_fj','<a href="http://translate.google.com.fj/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Fiji</a>',
-'google_com_fj','<a href="http://google.com.fj/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Fiji ( catchall )</a>',
-'www_google_com_gh','<a href="http://www.google.com.gh/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Ghana</a>',
-'images_google_com_gh','<a href="http://images.google.com.gh/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Ghana ( images )</a>',
-'translate_google_com_gh','<a href="http://translate.google.com.gh/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Ghana</a>',
-'google_com_gh','<a href="http://google.com.gh/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Ghana ( catchall )</a>',
-'www_google_com_gi','<a href="http://www.google.com.gi/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Gibraltar</a>',
-'images_google_com_gi','<a href="http://images.google.com.gi/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Gibraltar ( images )</a>',
-'translate_google_com_gi','<a href="http://translate.google.com.gi/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Gibraltar</a>',
-'google_com_gi','<a href="http://google.com.gi/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Gibraltar ( catchall )</a>',
-'www_google_com_gt','<a href="http://www.google.com.gt/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Guatemala</a>',
-'images_google_com_gt','<a href="http://images.google.com.gt/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Guatemala ( images )</a>',
-'translate_google_com_gt','<a href="http://translate.google.com.gt/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Guatemala</a>',
-'google_com_gt','<a href="http://google.com.gt/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Guatemala ( catchall )</a>',
-'www_google_com_hk','<a href="http://www.google.com.hk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Hong Kong</a>',
-'images_google_com_hk','<a href="http://images.google.com.hk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Hong Kong ( images )</a>',
-'translate_google_com_hk','<a href="http://translate.google.com.hk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Hong Kong</a>',
-'google_com_hk','<a href="http://google.com.hk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Hong Kong ( catchall )</a>',
-'www_google_com_jm','<a href="http://www.google.com.jm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Jamaica</a>',
-'images_google_com_jm','<a href="http://images.google.com.jm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Jamaica ( images )</a>',
-'translate_google_com_jm','<a href="http://translate.google.com.jm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Jamaica</a>',
-'google_com_jm','<a href="http://google.com.jm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Jamaica ( catchall )</a>',
-'www_google_com_kh','<a href="http://www.google.com.kh/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Cambodia</a>',
-'images_google_com_kh','<a href="http://images.google.com.kh/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Cambodia ( images )</a>',
-'translate_google_com_kh','<a href="http://translate.google.com.kh/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Cambodia</a>',
-'google_com_kh','<a href="http://google.com.kh/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Cambodia ( catchall )</a>',
-'www_google_com_kw','<a href="http://www.google.com.kw/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Kuwait</a>',
-'images_google_com_kw','<a href="http://images.google.com.kw/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Kuwait ( images )</a>',
-'translate_google_com_kw','<a href="http://translate.google.com.kw/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Kuwait</a>',
-'google_com_kw','<a href="http://google.com.kw/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Kuwait ( catchall )</a>',
-'www_google_com_lb','<a href="http://www.google.com.lb/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Lebanon</a>',
-'images_google_com_lb','<a href="http://images.google.com.lb/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Lebanon ( images )</a>',
-'translate_google_com_lb','<a href="http://translate.google.com.lb/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Lebanon</a>',
-'google_com_lb','<a href="http://google.com.lb/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Lebanon ( catchall )</a>',
-'www_google_com_lc','<a href="http://www.google.com.lc/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Saint Lucia</a>',
-'images_google_com_lc','<a href="http://images.google.com.lc/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Saint Lucia ( images )</a>',
-'translate_google_com_lc','<a href="http://translate.google.com.lc/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Saint Lucia</a>',
-'google_com_lc','<a href="http://google.com.lc/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Saint Lucia ( catchall )</a>',
-'www_google_com_ly','<a href="http://www.google.com.ly/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Libya</a>',
-'images_google_com_ly','<a href="http://images.google.com.ly/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Libya ( images )</a>',
-'translate_google_com_ly','<a href="http://translate.google.com.ly/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Libya</a>',
-'google_com_ly','<a href="http://google.com.ly/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Libya ( catchall )</a>',
-'www_google_com_mm','<a href="http://www.google.com.mm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Myanmar</a>',
-'images_google_com_mm','<a href="http://images.google.com.mm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Myanmar ( images )</a>',
-'translate_google_com_mm','<a href="http://translate.google.com.mm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Myanmar</a>',
-'google_com_mm','<a href="http://google.com.mm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Myanmar ( catchall )</a>',
-'www_google_com_mt','<a href="http://www.google.com.mt/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Malta</a>',
-'images_google_com_mt','<a href="http://images.google.com.mt/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Malta ( images )</a>',
-'translate_google_com_mt','<a href="http://translate.google.com.mt/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Malta</a>',
-'google_com_mt','<a href="http://google.com.mt/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Malta ( catchall )</a>',
-'www_google_com_mx','<a href="http://www.google.com.mx/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Mexico</a>',
-'images_google_com_mx','<a href="http://images.google.com.mx/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Mexico ( images )</a>',
-'translate_google_com_mx','<a href="http://translate.google.com.mx/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Mexico</a>',
-'google_com_mx','<a href="http://google.com.mx/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Mexico ( catchall )</a>',
-'www_google_com_my','<a href="http://www.google.com.my/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Malaysia</a>',
-'images_google_com_my','<a href="http://images.google.com.my/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Malaysia ( images )</a>',
-'translate_google_com_my','<a href="http://translate.google.com.my/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Malaysia</a>',
-'google_com_my','<a href="http://google.com.my/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Malaysia ( catchall )</a>',
-'www_google_com_na','<a href="http://www.google.com.na/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Namibia</a>',
-'images_google_com_na','<a href="http://images.google.com.na/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Namibia ( images )</a>',
-'translate_google_com_na','<a href="http://translate.google.com.na/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Namibia</a>',
-'google_com_na','<a href="http://google.com.na/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Namibia ( catchall )</a>',
-'www_google_com_nf','<a href="http://www.google.com.nf/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Norfolk Island</a>',
-'images_google_com_nf','<a href="http://images.google.com.nf/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Norfolk Island ( images )</a>',
-'translate_google_com_nf','<a href="http://translate.google.com.nf/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Norfolk Island</a>',
-'google_com_nf','<a href="http://google.com.nf/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Norfolk Island ( catchall )</a>',
-'www_google_com_ng','<a href="http://www.google.com.ng/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Nigeria</a>',
-'images_google_com_ng','<a href="http://images.google.com.ng/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Nigeria ( images )</a>',
-'translate_google_com_ng','<a href="http://translate.google.com.ng/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Nigeria</a>',
-'google_com_ng','<a href="http://google.com.ng/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Nigeria ( catchall )</a>',
-'www_google_com_ni','<a href="http://www.google.com.ni/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Nicaragua</a>',
-'images_google_com_ni','<a href="http://images.google.com.ni/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Nicaragua ( images )</a>',
-'translate_google_com_ni','<a href="http://translate.google.com.ni/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Nicaragua</a>',
-'google_com_ni','<a href="http://google.com.ni/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Nicaragua ( catchall )</a>',
-'www_google_com_np','<a href="http://www.google.com.np/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Nepal</a>',
-'images_google_com_np','<a href="http://images.google.com.np/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Nepal ( images )</a>',
-'translate_google_com_np','<a href="http://translate.google.com.np/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Nepal</a>',
-'google_com_np','<a href="http://google.com.np/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Nepal ( catchall )</a>',
-'www_google_com_om','<a href="http://www.google.com.om/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Oman</a>',
-'images_google_com_om','<a href="http://images.google.com.om/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Oman ( images )</a>',
-'translate_google_com_om','<a href="http://translate.google.com.om/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Oman</a>',
-'google_com_om','<a href="http://google.com.om/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Oman ( catchall )</a>',
-'www_google_com_pa','<a href="http://www.google.com.pa/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Panama</a>',
-'images_google_com_pa','<a href="http://images.google.com.pa/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Panama ( images )</a>',
-'translate_google_com_pa','<a href="http://translate.google.com.pa/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Panama</a>',
-'google_com_pa','<a href="http://google.com.pa/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Panama ( catchall )</a>',
-'www_google_com_pe','<a href="http://www.google.com.pe/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Peru</a>',
-'images_google_com_pe','<a href="http://images.google.com.pe/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Peru ( images )</a>',
-'translate_google_com_pe','<a href="http://translate.google.com.pe/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Peru</a>',
-'google_com_pe','<a href="http://google.com.pe/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Peru ( catchall )</a>',
-'www_google_com_pg','<a href="http://www.google.com.pg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Papua New Guinea</a>',
-'images_google_com_pg','<a href="http://images.google.com.pg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Papua New Guinea ( images )</a>',
-'translate_google_com_pg','<a href="http://translate.google.com.pg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Papua New Guinea</a>',
-'google_com_pg','<a href="http://google.com.pg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Papua New Guinea ( catchall )</a>',
-'www_google_com_ph','<a href="http://www.google.com.ph/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Philippines</a>',
-'images_google_com_ph','<a href="http://images.google.com.ph/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Philippines ( images )</a>',
-'translate_google_com_ph','<a href="http://translate.google.com.ph/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Philippines</a>',
-'google_com_ph','<a href="http://google.com.ph/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Philippines ( catchall )</a>',
-'www_google_com_pk','<a href="http://www.google.com.pk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Pakistan</a>',
-'images_google_com_pk','<a href="http://images.google.com.pk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Pakistan ( images )</a>',
-'translate_google_com_pk','<a href="http://translate.google.com.pk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Pakistan</a>',
-'google_com_pk','<a href="http://google.com.pk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Pakistan ( catchall )</a>',
-'www_google_com_pr','<a href="http://www.google.com.pr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Puerto Rico</a>',
-'images_google_com_pr','<a href="http://images.google.com.pr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Puerto Rico ( images )</a>',
-'translate_google_com_pr','<a href="http://translate.google.com.pr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Puerto Rico</a>',
-'google_com_pr','<a href="http://google.com.pr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Puerto Rico ( catchall )</a>',
-'www_google_com_py','<a href="http://www.google.com.py/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Paraguay</a>',
-'images_google_com_py','<a href="http://images.google.com.py/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Paraguay ( images )</a>',
-'translate_google_com_py','<a href="http://translate.google.com.py/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Paraguay</a>',
-'google_com_py','<a href="http://google.com.py/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Paraguay ( catchall )</a>',
-'www_google_com_qa','<a href="http://www.google.com.qa/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Qatar</a>',
-'images_google_com_qa','<a href="http://images.google.com.qa/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Qatar ( images )</a>',
-'translate_google_com_qa','<a href="http://translate.google.com.qa/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Qatar</a>',
-'google_com_qa','<a href="http://google.com.qa/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Qatar ( catchall )</a>',
-'www_google_com_sa','<a href="http://www.google.com.sa/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Saudi Arabia</a>',
-'images_google_com_sa','<a href="http://images.google.com.sa/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Saudi Arabia ( images )</a>',
-'translate_google_com_sa','<a href="http://translate.google.com.sa/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Saudi Arabia</a>',
-'google_com_sa','<a href="http://google.com.sa/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Saudi Arabia ( catchall )</a>',
-'www_google_com_sb','<a href="http://www.google.com.sb/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Solomon Islands</a>',
-'images_google_com_sb','<a href="http://images.google.com.sb/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Solomon Islands ( images )</a>',
-'translate_google_com_sb','<a href="http://translate.google.com.sb/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Solomon Islands</a>',
-'google_com_sb','<a href="http://google.com.sb/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Solomon Islands ( catchall )</a>',
-'www_google_com_sg','<a href="http://www.google.com.sg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Singapore</a>',
-'images_google_com_sg','<a href="http://images.google.com.sg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Singapore ( images )</a>',
-'translate_google_com_sg','<a href="http://translate.google.com.sg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Singapore</a>',
-'google_com_sg','<a href="http://google.com.sg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Singapore ( catchall )</a>',
-'www_google_com_sl','<a href="http://www.google.com.sl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Sierra Leone</a>',
-'images_google_com_sl','<a href="http://images.google.com.sl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Sierra Leone ( images )</a>',
-'translate_google_com_sl','<a href="http://translate.google.com.sl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Sierra Leone</a>',
-'google_com_sl','<a href="http://google.com.sl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Sierra Leone ( catchall )</a>',
-'www_google_com_sv','<a href="http://www.google.com.sv/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google El Salvador</a>',
-'images_google_com_sv','<a href="http://images.google.com.sv/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google El Salvador ( images )</a>',
-'translate_google_com_sv','<a href="http://translate.google.com.sv/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate El Salvador</a>',
-'google_com_sv','<a href="http://google.com.sv/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google El Salvador ( catchall )</a>',
-'www_google_com_tj','<a href="http://www.google.com.tj/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Tajikistan</a>',
-'images_google_com_tj','<a href="http://images.google.com.tj/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Tajikistan ( images )</a>',
-'translate_google_com_tj','<a href="http://translate.google.com.tj/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Tajikistan</a>',
-'google_com_tj','<a href="http://google.com.tj/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Tajikistan ( catchall )</a>',
-'www_google_com_tw','<a href="http://www.google.com.tw/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Taiwan</a>',
-'images_google_com_tw','<a href="http://images.google.com.tw/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Taiwan ( images )</a>',
-'translate_google_com_tw','<a href="http://translate.google.com.tw/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Taiwan</a>',
-'google_com_tw','<a href="http://google.com.tw/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Taiwan ( catchall )</a>',
-'www_google_com_ua','<a href="http://www.google.com.ua/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Ukraine</a>',
-'images_google_com_ua','<a href="http://images.google.com.ua/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Ukraine ( images )</a>',
-'translate_google_com_ua','<a href="http://translate.google.com.ua/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Ukraine</a>',
-'google_com_ua','<a href="http://google.com.ua/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Ukraine ( catchall )</a>',
-'www_google_com_uy','<a href="http://www.google.com.uy/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Uruguay</a>',
-'images_google_com_uy','<a href="http://images.google.com.uy/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Uruguay ( images )</a>',
-'translate_google_com_uy','<a href="http://translate.google.com.uy/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Uruguay</a>',
-'google_com_uy','<a href="http://google.com.uy/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Uruguay ( catchall )</a>',
-'www_google_com_vc','<a href="http://www.google.com.vc/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Saint Vincent and the Grenadines</a>',
-'images_google_com_vc','<a href="http://images.google.com.vc/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Saint Vincent and the Grenadines ( images )</a>',
-'translate_google_com_vc','<a href="http://translate.google.com.vc/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Saint Vincent and the Grenadines</a>',
-'google_com_vc','<a href="http://google.com.vc/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Saint Vincent and the Grenadines ( catchall )</a>',
-'www_google_com_vn','<a href="http://www.google.com.vn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Vietnam</a>',
-'images_google_com_vn','<a href="http://images.google.com.vn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Vietnam ( images )</a>',
-'translate_google_com_vn','<a href="http://translate.google.com.vn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Vietnam</a>',
-'google_com_vn','<a href="http://google.com.vn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Vietnam ( catchall )</a>',
-'www_google_cv','<a href="http://www.google.cv/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Cape Verde</a>',
-'images_google_cv','<a href="http://images.google.cv/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Cape Verde ( images )</a>',
-'translate_google_cv','<a href="http://translate.google.cv/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Cape Verde</a>',
-'google_cv','<a href="http://google.cv/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Cape Verde ( catchall )</a>',
-'www_google_cz','<a href="http://www.google.cz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Czech Republic</a>',
-'images_google_cz','<a href="http://images.google.cz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Czech Republic ( images )</a>',
-'translate_google_cz','<a href="http://translate.google.cz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Czech Republic</a>',
-'google_cz','<a href="http://google.cz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Czech Republic ( catchall )</a>',
-'www_google_dj','<a href="http://www.google.dj/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Djibouti</a>',
-'images_google_dj','<a href="http://images.google.dj/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Djibouti ( images )</a>',
-'translate_google_dj','<a href="http://translate.google.dj/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Djibouti</a>',
-'google_dj','<a href="http://google.dj/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Djibouti ( catchall )</a>',
-'www_google_dk','<a href="http://www.google.dk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Denmark</a>',
-'images_google_dk','<a href="http://images.google.dk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Denmark ( images )</a>',
-'translate_google_dk','<a href="http://translate.google.dk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Denmark</a>',
-'google_dk','<a href="http://google.dk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Denmark ( catchall )</a>',
-'www_google_dm','<a href="http://www.google.dm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Dominica</a>',
-'images_google_dm','<a href="http://images.google.dm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Dominica ( images )</a>',
-'translate_google_dm','<a href="http://translate.google.dm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Dominica</a>',
-'google_dm','<a href="http://google.dm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Dominica ( catchall )</a>',
-'www_google_dz','<a href="http://www.google.dz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Algeria</a>',
-'images_google_dz','<a href="http://images.google.dz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Algeria ( images )</a>',
-'translate_google_dz','<a href="http://translate.google.dz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Algeria</a>',
-'google_dz','<a href="http://google.dz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Algeria ( catchall )</a>',
-'www_google_ee','<a href="http://www.google.ee/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Estonia</a>',
-'images_google_ee','<a href="http://images.google.ee/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Estonia ( images )</a>',
-'translate_google_ee','<a href="http://translate.google.ee/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Estonia</a>',
-'google_ee','<a href="http://google.ee/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Estonia ( catchall )</a>',
-'www_google_fi','<a href="http://www.google.fi/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Finland</a>',
-'images_google_fi','<a href="http://images.google.fi/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Finland ( images )</a>',
-'translate_google_fi','<a href="http://translate.google.fi/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Finland</a>',
-'google_fi','<a href="http://google.fi/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Finland ( catchall )</a>',
-'www_google_fm','<a href="http://www.google.fm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Federated States of Micronesia</a>',
-'images_google_fm','<a href="http://images.google.fm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Federated States of Micronesia ( images )</a>',
-'translate_google_fm','<a href="http://translate.google.fm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Federated States of Micronesia</a>',
-'google_fm','<a href="http://google.fm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Federated States of Micronesia ( catchall )</a>',
-'www_google_ga','<a href="http://www.google.ga/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Gabon</a>',
-'images_google_ga','<a href="http://images.google.ga/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Gabon ( images )</a>',
-'translate_google_ga','<a href="http://translate.google.ga/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Gabon</a>',
-'google_ga','<a href="http://google.ga/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Gabon ( catchall )</a>',
-'www_google_ge','<a href="http://www.google.ge/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Georgia</a>',
-'images_google_ge','<a href="http://images.google.ge/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Georgia ( images )</a>',
-'translate_google_ge','<a href="http://translate.google.ge/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Georgia</a>',
-'google_ge','<a href="http://google.ge/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Georgia ( catchall )</a>',
-'www_google_gf','<a href="http://www.google.gf/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google French Guiana</a>',
-'images_google_gf','<a href="http://images.google.gf/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google French Guiana ( images )</a>',
-'translate_google_gf','<a href="http://translate.google.gf/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate French Guiana</a>',
-'google_gf','<a href="http://google.gf/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google French Guiana ( catchall )</a>',
-'www_google_gg','<a href="http://www.google.gg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Guernsey</a>',
-'images_google_gg','<a href="http://images.google.gg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Guernsey ( images )</a>',
-'translate_google_gg','<a href="http://translate.google.gg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Guernsey</a>',
-'google_gg','<a href="http://google.gg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Guernsey ( catchall )</a>',
-'www_google_gl','<a href="http://www.google.gl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Greenland</a>',
-'images_google_gl','<a href="http://images.google.gl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Greenland ( images )</a>',
-'translate_google_gl','<a href="http://translate.google.gl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Greenland</a>',
-'google_gl','<a href="http://google.gl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Greenland ( catchall )</a>',
-'www_google_gm','<a href="http://www.google.gm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Gambia</a>',
-'images_google_gm','<a href="http://images.google.gm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Gambia ( images )</a>',
-'translate_google_gm','<a href="http://translate.google.gm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Gambia</a>',
-'google_gm','<a href="http://google.gm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Gambia ( catchall )</a>',
-'www_google_gp','<a href="http://www.google.gp/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Guadeloupe</a>',
-'images_google_gp','<a href="http://images.google.gp/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Guadeloupe ( images )</a>',
-'translate_google_gp','<a href="http://translate.google.gp/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Guadeloupe</a>',
-'google_gp','<a href="http://google.gp/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Guadeloupe ( catchall )</a>',
-'www_google_gy','<a href="http://www.google.gy/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Guyana</a>',
-'images_google_gy','<a href="http://images.google.gy/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Guyana ( images )</a>',
-'translate_google_gy','<a href="http://translate.google.gy/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Guyana</a>',
-'google_gy','<a href="http://google.gy/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Guyana ( catchall )</a>',
-'www_google_hn','<a href="http://www.google.hn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Honduras</a>',
-'images_google_hn','<a href="http://images.google.hn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Honduras ( images )</a>',
-'translate_google_hn','<a href="http://translate.google.hn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Honduras</a>',
-'google_hn','<a href="http://google.hn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Honduras ( catchall )</a>',
-'www_google_ht','<a href="http://www.google.ht/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Haiti</a>',
-'images_google_ht','<a href="http://images.google.ht/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Haiti ( images )</a>',
-'translate_google_ht','<a href="http://translate.google.ht/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Haiti</a>',
-'google_ht','<a href="http://google.ht/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Haiti ( catchall )</a>',
-'www_google_hu','<a href="http://www.google.hu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Hungary</a>',
-'images_google_hu','<a href="http://images.google.hu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Hungary ( images )</a>',
-'translate_google_hu','<a href="http://translate.google.hu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Hungary</a>',
-'google_hu','<a href="http://google.hu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Hungary ( catchall )</a>',
-'www_google_im','<a href="http://www.google.im/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Isle of Man</a>',
-'images_google_im','<a href="http://images.google.im/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Isle of Man ( images )</a>',
-'translate_google_im','<a href="http://translate.google.im/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Isle of Man</a>',
-'google_im','<a href="http://google.im/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Isle of Man ( catchall )</a>',
-'www_google_io','<a href="http://www.google.io/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google British Indian Ocean Territory</a>',
-'images_google_io','<a href="http://images.google.io/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google British Indian Ocean Territory ( images )</a>',
-'translate_google_io','<a href="http://translate.google.io/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate British Indian Ocean Territory</a>',
-'google_io','<a href="http://google.io/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google British Indian Ocean Territory ( catchall )</a>',
-'www_google_iq','<a href="http://www.google.iq/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Iraq</a>',
-'images_google_iq','<a href="http://images.google.iq/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Iraq ( images )</a>',
-'translate_google_iq','<a href="http://translate.google.iq/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Iraq</a>',
-'google_iq','<a href="http://google.iq/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Iraq ( catchall )</a>',
-'www_google_is','<a href="http://www.google.is/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Iceland</a>',
-'images_google_is','<a href="http://images.google.is/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Iceland ( images )</a>',
-'translate_google_is','<a href="http://translate.google.is/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Iceland</a>',
-'google_is','<a href="http://google.is/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Iceland ( catchall )</a>',
-'www_google_je','<a href="http://www.google.je/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Jersey</a>',
-'images_google_je','<a href="http://images.google.je/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Jersey ( images )</a>',
-'translate_google_je','<a href="http://translate.google.je/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Jersey</a>',
-'google_je','<a href="http://google.je/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Jersey ( catchall )</a>',
-'www_google_jo','<a href="http://www.google.jo/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Jordan</a>',
-'images_google_jo','<a href="http://images.google.jo/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Jordan ( images )</a>',
-'translate_google_jo','<a href="http://translate.google.jo/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Jordan</a>',
-'google_jo','<a href="http://google.jo/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Jordan ( catchall )</a>',
-'www_google_kg','<a href="http://www.google.kg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Kyrgyzstan</a>',
-'images_google_kg','<a href="http://images.google.kg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Kyrgyzstan ( images )</a>',
-'translate_google_kg','<a href="http://translate.google.kg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Kyrgyzstan</a>',
-'google_kg','<a href="http://google.kg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Kyrgyzstan ( catchall )</a>',
-'www_google_ki','<a href="http://www.google.ki/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Kiribati</a>',
-'images_google_ki','<a href="http://images.google.ki/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Kiribati ( images )</a>',
-'translate_google_ki','<a href="http://translate.google.ki/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Kiribati</a>',
-'google_ki','<a href="http://google.ki/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Kiribati ( catchall )</a>',
-'www_google_kz','<a href="http://www.google.kz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Kazakhstan</a>',
-'images_google_kz','<a href="http://images.google.kz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Kazakhstan ( images )</a>',
-'translate_google_kz','<a href="http://translate.google.kz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Kazakhstan</a>',
-'google_kz','<a href="http://google.kz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Kazakhstan ( catchall )</a>',
-'www_google_la','<a href="http://www.google.la/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Laos</a>',
-'images_google_la','<a href="http://images.google.la/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Laos ( images )</a>',
-'translate_google_la','<a href="http://translate.google.la/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Laos</a>',
-'google_la','<a href="http://google.la/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Laos ( catchall )</a>',
-'www_google_li','<a href="http://www.google.li/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Liechtenstein</a>',
-'images_google_li','<a href="http://images.google.li/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Liechtenstein ( images )</a>',
-'translate_google_li','<a href="http://translate.google.li/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Liechtenstein</a>',
-'google_li','<a href="http://google.li/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Liechtenstein ( catchall )</a>',
-'www_google_lk','<a href="http://www.google.lk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Sri Lanka</a>',
-'images_google_lk','<a href="http://images.google.lk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Sri Lanka ( images )</a>',
-'translate_google_lk','<a href="http://translate.google.lk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Sri Lanka</a>',
-'google_lk','<a href="http://google.lk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Sri Lanka ( catchall )</a>',
-'www_google_lt','<a href="http://www.google.lt/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Lithuania</a>',
-'images_google_lt','<a href="http://images.google.lt/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Lithuania ( images )</a>',
-'translate_google_lt','<a href="http://translate.google.lt/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Lithuania</a>',
-'google_lt','<a href="http://google.lt/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Lithuania ( catchall )</a>',
-'www_google_lu','<a href="http://www.google.lu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Luxembourg</a>',
-'images_google_lu','<a href="http://images.google.lu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Luxembourg ( images )</a>',
-'translate_google_lu','<a href="http://translate.google.lu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Luxembourg</a>',
-'google_lu','<a href="http://google.lu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Luxembourg ( catchall )</a>',
-'www_google_lv','<a href="http://www.google.lv/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Latvia</a>',
-'images_google_lv','<a href="http://images.google.lv/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Latvia ( images )</a>',
-'translate_google_lv','<a href="http://translate.google.lv/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Latvia</a>',
-'google_lv','<a href="http://google.lv/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Latvia ( catchall )</a>',
-'www_google_md','<a href="http://www.google.md/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Moldova</a>',
-'images_google_md','<a href="http://images.google.md/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Moldova ( images )</a>',
-'translate_google_md','<a href="http://translate.google.md/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Moldova</a>',
-'google_md','<a href="http://google.md/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Moldova ( catchall )</a>',
-'www_google_me','<a href="http://www.google.me/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Montenegro</a>',
-'images_google_me','<a href="http://images.google.me/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Montenegro ( images )</a>',
-'translate_google_me','<a href="http://translate.google.me/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Montenegro</a>',
-'google_me','<a href="http://google.me/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Montenegro ( catchall )</a>',
-'www_google_mg','<a href="http://www.google.mg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Madagascar</a>',
-'images_google_mg','<a href="http://images.google.mg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Madagascar ( images )</a>',
-'translate_google_mg','<a href="http://translate.google.mg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Madagascar</a>',
-'google_mg','<a href="http://google.mg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Madagascar ( catchall )</a>',
-'www_google_mk','<a href="http://www.google.mk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Macedonia</a>',
-'images_google_mk','<a href="http://images.google.mk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Macedonia ( images )</a>',
-'translate_google_mk','<a href="http://translate.google.mk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Macedonia</a>',
-'google_mk','<a href="http://google.mk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Macedonia ( catchall )</a>',
-'www_google_ml','<a href="http://www.google.ml/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Mali</a>',
-'images_google_ml','<a href="http://images.google.ml/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Mali ( images )</a>',
-'translate_google_ml','<a href="http://translate.google.ml/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Mali</a>',
-'google_ml','<a href="http://google.ml/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Mali ( catchall )</a>',
-'www_google_mn','<a href="http://www.google.mn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Mongolia</a>',
-'images_google_mn','<a href="http://images.google.mn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Mongolia ( images )</a>',
-'translate_google_mn','<a href="http://translate.google.mn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Mongolia</a>',
-'google_mn','<a href="http://google.mn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Mongolia ( catchall )</a>',
-'www_google_ms','<a href="http://www.google.ms/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Montserrat</a>',
-'images_google_ms','<a href="http://images.google.ms/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Montserrat ( images )</a>',
-'translate_google_ms','<a href="http://translate.google.ms/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Montserrat</a>',
-'google_ms','<a href="http://google.ms/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Montserrat ( catchall )</a>',
-'www_google_mu','<a href="http://www.google.mu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Mauritius</a>',
-'images_google_mu','<a href="http://images.google.mu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Mauritius ( images )</a>',
-'translate_google_mu','<a href="http://translate.google.mu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Mauritius</a>',
-'google_mu','<a href="http://google.mu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Mauritius ( catchall )</a>',
-'www_google_mv','<a href="http://www.google.mv/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Maldives</a>',
-'images_google_mv','<a href="http://images.google.mv/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Maldives ( images )</a>',
-'translate_google_mv','<a href="http://translate.google.mv/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Maldives</a>',
-'google_mv','<a href="http://google.mv/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Maldives ( catchall )</a>',
-'www_google_mw','<a href="http://www.google.mw/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Malawi</a>',
-'images_google_mw','<a href="http://images.google.mw/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Malawi ( images )</a>',
-'translate_google_mw','<a href="http://translate.google.mw/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Malawi</a>',
-'google_mw','<a href="http://google.mw/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Malawi ( catchall )</a>',
-'www_google_ne','<a href="http://www.google.ne/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Niger</a>',
-'images_google_ne','<a href="http://images.google.ne/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Niger ( images )</a>',
-'translate_google_ne','<a href="http://translate.google.ne/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Niger</a>',
-'google_ne','<a href="http://google.ne/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Niger ( catchall )</a>',
-'www_google_nr','<a href="http://www.google.nr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Nauru</a>',
-'images_google_nr','<a href="http://images.google.nr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Nauru ( images )</a>',
-'translate_google_nr','<a href="http://translate.google.nr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Nauru</a>',
-'google_nr','<a href="http://google.nr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Nauru ( catchall )</a>',
-'www_google_nu','<a href="http://www.google.nu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Niue</a>',
-'images_google_nu','<a href="http://images.google.nu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Niue ( images )</a>',
-'translate_google_nu','<a href="http://translate.google.nu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Niue</a>',
-'google_nu','<a href="http://google.nu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Niue ( catchall )</a>',
-'www_google_pn','<a href="http://www.google.pn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Pitcairn Islands</a>',
-'images_google_pn','<a href="http://images.google.pn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Pitcairn Islands ( images )</a>',
-'translate_google_pn','<a href="http://translate.google.pn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Pitcairn Islands</a>',
-'google_pn','<a href="http://google.pn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Pitcairn Islands ( catchall )</a>',
-'www_google_ps','<a href="http://www.google.ps/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Palestine</a>',
-'images_google_ps','<a href="http://images.google.ps/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Palestine[4] ( images )</a>',
-'translate_google_ps','<a href="http://translate.google.ps/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Palestine[4]</a>',
-'google_ps','<a href="http://google.ps/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Palestine[4] ( catchall )</a>',
-'www_google_ro','<a href="http://www.google.ro/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Romania</a>',
-'images_google_ro','<a href="http://images.google.ro/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Romania ( images )</a>',
-'translate_google_ro','<a href="http://translate.google.ro/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Romania</a>',
-'google_ro','<a href="http://google.ro/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Romania ( catchall )</a>',
-'www_google_rs','<a href="http://www.google.rs/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Serbia</a>',
-'images_google_rs','<a href="http://images.google.rs/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Serbia ( images )</a>',
-'translate_google_rs','<a href="http://translate.google.rs/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Serbia</a>',
-'google_rs','<a href="http://google.rs/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Serbia ( catchall )</a>',
-'www_google_ru','<a href="http://www.google.ru/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Russia</a>',
-'images_google_ru','<a href="http://images.google.ru/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Russia ( images )</a>',
-'translate_google_ru','<a href="http://translate.google.ru/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Russia</a>',
-'google_ru','<a href="http://google.ru/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Russia ( catchall )</a>',
-'www_google_rw','<a href="http://www.google.rw/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Rwanda</a>',
-'images_google_rw','<a href="http://images.google.rw/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Rwanda ( images )</a>',
-'translate_google_rw','<a href="http://translate.google.rw/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Rwanda</a>',
-'google_rw','<a href="http://google.rw/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Rwanda ( catchall )</a>',
-'www_google_sc','<a href="http://www.google.sc/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Seychelles</a>',
-'images_google_sc','<a href="http://images.google.sc/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Seychelles ( images )</a>',
-'translate_google_sc','<a href="http://translate.google.sc/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Seychelles</a>',
-'google_sc','<a href="http://google.sc/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Seychelles ( catchall )</a>',
-'www_google_sh','<a href="http://www.google.sh/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Saint Helena and Ascension and Tristan da Cunha</a>',
-'images_google_sh','<a href="http://images.google.sh/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Saint Helena and Ascension and Tristan da Cunha ( images )</a>',
-'translate_google_sh','<a href="http://translate.google.sh/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Saint Helena and Ascension and Tristan da Cunha</a>',
-'google_sh','<a href="http://google.sh/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Saint Helena and Ascension and Tristan da Cunha ( catchall )</a>',
-'www_google_si','<a href="http://www.google.si/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Slovenia</a>',
-'images_google_si','<a href="http://images.google.si/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Slovenia ( images )</a>',
-'translate_google_si','<a href="http://translate.google.si/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Slovenia</a>',
-'google_si','<a href="http://google.si/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Slovenia ( catchall )</a>',
-'www_google_sk','<a href="http://www.google.sk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Slovakia</a>',
-'images_google_sk','<a href="http://images.google.sk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Slovakia ( images )</a>',
-'translate_google_sk','<a href="http://translate.google.sk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Slovakia</a>',
-'google_sk','<a href="http://google.sk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Slovakia ( catchall )</a>',
-'www_google_sm','<a href="http://www.google.sm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google San Marino</a>',
-'images_google_sm','<a href="http://images.google.sm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google San Marino ( images )</a>',
-'translate_google_sm','<a href="http://translate.google.sm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate San Marino</a>',
-'google_sm','<a href="http://google.sm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google San Marino ( catchall )</a>',
-'www_google_sn','<a href="http://www.google.sn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Senegal</a>',
-'images_google_sn','<a href="http://images.google.sn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Senegal ( images )</a>',
-'translate_google_sn','<a href="http://translate.google.sn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Senegal</a>',
-'google_sn','<a href="http://google.sn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Senegal ( catchall )</a>',
-'www_google_so','<a href="http://www.google.so/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Somalia</a>',
-'images_google_so','<a href="http://images.google.so/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Somalia ( images )</a>',
-'translate_google_so','<a href="http://translate.google.so/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Somalia</a>',
-'google_so','<a href="http://google.so/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Somalia ( catchall )</a>',
-'www_google_sr','<a href="http://www.google.sr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Suriname</a>',
-'images_google_sr','<a href="http://images.google.sr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Suriname ( images )</a>',
-'translate_google_sr','<a href="http://translate.google.sr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Suriname</a>',
-'google_sr','<a href="http://google.sr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Suriname ( catchall )</a>',
-'www_google_st','<a href="http://www.google.st/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Sao Tome and Principe</a>',
-'images_google_st','<a href="http://images.google.st/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Sao Tome and Principe ( images )</a>',
-'translate_google_st','<a href="http://translate.google.st/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Sao Tome and Principe</a>',
-'google_st','<a href="http://google.st/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Sao Tome and Principe ( catchall )</a>',
-'www_google_td','<a href="http://www.google.td/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Chad</a>',
-'images_google_td','<a href="http://images.google.td/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Chad ( images )</a>',
-'translate_google_td','<a href="http://translate.google.td/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Chad</a>',
-'google_td','<a href="http://google.td/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Chad ( catchall )</a>',
-'www_google_tg','<a href="http://www.google.tg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Togo</a>',
-'images_google_tg','<a href="http://images.google.tg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Togo ( images )</a>',
-'translate_google_tg','<a href="http://translate.google.tg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Togo</a>',
-'google_tg','<a href="http://google.tg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Togo ( catchall )</a>',
-'www_google_tk','<a href="http://www.google.tk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Tokelau</a>',
-'images_google_tk','<a href="http://images.google.tk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Tokelau ( images )</a>',
-'translate_google_tk','<a href="http://translate.google.tk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Tokelau</a>',
-'google_tk','<a href="http://google.tk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Tokelau ( catchall )</a>',
-'www_google_tl','<a href="http://www.google.tl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Timor-Leste</a>',
-'images_google_tl','<a href="http://images.google.tl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Timor-Leste ( images )</a>',
-'translate_google_tl','<a href="http://translate.google.tl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Timor-Leste</a>',
-'google_tl','<a href="http://google.tl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Timor-Leste ( catchall )</a>',
-'www_google_tm','<a href="http://www.google.tm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Turkmenistan</a>',
-'images_google_tm','<a href="http://images.google.tm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Turkmenistan ( images )</a>',
-'translate_google_tm','<a href="http://translate.google.tm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Turkmenistan</a>',
-'google_tm','<a href="http://google.tm/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Turkmenistan ( catchall )</a>',
-'www_google_tn','<a href="http://www.google.tn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Tunisia</a>',
-'images_google_tn','<a href="http://images.google.tn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Tunisia ( images )</a>',
-'translate_google_tn','<a href="http://translate.google.tn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Tunisia</a>',
-'google_tn','<a href="http://google.tn/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Tunisia ( catchall )</a>',
-'www_google_to','<a href="http://www.google.to/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Tonga</a>',
-'images_google_to','<a href="http://images.google.to/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Tonga ( images )</a>',
-'translate_google_to','<a href="http://translate.google.to/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Tonga</a>',
-'google_to','<a href="http://google.to/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Tonga ( catchall )</a>',
-'www_google_tt','<a href="http://www.google.tt/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Trinidad and Tobago</a>',
-'images_google_tt','<a href="http://images.google.tt/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Trinidad and Tobago ( images )</a>',
-'translate_google_tt','<a href="http://translate.google.tt/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Trinidad and Tobago</a>',
-'google_tt','<a href="http://google.tt/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Trinidad and Tobago ( catchall )</a>',
-'www_google_us','<a href="http://www.google.us/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google United States</a>',
-'images_google_us','<a href="http://images.google.us/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google United States ( images )</a>',
-'translate_google_us','<a href="http://translate.google.us/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate United States</a>',
-'google_us','<a href="http://google.us/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google United States ( catchall )</a>',
-'www_google_vg','<a href="http://www.google.vg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google British Virgin Islands</a>',
-'images_google_vg','<a href="http://images.google.vg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google British Virgin Islands ( images )</a>',
-'translate_google_vg','<a href="http://translate.google.vg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate British Virgin Islands</a>',
-'google_vg','<a href="http://google.vg/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google British Virgin Islands ( catchall )</a>',
-'www_google_vu','<a href="http://www.google.vu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Vanuatu</a>',
-'images_google_vu','<a href="http://images.google.vu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Vanuatu ( images )</a>',
-'translate_google_vu','<a href="http://translate.google.vu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Vanuatu</a>',
-'google_vu','<a href="http://google.vu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Vanuatu ( catchall )</a>',
-'www_google_ws','<a href="http://www.google.ws/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Samoa</a>',
-'images_google_ws','<a href="http://images.google.ws/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Samoa ( images )</a>',
-'translate_google_ws','<a href="http://translate.google.ws/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate Samoa</a>',
-'google_ws','<a href="http://google.ws/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Samoa ( catchall )</a>',
+'images_google_co_ve','<a href="http://images.google.co.ve/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Venezuela ( images )</a>',
+'translate_google_co_ve','<a href="http://translate.google.co.ve/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Venezuela</a>',
+'google_co_ve','<a href="http://google.co.ve/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Venezuela ( catchall )</a>',
+'www_google_co_vi','<a href="http://www.google.co.vi/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google United States Virgin Islands</a>',
+'images_google_co_vi','<a href="http://images.google.co.vi/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google United States Virgin Islands ( images )</a>',
+'translate_google_co_vi','<a href="http://translate.google.co.vi/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate United States Virgin Islands</a>',
+'google_co_vi','<a href="http://google.co.vi/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google United States Virgin Islands ( catchall )</a>',
+'www_google_co_za','<a href="http://www.google.co.za/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google South Africa</a>',
+'images_google_co_za','<a href="http://images.google.co.za/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google South Africa ( images )</a>',
+'translate_google_co_za','<a href="http://translate.google.co.za/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate South Africa</a>',
+'google_co_za','<a href="http://google.co.za/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google South Africa ( catchall )</a>',
+'www_google_co_zm','<a href="http://www.google.co.zm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Zambia</a>',
+'images_google_co_zm','<a href="http://images.google.co.zm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Zambia ( images )</a>',
+'translate_google_co_zm','<a href="http://translate.google.co.zm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Zambia</a>',
+'google_co_zm','<a href="http://google.co.zm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Zambia ( catchall )</a>',
+'www_google_co_zw','<a href="http://www.google.co.zw/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Zimbabwe</a>',
+'images_google_co_zw','<a href="http://images.google.co.zw/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Zimbabwe ( images )</a>',
+'translate_google_co_zw','<a href="http://translate.google.co.zw/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Zimbabwe</a>',
+'google_co_zw','<a href="http://google.co.zw/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Zimbabwe ( catchall )</a>',
+'www_google_com_af','<a href="http://www.google.com.af/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Afghanistan</a>',
+'images_google_com_af','<a href="http://images.google.com.af/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Afghanistan ( images )</a>',
+'translate_google_com_af','<a href="http://translate.google.com.af/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Afghanistan</a>',
+'google_com_af','<a href="http://google.com.af/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Afghanistan ( catchall )</a>',
+'www_google_com_ag','<a href="http://www.google.com.ag/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Antigua and Barbuda</a>',
+'images_google_com_ag','<a href="http://images.google.com.ag/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Antigua and Barbuda ( images )</a>',
+'translate_google_com_ag','<a href="http://translate.google.com.ag/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Antigua and Barbuda</a>',
+'google_com_ag','<a href="http://google.com.ag/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Antigua and Barbuda ( catchall )</a>',
+'www_google_com_ai','<a href="http://www.google.com.ai/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Anguilla</a>',
+'images_google_com_ai','<a href="http://images.google.com.ai/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Anguilla ( images )</a>',
+'translate_google_com_ai','<a href="http://translate.google.com.ai/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Anguilla</a>',
+'google_com_ai','<a href="http://google.com.ai/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Anguilla ( catchall )</a>',
+'www_google_com_ar','<a href="http://www.google.com.ar/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Argentina</a>',
+'images_google_com_ar','<a href="http://images.google.com.ar/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Argentina ( images )</a>',
+'translate_google_com_ar','<a href="http://translate.google.com.ar/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Argentina</a>',
+'google_com_ar','<a href="http://google.com.ar/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Argentina ( catchall )</a>',
+'www_google_com_bd','<a href="http://www.google.com.bd/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Bangladesh</a>',
+'images_google_com_bd','<a href="http://images.google.com.bd/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Bangladesh ( images )</a>',
+'translate_google_com_bd','<a href="http://translate.google.com.bd/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Bangladesh</a>',
+'google_com_bd','<a href="http://google.com.bd/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Bangladesh ( catchall )</a>',
+'www_google_com_bh','<a href="http://www.google.com.bh/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Bahrain</a>',
+'images_google_com_bh','<a href="http://images.google.com.bh/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Bahrain ( images )</a>',
+'translate_google_com_bh','<a href="http://translate.google.com.bh/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Bahrain</a>',
+'google_com_bh','<a href="http://google.com.bh/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Bahrain ( catchall )</a>',
+'www_google_com_bn','<a href="http://www.google.com.bn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Brunei</a>',
+'images_google_com_bn','<a href="http://images.google.com.bn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Brunei ( images )</a>',
+'translate_google_com_bn','<a href="http://translate.google.com.bn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Brunei</a>',
+'google_com_bn','<a href="http://google.com.bn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Brunei ( catchall )</a>',
+'www_google_com_bo','<a href="http://www.google.com.bo/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Bolivia</a>',
+'images_google_com_bo','<a href="http://images.google.com.bo/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Bolivia ( images )</a>',
+'translate_google_com_bo','<a href="http://translate.google.com.bo/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Bolivia</a>',
+'google_com_bo','<a href="http://google.com.bo/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Bolivia ( catchall )</a>',
+'www_google_com_br','<a href="http://www.google.com.br/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Brazil</a>',
+'images_google_com_br','<a href="http://images.google.com.br/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Brazil ( images )</a>',
+'translate_google_com_br','<a href="http://translate.google.com.br/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Brazil</a>',
+'google_com_br','<a href="http://google.com.br/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Brazil ( catchall )</a>',
+'www_google_com_bz','<a href="http://www.google.com.bz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Belize</a>',
+'images_google_com_bz','<a href="http://images.google.com.bz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Belize ( images )</a>',
+'translate_google_com_bz','<a href="http://translate.google.com.bz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Belize</a>',
+'google_com_bz','<a href="http://google.com.bz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Belize ( catchall )</a>',
+'www_google_com_co','<a href="http://www.google.com.co/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Colombia</a>',
+'images_google_com_co','<a href="http://images.google.com.co/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Colombia ( images )</a>',
+'translate_google_com_co','<a href="http://translate.google.com.co/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Colombia</a>',
+'google_com_co','<a href="http://google.com.co/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Colombia ( catchall )</a>',
+'www_google_com_cu','<a href="http://www.google.com.cu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Cuba</a>',
+'images_google_com_cu','<a href="http://images.google.com.cu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Cuba ( images )</a>',
+'translate_google_com_cu','<a href="http://translate.google.com.cu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Cuba</a>',
+'google_com_cu','<a href="http://google.com.cu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Cuba ( catchall )</a>',
+'www_google_com_cy','<a href="http://www.google.com.cy/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Cyprus</a>',
+'images_google_com_cy','<a href="http://images.google.com.cy/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Cyprus ( images )</a>',
+'translate_google_com_cy','<a href="http://translate.google.com.cy/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Cyprus</a>',
+'google_com_cy','<a href="http://google.com.cy/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Cyprus ( catchall )</a>',
+'www_google_com_do','<a href="http://www.google.com.do/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Dominican Republic</a>',
+'images_google_com_do','<a href="http://images.google.com.do/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Dominican Republic ( images )</a>',
+'translate_google_com_do','<a href="http://translate.google.com.do/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Dominican Republic</a>',
+'google_com_do','<a href="http://google.com.do/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Dominican Republic ( catchall )</a>',
+'www_google_com_ec','<a href="http://www.google.com.ec/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Ecuador</a>',
+'images_google_com_ec','<a href="http://images.google.com.ec/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Ecuador ( images )</a>',
+'translate_google_com_ec','<a href="http://translate.google.com.ec/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Ecuador</a>',
+'google_com_ec','<a href="http://google.com.ec/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Ecuador ( catchall )</a>',
+'www_google_com_eg','<a href="http://www.google.com.eg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Egypt</a>',
+'images_google_com_eg','<a href="http://images.google.com.eg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Egypt ( images )</a>',
+'translate_google_com_eg','<a href="http://translate.google.com.eg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Egypt</a>',
+'google_com_eg','<a href="http://google.com.eg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Egypt ( catchall )</a>',
+'www_google_com_et','<a href="http://www.google.com.et/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Ethiopia</a>',
+'images_google_com_et','<a href="http://images.google.com.et/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Ethiopia ( images )</a>',
+'translate_google_com_et','<a href="http://translate.google.com.et/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Ethiopia</a>',
+'google_com_et','<a href="http://google.com.et/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Ethiopia ( catchall )</a>',
+'www_google_com_fj','<a href="http://www.google.com.fj/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Fiji</a>',
+'images_google_com_fj','<a href="http://images.google.com.fj/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Fiji ( images )</a>',
+'translate_google_com_fj','<a href="http://translate.google.com.fj/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Fiji</a>',
+'google_com_fj','<a href="http://google.com.fj/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Fiji ( catchall )</a>',
+'www_google_com_gh','<a href="http://www.google.com.gh/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Ghana</a>',
+'images_google_com_gh','<a href="http://images.google.com.gh/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Ghana ( images )</a>',
+'translate_google_com_gh','<a href="http://translate.google.com.gh/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Ghana</a>',
+'google_com_gh','<a href="http://google.com.gh/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Ghana ( catchall )</a>',
+'www_google_com_gi','<a href="http://www.google.com.gi/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Gibraltar</a>',
+'images_google_com_gi','<a href="http://images.google.com.gi/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Gibraltar ( images )</a>',
+'translate_google_com_gi','<a href="http://translate.google.com.gi/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Gibraltar</a>',
+'google_com_gi','<a href="http://google.com.gi/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Gibraltar ( catchall )</a>',
+'www_google_com_gt','<a href="http://www.google.com.gt/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Guatemala</a>',
+'images_google_com_gt','<a href="http://images.google.com.gt/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Guatemala ( images )</a>',
+'translate_google_com_gt','<a href="http://translate.google.com.gt/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Guatemala</a>',
+'google_com_gt','<a href="http://google.com.gt/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Guatemala ( catchall )</a>',
+'www_google_com_hk','<a href="http://www.google.com.hk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Hong Kong</a>',
+'images_google_com_hk','<a href="http://images.google.com.hk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Hong Kong ( images )</a>',
+'translate_google_com_hk','<a href="http://translate.google.com.hk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Hong Kong</a>',
+'google_com_hk','<a href="http://google.com.hk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Hong Kong ( catchall )</a>',
+'www_google_com_jm','<a href="http://www.google.com.jm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Jamaica</a>',
+'images_google_com_jm','<a href="http://images.google.com.jm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Jamaica ( images )</a>',
+'translate_google_com_jm','<a href="http://translate.google.com.jm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Jamaica</a>',
+'google_com_jm','<a href="http://google.com.jm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Jamaica ( catchall )</a>',
+'www_google_com_kh','<a href="http://www.google.com.kh/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Cambodia</a>',
+'images_google_com_kh','<a href="http://images.google.com.kh/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Cambodia ( images )</a>',
+'translate_google_com_kh','<a href="http://translate.google.com.kh/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Cambodia</a>',
+'google_com_kh','<a href="http://google.com.kh/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Cambodia ( catchall )</a>',
+'www_google_com_kw','<a href="http://www.google.com.kw/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Kuwait</a>',
+'images_google_com_kw','<a href="http://images.google.com.kw/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Kuwait ( images )</a>',
+'translate_google_com_kw','<a href="http://translate.google.com.kw/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Kuwait</a>',
+'google_com_kw','<a href="http://google.com.kw/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Kuwait ( catchall )</a>',
+'www_google_com_lb','<a href="http://www.google.com.lb/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Lebanon</a>',
+'images_google_com_lb','<a href="http://images.google.com.lb/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Lebanon ( images )</a>',
+'translate_google_com_lb','<a href="http://translate.google.com.lb/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Lebanon</a>',
+'google_com_lb','<a href="http://google.com.lb/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Lebanon ( catchall )</a>',
+'www_google_com_lc','<a href="http://www.google.com.lc/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Saint Lucia</a>',
+'images_google_com_lc','<a href="http://images.google.com.lc/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Saint Lucia ( images )</a>',
+'translate_google_com_lc','<a href="http://translate.google.com.lc/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Saint Lucia</a>',
+'google_com_lc','<a href="http://google.com.lc/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Saint Lucia ( catchall )</a>',
+'www_google_com_ly','<a href="http://www.google.com.ly/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Libya</a>',
+'images_google_com_ly','<a href="http://images.google.com.ly/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Libya ( images )</a>',
+'translate_google_com_ly','<a href="http://translate.google.com.ly/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Libya</a>',
+'google_com_ly','<a href="http://google.com.ly/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Libya ( catchall )</a>',
+'www_google_com_mm','<a href="http://www.google.com.mm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Myanmar</a>',
+'images_google_com_mm','<a href="http://images.google.com.mm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Myanmar ( images )</a>',
+'translate_google_com_mm','<a href="http://translate.google.com.mm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Myanmar</a>',
+'google_com_mm','<a href="http://google.com.mm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Myanmar ( catchall )</a>',
+'www_google_com_mt','<a href="http://www.google.com.mt/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Malta</a>',
+'images_google_com_mt','<a href="http://images.google.com.mt/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Malta ( images )</a>',
+'translate_google_com_mt','<a href="http://translate.google.com.mt/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Malta</a>',
+'google_com_mt','<a href="http://google.com.mt/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Malta ( catchall )</a>',
+'www_google_com_mx','<a href="http://www.google.com.mx/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Mexico</a>',
+'images_google_com_mx','<a href="http://images.google.com.mx/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Mexico ( images )</a>',
+'translate_google_com_mx','<a href="http://translate.google.com.mx/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Mexico</a>',
+'google_com_mx','<a href="http://google.com.mx/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Mexico ( catchall )</a>',
+'www_google_com_my','<a href="http://www.google.com.my/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Malaysia</a>',
+'images_google_com_my','<a href="http://images.google.com.my/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Malaysia ( images )</a>',
+'translate_google_com_my','<a href="http://translate.google.com.my/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Malaysia</a>',
+'google_com_my','<a href="http://google.com.my/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Malaysia ( catchall )</a>',
+'www_google_com_na','<a href="http://www.google.com.na/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Namibia</a>',
+'images_google_com_na','<a href="http://images.google.com.na/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Namibia ( images )</a>',
+'translate_google_com_na','<a href="http://translate.google.com.na/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Namibia</a>',
+'google_com_na','<a href="http://google.com.na/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Namibia ( catchall )</a>',
+'www_google_com_nf','<a href="http://www.google.com.nf/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Norfolk Island</a>',
+'images_google_com_nf','<a href="http://images.google.com.nf/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Norfolk Island ( images )</a>',
+'translate_google_com_nf','<a href="http://translate.google.com.nf/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Norfolk Island</a>',
+'google_com_nf','<a href="http://google.com.nf/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Norfolk Island ( catchall )</a>',
+'www_google_com_ng','<a href="http://www.google.com.ng/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Nigeria</a>',
+'images_google_com_ng','<a href="http://images.google.com.ng/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Nigeria ( images )</a>',
+'translate_google_com_ng','<a href="http://translate.google.com.ng/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Nigeria</a>',
+'google_com_ng','<a href="http://google.com.ng/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Nigeria ( catchall )</a>',
+'www_google_com_ni','<a href="http://www.google.com.ni/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Nicaragua</a>',
+'images_google_com_ni','<a href="http://images.google.com.ni/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Nicaragua ( images )</a>',
+'translate_google_com_ni','<a href="http://translate.google.com.ni/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Nicaragua</a>',
+'google_com_ni','<a href="http://google.com.ni/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Nicaragua ( catchall )</a>',
+'www_google_com_np','<a href="http://www.google.com.np/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Nepal</a>',
+'images_google_com_np','<a href="http://images.google.com.np/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Nepal ( images )</a>',
+'translate_google_com_np','<a href="http://translate.google.com.np/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Nepal</a>',
+'google_com_np','<a href="http://google.com.np/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Nepal ( catchall )</a>',
+'www_google_com_om','<a href="http://www.google.com.om/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Oman</a>',
+'images_google_com_om','<a href="http://images.google.com.om/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Oman ( images )</a>',
+'translate_google_com_om','<a href="http://translate.google.com.om/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Oman</a>',
+'google_com_om','<a href="http://google.com.om/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Oman ( catchall )</a>',
+'www_google_com_pa','<a href="http://www.google.com.pa/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Panama</a>',
+'images_google_com_pa','<a href="http://images.google.com.pa/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Panama ( images )</a>',
+'translate_google_com_pa','<a href="http://translate.google.com.pa/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Panama</a>',
+'google_com_pa','<a href="http://google.com.pa/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Panama ( catchall )</a>',
+'www_google_com_pe','<a href="http://www.google.com.pe/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Peru</a>',
+'images_google_com_pe','<a href="http://images.google.com.pe/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Peru ( images )</a>',
+'translate_google_com_pe','<a href="http://translate.google.com.pe/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Peru</a>',
+'google_com_pe','<a href="http://google.com.pe/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Peru ( catchall )</a>',
+'www_google_com_pg','<a href="http://www.google.com.pg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Papua New Guinea</a>',
+'images_google_com_pg','<a href="http://images.google.com.pg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Papua New Guinea ( images )</a>',
+'translate_google_com_pg','<a href="http://translate.google.com.pg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Papua New Guinea</a>',
+'google_com_pg','<a href="http://google.com.pg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Papua New Guinea ( catchall )</a>',
+'www_google_com_ph','<a href="http://www.google.com.ph/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Philippines</a>',
+'images_google_com_ph','<a href="http://images.google.com.ph/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Philippines ( images )</a>',
+'translate_google_com_ph','<a href="http://translate.google.com.ph/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Philippines</a>',
+'google_com_ph','<a href="http://google.com.ph/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Philippines ( catchall )</a>',
+'www_google_com_pk','<a href="http://www.google.com.pk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Pakistan</a>',
+'images_google_com_pk','<a href="http://images.google.com.pk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Pakistan ( images )</a>',
+'translate_google_com_pk','<a href="http://translate.google.com.pk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Pakistan</a>',
+'google_com_pk','<a href="http://google.com.pk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Pakistan ( catchall )</a>',
+'www_google_com_pr','<a href="http://www.google.com.pr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Puerto Rico</a>',
+'images_google_com_pr','<a href="http://images.google.com.pr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Puerto Rico ( images )</a>',
+'translate_google_com_pr','<a href="http://translate.google.com.pr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Puerto Rico</a>',
+'google_com_pr','<a href="http://google.com.pr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Puerto Rico ( catchall )</a>',
+'www_google_com_py','<a href="http://www.google.com.py/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Paraguay</a>',
+'images_google_com_py','<a href="http://images.google.com.py/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Paraguay ( images )</a>',
+'translate_google_com_py','<a href="http://translate.google.com.py/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Paraguay</a>',
+'google_com_py','<a href="http://google.com.py/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Paraguay ( catchall )</a>',
+'www_google_com_qa','<a href="http://www.google.com.qa/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Qatar</a>',
+'images_google_com_qa','<a href="http://images.google.com.qa/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Qatar ( images )</a>',
+'translate_google_com_qa','<a href="http://translate.google.com.qa/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Qatar</a>',
+'google_com_qa','<a href="http://google.com.qa/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Qatar ( catchall )</a>',
+'www_google_com_sa','<a href="http://www.google.com.sa/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Saudi Arabia</a>',
+'images_google_com_sa','<a href="http://images.google.com.sa/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Saudi Arabia ( images )</a>',
+'translate_google_com_sa','<a href="http://translate.google.com.sa/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Saudi Arabia</a>',
+'google_com_sa','<a href="http://google.com.sa/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Saudi Arabia ( catchall )</a>',
+'www_google_com_sb','<a href="http://www.google.com.sb/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Solomon Islands</a>',
+'images_google_com_sb','<a href="http://images.google.com.sb/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Solomon Islands ( images )</a>',
+'translate_google_com_sb','<a href="http://translate.google.com.sb/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Solomon Islands</a>',
+'google_com_sb','<a href="http://google.com.sb/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Solomon Islands ( catchall )</a>',
+'www_google_com_sg','<a href="http://www.google.com.sg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Singapore</a>',
+'images_google_com_sg','<a href="http://images.google.com.sg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Singapore ( images )</a>',
+'translate_google_com_sg','<a href="http://translate.google.com.sg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Singapore</a>',
+'google_com_sg','<a href="http://google.com.sg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Singapore ( catchall )</a>',
+'www_google_com_sl','<a href="http://www.google.com.sl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Sierra Leone</a>',
+'images_google_com_sl','<a href="http://images.google.com.sl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Sierra Leone ( images )</a>',
+'translate_google_com_sl','<a href="http://translate.google.com.sl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Sierra Leone</a>',
+'google_com_sl','<a href="http://google.com.sl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Sierra Leone ( catchall )</a>',
+'www_google_com_sv','<a href="http://www.google.com.sv/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google El Salvador</a>',
+'images_google_com_sv','<a href="http://images.google.com.sv/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google El Salvador ( images )</a>',
+'translate_google_com_sv','<a href="http://translate.google.com.sv/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate El Salvador</a>',
+'google_com_sv','<a href="http://google.com.sv/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google El Salvador ( catchall )</a>',
+'www_google_com_tj','<a href="http://www.google.com.tj/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Tajikistan</a>',
+'images_google_com_tj','<a href="http://images.google.com.tj/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Tajikistan ( images )</a>',
+'translate_google_com_tj','<a href="http://translate.google.com.tj/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Tajikistan</a>',
+'google_com_tj','<a href="http://google.com.tj/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Tajikistan ( catchall )</a>',
+'www_google_com_tw','<a href="http://www.google.com.tw/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Taiwan</a>',
+'images_google_com_tw','<a href="http://images.google.com.tw/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Taiwan ( images )</a>',
+'translate_google_com_tw','<a href="http://translate.google.com.tw/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Taiwan</a>',
+'google_com_tw','<a href="http://google.com.tw/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Taiwan ( catchall )</a>',
+'www_google_com_ua','<a href="http://www.google.com.ua/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Ukraine</a>',
+'images_google_com_ua','<a href="http://images.google.com.ua/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Ukraine ( images )</a>',
+'translate_google_com_ua','<a href="http://translate.google.com.ua/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Ukraine</a>',
+'google_com_ua','<a href="http://google.com.ua/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Ukraine ( catchall )</a>',
+'www_google_com_uy','<a href="http://www.google.com.uy/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Uruguay</a>',
+'images_google_com_uy','<a href="http://images.google.com.uy/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Uruguay ( images )</a>',
+'translate_google_com_uy','<a href="http://translate.google.com.uy/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Uruguay</a>',
+'google_com_uy','<a href="http://google.com.uy/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Uruguay ( catchall )</a>',
+'www_google_com_vc','<a href="http://www.google.com.vc/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Saint Vincent and the Grenadines</a>',
+'images_google_com_vc','<a href="http://images.google.com.vc/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Saint Vincent and the Grenadines ( images )</a>',
+'translate_google_com_vc','<a href="http://translate.google.com.vc/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Saint Vincent and the Grenadines</a>',
+'google_com_vc','<a href="http://google.com.vc/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Saint Vincent and the Grenadines ( catchall )</a>',
+'www_google_com_vn','<a href="http://www.google.com.vn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Vietnam</a>',
+'images_google_com_vn','<a href="http://images.google.com.vn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Vietnam ( images )</a>',
+'translate_google_com_vn','<a href="http://translate.google.com.vn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Vietnam</a>',
+'google_com_vn','<a href="http://google.com.vn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Vietnam ( catchall )</a>',
+'www_google_cv','<a href="http://www.google.cv/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Cape Verde</a>',
+'images_google_cv','<a href="http://images.google.cv/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Cape Verde ( images )</a>',
+'translate_google_cv','<a href="http://translate.google.cv/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Cape Verde</a>',
+'google_cv','<a href="http://google.cv/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Cape Verde ( catchall )</a>',
+'www_google_cz','<a href="http://www.google.cz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Czech Republic</a>',
+'images_google_cz','<a href="http://images.google.cz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Czech Republic ( images )</a>',
+'translate_google_cz','<a href="http://translate.google.cz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Czech Republic</a>',
+'google_cz','<a href="http://google.cz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Czech Republic ( catchall )</a>',
+'www_google_dj','<a href="http://www.google.dj/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Djibouti</a>',
+'images_google_dj','<a href="http://images.google.dj/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Djibouti ( images )</a>',
+'translate_google_dj','<a href="http://translate.google.dj/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Djibouti</a>',
+'google_dj','<a href="http://google.dj/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Djibouti ( catchall )</a>',
+'www_google_dk','<a href="http://www.google.dk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Denmark</a>',
+'images_google_dk','<a href="http://images.google.dk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Denmark ( images )</a>',
+'translate_google_dk','<a href="http://translate.google.dk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Denmark</a>',
+'google_dk','<a href="http://google.dk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Denmark ( catchall )</a>',
+'www_google_dm','<a href="http://www.google.dm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Dominica</a>',
+'images_google_dm','<a href="http://images.google.dm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Dominica ( images )</a>',
+'translate_google_dm','<a href="http://translate.google.dm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Dominica</a>',
+'google_dm','<a href="http://google.dm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Dominica ( catchall )</a>',
+'www_google_dz','<a href="http://www.google.dz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Algeria</a>',
+'images_google_dz','<a href="http://images.google.dz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Algeria ( images )</a>',
+'translate_google_dz','<a href="http://translate.google.dz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Algeria</a>',
+'google_dz','<a href="http://google.dz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Algeria ( catchall )</a>',
+'www_google_ee','<a href="http://www.google.ee/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Estonia</a>',
+'images_google_ee','<a href="http://images.google.ee/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Estonia ( images )</a>',
+'translate_google_ee','<a href="http://translate.google.ee/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Estonia</a>',
+'google_ee','<a href="http://google.ee/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Estonia ( catchall )</a>',
+'www_google_fi','<a href="http://www.google.fi/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Finland</a>',
+'images_google_fi','<a href="http://images.google.fi/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Finland ( images )</a>',
+'translate_google_fi','<a href="http://translate.google.fi/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Finland</a>',
+'google_fi','<a href="http://google.fi/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Finland ( catchall )</a>',
+'www_google_fm','<a href="http://www.google.fm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Federated States of Micronesia</a>',
+'images_google_fm','<a href="http://images.google.fm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Federated States of Micronesia ( images )</a>',
+'translate_google_fm','<a href="http://translate.google.fm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Federated States of Micronesia</a>',
+'google_fm','<a href="http://google.fm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Federated States of Micronesia ( catchall )</a>',
+'www_google_ga','<a href="http://www.google.ga/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Gabon</a>',
+'images_google_ga','<a href="http://images.google.ga/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Gabon ( images )</a>',
+'translate_google_ga','<a href="http://translate.google.ga/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Gabon</a>',
+'google_ga','<a href="http://google.ga/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Gabon ( catchall )</a>',
+'www_google_ge','<a href="http://www.google.ge/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Georgia</a>',
+'images_google_ge','<a href="http://images.google.ge/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Georgia ( images )</a>',
+'translate_google_ge','<a href="http://translate.google.ge/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Georgia</a>',
+'google_ge','<a href="http://google.ge/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Georgia ( catchall )</a>',
+'www_google_gf','<a href="http://www.google.gf/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google French Guiana</a>',
+'images_google_gf','<a href="http://images.google.gf/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google French Guiana ( images )</a>',
+'translate_google_gf','<a href="http://translate.google.gf/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate French Guiana</a>',
+'google_gf','<a href="http://google.gf/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google French Guiana ( catchall )</a>',
+'www_google_gg','<a href="http://www.google.gg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Guernsey</a>',
+'images_google_gg','<a href="http://images.google.gg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Guernsey ( images )</a>',
+'translate_google_gg','<a href="http://translate.google.gg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Guernsey</a>',
+'google_gg','<a href="http://google.gg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Guernsey ( catchall )</a>',
+'www_google_gl','<a href="http://www.google.gl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Greenland</a>',
+'images_google_gl','<a href="http://images.google.gl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Greenland ( images )</a>',
+'translate_google_gl','<a href="http://translate.google.gl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Greenland</a>',
+'google_gl','<a href="http://google.gl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Greenland ( catchall )</a>',
+'www_google_gm','<a href="http://www.google.gm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Gambia</a>',
+'images_google_gm','<a href="http://images.google.gm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Gambia ( images )</a>',
+'translate_google_gm','<a href="http://translate.google.gm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Gambia</a>',
+'google_gm','<a href="http://google.gm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Gambia ( catchall )</a>',
+'www_google_gp','<a href="http://www.google.gp/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Guadeloupe</a>',
+'images_google_gp','<a href="http://images.google.gp/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Guadeloupe ( images )</a>',
+'translate_google_gp','<a href="http://translate.google.gp/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Guadeloupe</a>',
+'google_gp','<a href="http://google.gp/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Guadeloupe ( catchall )</a>',
+'www_google_gy','<a href="http://www.google.gy/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Guyana</a>',
+'images_google_gy','<a href="http://images.google.gy/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Guyana ( images )</a>',
+'translate_google_gy','<a href="http://translate.google.gy/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Guyana</a>',
+'google_gy','<a href="http://google.gy/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Guyana ( catchall )</a>',
+'www_google_hn','<a href="http://www.google.hn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Honduras</a>',
+'images_google_hn','<a href="http://images.google.hn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Honduras ( images )</a>',
+'translate_google_hn','<a href="http://translate.google.hn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Honduras</a>',
+'google_hn','<a href="http://google.hn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Honduras ( catchall )</a>',
+'www_google_ht','<a href="http://www.google.ht/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Haiti</a>',
+'images_google_ht','<a href="http://images.google.ht/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Haiti ( images )</a>',
+'translate_google_ht','<a href="http://translate.google.ht/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Haiti</a>',
+'google_ht','<a href="http://google.ht/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Haiti ( catchall )</a>',
+'www_google_hu','<a href="http://www.google.hu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Hungary</a>',
+'images_google_hu','<a href="http://images.google.hu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Hungary ( images )</a>',
+'translate_google_hu','<a href="http://translate.google.hu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Hungary</a>',
+'google_hu','<a href="http://google.hu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Hungary ( catchall )</a>',
+'www_google_im','<a href="http://www.google.im/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Isle of Man</a>',
+'images_google_im','<a href="http://images.google.im/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Isle of Man ( images )</a>',
+'translate_google_im','<a href="http://translate.google.im/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Isle of Man</a>',
+'google_im','<a href="http://google.im/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Isle of Man ( catchall )</a>',
+'www_google_io','<a href="http://www.google.io/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google British Indian Ocean Territory</a>',
+'images_google_io','<a href="http://images.google.io/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google British Indian Ocean Territory ( images )</a>',
+'translate_google_io','<a href="http://translate.google.io/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate British Indian Ocean Territory</a>',
+'google_io','<a href="http://google.io/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google British Indian Ocean Territory ( catchall )</a>',
+'www_google_iq','<a href="http://www.google.iq/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Iraq</a>',
+'images_google_iq','<a href="http://images.google.iq/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Iraq ( images )</a>',
+'translate_google_iq','<a href="http://translate.google.iq/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Iraq</a>',
+'google_iq','<a href="http://google.iq/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Iraq ( catchall )</a>',
+'www_google_is','<a href="http://www.google.is/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Iceland</a>',
+'images_google_is','<a href="http://images.google.is/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Iceland ( images )</a>',
+'translate_google_is','<a href="http://translate.google.is/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Iceland</a>',
+'google_is','<a href="http://google.is/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Iceland ( catchall )</a>',
+'www_google_je','<a href="http://www.google.je/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Jersey</a>',
+'images_google_je','<a href="http://images.google.je/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Jersey ( images )</a>',
+'translate_google_je','<a href="http://translate.google.je/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Jersey</a>',
+'google_je','<a href="http://google.je/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Jersey ( catchall )</a>',
+'www_google_jo','<a href="http://www.google.jo/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Jordan</a>',
+'images_google_jo','<a href="http://images.google.jo/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Jordan ( images )</a>',
+'translate_google_jo','<a href="http://translate.google.jo/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Jordan</a>',
+'google_jo','<a href="http://google.jo/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Jordan ( catchall )</a>',
+'www_google_kg','<a href="http://www.google.kg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Kyrgyzstan</a>',
+'images_google_kg','<a href="http://images.google.kg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Kyrgyzstan ( images )</a>',
+'translate_google_kg','<a href="http://translate.google.kg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Kyrgyzstan</a>',
+'google_kg','<a href="http://google.kg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Kyrgyzstan ( catchall )</a>',
+'www_google_ki','<a href="http://www.google.ki/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Kiribati</a>',
+'images_google_ki','<a href="http://images.google.ki/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Kiribati ( images )</a>',
+'translate_google_ki','<a href="http://translate.google.ki/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Kiribati</a>',
+'google_ki','<a href="http://google.ki/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Kiribati ( catchall )</a>',
+'www_google_kz','<a href="http://www.google.kz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Kazakhstan</a>',
+'images_google_kz','<a href="http://images.google.kz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Kazakhstan ( images )</a>',
+'translate_google_kz','<a href="http://translate.google.kz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Kazakhstan</a>',
+'google_kz','<a href="http://google.kz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Kazakhstan ( catchall )</a>',
+'www_google_la','<a href="http://www.google.la/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Laos</a>',
+'images_google_la','<a href="http://images.google.la/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Laos ( images )</a>',
+'translate_google_la','<a href="http://translate.google.la/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Laos</a>',
+'google_la','<a href="http://google.la/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Laos ( catchall )</a>',
+'www_google_li','<a href="http://www.google.li/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Liechtenstein</a>',
+'images_google_li','<a href="http://images.google.li/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Liechtenstein ( images )</a>',
+'translate_google_li','<a href="http://translate.google.li/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Liechtenstein</a>',
+'google_li','<a href="http://google.li/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Liechtenstein ( catchall )</a>',
+'www_google_lk','<a href="http://www.google.lk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Sri Lanka</a>',
+'images_google_lk','<a href="http://images.google.lk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Sri Lanka ( images )</a>',
+'translate_google_lk','<a href="http://translate.google.lk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Sri Lanka</a>',
+'google_lk','<a href="http://google.lk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Sri Lanka ( catchall )</a>',
+'www_google_lt','<a href="http://www.google.lt/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Lithuania</a>',
+'images_google_lt','<a href="http://images.google.lt/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Lithuania ( images )</a>',
+'translate_google_lt','<a href="http://translate.google.lt/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Lithuania</a>',
+'google_lt','<a href="http://google.lt/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Lithuania ( catchall )</a>',
+'www_google_lu','<a href="http://www.google.lu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Luxembourg</a>',
+'images_google_lu','<a href="http://images.google.lu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Luxembourg ( images )</a>',
+'translate_google_lu','<a href="http://translate.google.lu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Luxembourg</a>',
+'google_lu','<a href="http://google.lu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Luxembourg ( catchall )</a>',
+'www_google_lv','<a href="http://www.google.lv/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Latvia</a>',
+'images_google_lv','<a href="http://images.google.lv/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Latvia ( images )</a>',
+'translate_google_lv','<a href="http://translate.google.lv/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Latvia</a>',
+'google_lv','<a href="http://google.lv/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Latvia ( catchall )</a>',
+'www_google_md','<a href="http://www.google.md/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Moldova</a>',
+'images_google_md','<a href="http://images.google.md/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Moldova ( images )</a>',
+'translate_google_md','<a href="http://translate.google.md/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Moldova</a>',
+'google_md','<a href="http://google.md/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Moldova ( catchall )</a>',
+'www_google_me','<a href="http://www.google.me/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Montenegro</a>',
+'images_google_me','<a href="http://images.google.me/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Montenegro ( images )</a>',
+'translate_google_me','<a href="http://translate.google.me/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Montenegro</a>',
+'google_me','<a href="http://google.me/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Montenegro ( catchall )</a>',
+'www_google_mg','<a href="http://www.google.mg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Madagascar</a>',
+'images_google_mg','<a href="http://images.google.mg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Madagascar ( images )</a>',
+'translate_google_mg','<a href="http://translate.google.mg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Madagascar</a>',
+'google_mg','<a href="http://google.mg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Madagascar ( catchall )</a>',
+'www_google_mk','<a href="http://www.google.mk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Macedonia</a>',
+'images_google_mk','<a href="http://images.google.mk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Macedonia ( images )</a>',
+'translate_google_mk','<a href="http://translate.google.mk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Macedonia</a>',
+'google_mk','<a href="http://google.mk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Macedonia ( catchall )</a>',
+'www_google_ml','<a href="http://www.google.ml/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Mali</a>',
+'images_google_ml','<a href="http://images.google.ml/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Mali ( images )</a>',
+'translate_google_ml','<a href="http://translate.google.ml/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Mali</a>',
+'google_ml','<a href="http://google.ml/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Mali ( catchall )</a>',
+'www_google_mn','<a href="http://www.google.mn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Mongolia</a>',
+'images_google_mn','<a href="http://images.google.mn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Mongolia ( images )</a>',
+'translate_google_mn','<a href="http://translate.google.mn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Mongolia</a>',
+'google_mn','<a href="http://google.mn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Mongolia ( catchall )</a>',
+'www_google_ms','<a href="http://www.google.ms/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Montserrat</a>',
+'images_google_ms','<a href="http://images.google.ms/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Montserrat ( images )</a>',
+'translate_google_ms','<a href="http://translate.google.ms/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Montserrat</a>',
+'google_ms','<a href="http://google.ms/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Montserrat ( catchall )</a>',
+'www_google_mu','<a href="http://www.google.mu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Mauritius</a>',
+'images_google_mu','<a href="http://images.google.mu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Mauritius ( images )</a>',
+'translate_google_mu','<a href="http://translate.google.mu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Mauritius</a>',
+'google_mu','<a href="http://google.mu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Mauritius ( catchall )</a>',
+'www_google_mv','<a href="http://www.google.mv/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Maldives</a>',
+'images_google_mv','<a href="http://images.google.mv/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Maldives ( images )</a>',
+'translate_google_mv','<a href="http://translate.google.mv/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Maldives</a>',
+'google_mv','<a href="http://google.mv/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Maldives ( catchall )</a>',
+'www_google_mw','<a href="http://www.google.mw/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Malawi</a>',
+'images_google_mw','<a href="http://images.google.mw/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Malawi ( images )</a>',
+'translate_google_mw','<a href="http://translate.google.mw/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Malawi</a>',
+'google_mw','<a href="http://google.mw/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Malawi ( catchall )</a>',
+'www_google_ne','<a href="http://www.google.ne/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Niger</a>',
+'images_google_ne','<a href="http://images.google.ne/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Niger ( images )</a>',
+'translate_google_ne','<a href="http://translate.google.ne/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Niger</a>',
+'google_ne','<a href="http://google.ne/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Niger ( catchall )</a>',
+'www_google_nr','<a href="http://www.google.nr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Nauru</a>',
+'images_google_nr','<a href="http://images.google.nr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Nauru ( images )</a>',
+'translate_google_nr','<a href="http://translate.google.nr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Nauru</a>',
+'google_nr','<a href="http://google.nr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Nauru ( catchall )</a>',
+'www_google_nu','<a href="http://www.google.nu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Niue</a>',
+'images_google_nu','<a href="http://images.google.nu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Niue ( images )</a>',
+'translate_google_nu','<a href="http://translate.google.nu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Niue</a>',
+'google_nu','<a href="http://google.nu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Niue ( catchall )</a>',
+'www_google_pn','<a href="http://www.google.pn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Pitcairn Islands</a>',
+'images_google_pn','<a href="http://images.google.pn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Pitcairn Islands ( images )</a>',
+'translate_google_pn','<a href="http://translate.google.pn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Pitcairn Islands</a>',
+'google_pn','<a href="http://google.pn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Pitcairn Islands ( catchall )</a>',
+'www_google_ps','<a href="http://www.google.ps/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Palestine</a>',
+'images_google_ps','<a href="http://images.google.ps/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Palestine[4] ( images )</a>',
+'translate_google_ps','<a href="http://translate.google.ps/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Palestine[4]</a>',
+'google_ps','<a href="http://google.ps/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Palestine[4] ( catchall )</a>',
+'www_google_ro','<a href="http://www.google.ro/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Romania</a>',
+'images_google_ro','<a href="http://images.google.ro/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Romania ( images )</a>',
+'translate_google_ro','<a href="http://translate.google.ro/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Romania</a>',
+'google_ro','<a href="http://google.ro/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Romania ( catchall )</a>',
+'www_google_rs','<a href="http://www.google.rs/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Serbia</a>',
+'images_google_rs','<a href="http://images.google.rs/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Serbia ( images )</a>',
+'translate_google_rs','<a href="http://translate.google.rs/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Serbia</a>',
+'google_rs','<a href="http://google.rs/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Serbia ( catchall )</a>',
+'www_google_ru','<a href="http://www.google.ru/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Russia</a>',
+'images_google_ru','<a href="http://images.google.ru/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Russia ( images )</a>',
+'translate_google_ru','<a href="http://translate.google.ru/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Russia</a>',
+'google_ru','<a href="http://google.ru/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Russia ( catchall )</a>',
+'www_google_rw','<a href="http://www.google.rw/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Rwanda</a>',
+'images_google_rw','<a href="http://images.google.rw/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Rwanda ( images )</a>',
+'translate_google_rw','<a href="http://translate.google.rw/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Rwanda</a>',
+'google_rw','<a href="http://google.rw/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Rwanda ( catchall )</a>',
+'www_google_sc','<a href="http://www.google.sc/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Seychelles</a>',
+'images_google_sc','<a href="http://images.google.sc/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Seychelles ( images )</a>',
+'translate_google_sc','<a href="http://translate.google.sc/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Seychelles</a>',
+'google_sc','<a href="http://google.sc/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Seychelles ( catchall )</a>',
+'www_google_sh','<a href="http://www.google.sh/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Saint Helena and Ascension and Tristan da Cunha</a>',
+'images_google_sh','<a href="http://images.google.sh/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Saint Helena and Ascension and Tristan da Cunha ( images )</a>',
+'translate_google_sh','<a href="http://translate.google.sh/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Saint Helena and Ascension and Tristan da Cunha</a>',
+'google_sh','<a href="http://google.sh/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Saint Helena and Ascension and Tristan da Cunha ( catchall )</a>',
+'www_google_si','<a href="http://www.google.si/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Slovenia</a>',
+'images_google_si','<a href="http://images.google.si/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Slovenia ( images )</a>',
+'translate_google_si','<a href="http://translate.google.si/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Slovenia</a>',
+'google_si','<a href="http://google.si/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Slovenia ( catchall )</a>',
+'www_google_sk','<a href="http://www.google.sk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Slovakia</a>',
+'images_google_sk','<a href="http://images.google.sk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Slovakia ( images )</a>',
+'translate_google_sk','<a href="http://translate.google.sk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Slovakia</a>',
+'google_sk','<a href="http://google.sk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Slovakia ( catchall )</a>',
+'www_google_sm','<a href="http://www.google.sm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google San Marino</a>',
+'images_google_sm','<a href="http://images.google.sm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google San Marino ( images )</a>',
+'translate_google_sm','<a href="http://translate.google.sm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate San Marino</a>',
+'google_sm','<a href="http://google.sm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google San Marino ( catchall )</a>',
+'www_google_sn','<a href="http://www.google.sn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Senegal</a>',
+'images_google_sn','<a href="http://images.google.sn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Senegal ( images )</a>',
+'translate_google_sn','<a href="http://translate.google.sn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Senegal</a>',
+'google_sn','<a href="http://google.sn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Senegal ( catchall )</a>',
+'www_google_so','<a href="http://www.google.so/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Somalia</a>',
+'images_google_so','<a href="http://images.google.so/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Somalia ( images )</a>',
+'translate_google_so','<a href="http://translate.google.so/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Somalia</a>',
+'google_so','<a href="http://google.so/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Somalia ( catchall )</a>',
+'www_google_sr','<a href="http://www.google.sr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Suriname</a>',
+'images_google_sr','<a href="http://images.google.sr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Suriname ( images )</a>',
+'translate_google_sr','<a href="http://translate.google.sr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Suriname</a>',
+'google_sr','<a href="http://google.sr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Suriname ( catchall )</a>',
+'www_google_st','<a href="http://www.google.st/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Sao Tome and Principe</a>',
+'images_google_st','<a href="http://images.google.st/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Sao Tome and Principe ( images )</a>',
+'translate_google_st','<a href="http://translate.google.st/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Sao Tome and Principe</a>',
+'google_st','<a href="http://google.st/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Sao Tome and Principe ( catchall )</a>',
+'www_google_td','<a href="http://www.google.td/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Chad</a>',
+'images_google_td','<a href="http://images.google.td/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Chad ( images )</a>',
+'translate_google_td','<a href="http://translate.google.td/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Chad</a>',
+'google_td','<a href="http://google.td/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Chad ( catchall )</a>',
+'www_google_tg','<a href="http://www.google.tg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Togo</a>',
+'images_google_tg','<a href="http://images.google.tg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Togo ( images )</a>',
+'translate_google_tg','<a href="http://translate.google.tg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Togo</a>',
+'google_tg','<a href="http://google.tg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Togo ( catchall )</a>',
+'www_google_tk','<a href="http://www.google.tk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Tokelau</a>',
+'images_google_tk','<a href="http://images.google.tk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Tokelau ( images )</a>',
+'translate_google_tk','<a href="http://translate.google.tk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Tokelau</a>',
+'google_tk','<a href="http://google.tk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Tokelau ( catchall )</a>',
+'www_google_tl','<a href="http://www.google.tl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Timor-Leste</a>',
+'images_google_tl','<a href="http://images.google.tl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Timor-Leste ( images )</a>',
+'translate_google_tl','<a href="http://translate.google.tl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Timor-Leste</a>',
+'google_tl','<a href="http://google.tl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Timor-Leste ( catchall )</a>',
+'www_google_tm','<a href="http://www.google.tm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Turkmenistan</a>',
+'images_google_tm','<a href="http://images.google.tm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Turkmenistan ( images )</a>',
+'translate_google_tm','<a href="http://translate.google.tm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Turkmenistan</a>',
+'google_tm','<a href="http://google.tm/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Turkmenistan ( catchall )</a>',
+'www_google_tn','<a href="http://www.google.tn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Tunisia</a>',
+'images_google_tn','<a href="http://images.google.tn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Tunisia ( images )</a>',
+'translate_google_tn','<a href="http://translate.google.tn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Tunisia</a>',
+'google_tn','<a href="http://google.tn/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Tunisia ( catchall )</a>',
+'www_google_to','<a href="http://www.google.to/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Tonga</a>',
+'images_google_to','<a href="http://images.google.to/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Tonga ( images )</a>',
+'translate_google_to','<a href="http://translate.google.to/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Tonga</a>',
+'google_to','<a href="http://google.to/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Tonga ( catchall )</a>',
+'www_google_tt','<a href="http://www.google.tt/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Trinidad and Tobago</a>',
+'images_google_tt','<a href="http://images.google.tt/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Trinidad and Tobago ( images )</a>',
+'translate_google_tt','<a href="http://translate.google.tt/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Trinidad and Tobago</a>',
+'google_tt','<a href="http://google.tt/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Trinidad and Tobago ( catchall )</a>',
+'www_google_us','<a href="http://www.google.us/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google United States</a>',
+'images_google_us','<a href="http://images.google.us/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google United States ( images )</a>',
+'translate_google_us','<a href="http://translate.google.us/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate United States</a>',
+'google_us','<a href="http://google.us/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google United States ( catchall )</a>',
+'www_google_vg','<a href="http://www.google.vg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google British Virgin Islands</a>',
+'images_google_vg','<a href="http://images.google.vg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google British Virgin Islands ( images )</a>',
+'translate_google_vg','<a href="http://translate.google.vg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate British Virgin Islands</a>',
+'google_vg','<a href="http://google.vg/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google British Virgin Islands ( catchall )</a>',
+'www_google_vu','<a href="http://www.google.vu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Vanuatu</a>',
+'images_google_vu','<a href="http://images.google.vu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Vanuatu ( images )</a>',
+'translate_google_vu','<a href="http://translate.google.vu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Vanuatu</a>',
+'google_vu','<a href="http://google.vu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Vanuatu ( catchall )</a>',
+'www_google_ws','<a href="http://www.google.ws/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Samoa</a>',
+'images_google_ws','<a href="http://images.google.ws/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Samoa ( images )</a>',
+'translate_google_ws','<a href="http://translate.google.ws/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate Samoa</a>',
+'google_ws','<a href="http://google.ws/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Samoa ( catchall )</a>',
 
-'google_cache','<a href="http://www.google.com/help/features.html#cached" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google (cache)</a>',
-'google_froogle','<a href="http://froogle.google.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Froogle (Google)</a>',
-'google_groups','<a href="http://groups.google.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google (Groups)</a>',
-'google_maps','<a href="http://maps.google.co.uk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Maps</a>',
-'googleByIP','<a href="http://173.194.35.177/" rel="nofollow" title="Google (Access by IP-Address) [new window]" target="_blank">Google (Access by IP-Address)</a>',
-'google_catchall','<a href="http://www.google.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google catchall sites not specified</a>',
-'google_products','<a href="http://www.google.com/products" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google (Products)</a>',
-'google_translate','<a href="http://translate.google.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Google Translate ( catchall )</a>',
-'google4counter','<a href="http://www.4-counter.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">4-counter (Google)</a>',
+'google_cache','<a href="http://www.google.com/help/features.html#cached" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google (cache)</a>',
+'google_froogle','<a href="http://froogle.google.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Froogle (Google)</a>',
+'google_groups','<a href="http://groups.google.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google (Groups)</a>',
+'google_maps','<a href="http://maps.google.co.uk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Maps</a>',
+'googleByIP','<a href="http://173.194.35.177/" rel="nofollow noopener noreferrer" title="Google (Access by IP-Address) [new window]" target="_blank">Google (Access by IP-Address)</a>',
+'google_catchall','<a href="http://www.google.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google catchall sites not specified</a>',
+'google_products','<a href="http://www.google.com/products" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google (Products)</a>',
+'google_translate','<a href="http://translate.google.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Google Translate ( catchall )</a>',
+'google4counter','<a href="http://www.4-counter.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">4-counter (Google)</a>',
 
 '1klik','1Klik',
-'1search','<a href="http://1search-board.com/" rel="nofollow" target="_blank">1search-board.com</a>',
-'1und1_de','<a href="http://suche.1und1.de/" rel="nofollow" title="1&amp;1 Suche [new window]" target="_blank">1&1 Suche (subdomain "suche")</a>',
-'3721','<a href="http://www.3721.com/" rel="nofollow" target="_blank">3721</a>',
-'a9', '<a href="http://www.a9.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">A9</a>',
+'1search','<a href="http://1search-board.com/" rel="nofollow noopener noreferrer" target="_blank">1search-board.com</a>',
+'1und1_de','<a href="http://suche.1und1.de/" rel="nofollow noopener noreferrer" title="1&amp;1 Suche [new window]" target="_blank">1&1 Suche (subdomain "suche")</a>',
+'3721','<a href="http://www.3721.com/" rel="nofollow noopener noreferrer" target="_blank">3721</a>',
+'a9', '<a href="http://www.a9.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">A9</a>',
 'abacho','Abacho',
 'accoona','<a href="http://cn.accoona.com">Accoona</a>',
-'alexa','<a href="http://www.alexa.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Alexa</a>',
-'aliceit','<a href="http://www.alice.it/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">alice.it</a>',
-'aliceitmaster','<a href="http://www.alice.it/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">search.alice.it.master</a>',
+'alexa','<a href="http://www.alexa.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Alexa</a>',
+'aliceit','<a href="http://www.alice.it/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">alice.it</a>',
+'aliceitmaster','<a href="http://www.alice.it/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">search.alice.it.master</a>',
 'allesklar','allesklar.de',
-'allgameshome','<a href="http://my.allgameshome.com/" rel="nofollow" title="AllGamesHome [new window]" target="_blank">AllGamesHome</a>',
-'alltheweb','<a href="http://www.alltheweb.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">AllTheWeb</a>',
+'allgameshome','<a href="http://my.allgameshome.com/" rel="nofollow noopener noreferrer" title="AllGamesHome [new window]" target="_blank">AllGamesHome</a>',
+'alltheweb','<a href="http://www.alltheweb.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">AllTheWeb</a>',
 'alot','alot',
-'altavista','<a href="http://www.altavista.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">AltaVista</a>',
+'altavista','<a href="http://www.altavista.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">AltaVista</a>',
 'amazon','amazon',
-'androidsearch','<a href="http://www.androidsearch.com/" rel="nofollow" title="androidsearch.com [new window]" target="_blank">androidsearch.com</a>',
-'answerbus','<a href="http://www.answerbus.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Answerbus</a>',
-'anzwers','<a href="http://anzwers.com.au/" title="anzwers.com.au home page [new window]" rel="nofollow" target="_blank">anzwers.com.au</a>',
+'androidsearch','<a href="http://www.androidsearch.com/" rel="nofollow noopener noreferrer" title="androidsearch.com [new window]" target="_blank">androidsearch.com</a>',
+'answerbus','<a href="http://www.answerbus.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Answerbus</a>',
+'anzwers','<a href="http://anzwers.com.au/" title="anzwers.com.au home page [new window]" rel="nofollow noopener noreferrer" target="_blank">anzwers.com.au</a>',
 'aol_o2suche_de','AOL O2Suche (de)', 
-'aolcatchall','<a href="http://search.aol.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">AOL catchall countries</a>',
-'aolcom','<a href="http://search.aol.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">AOL .com</a>',
-'aolde','<a href="http://suche.aol.de/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">AOL .de</a>',
+'aolcatchall','<a href="http://search.aol.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">AOL catchall countries</a>',
+'aolcom','<a href="http://search.aol.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">AOL .com</a>',
+'aolde','<a href="http://suche.aol.de/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">AOL .de</a>',
 'aolfr','AOL (fr)', 
-'aolpl','<a href="http://search.aol.pl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">AOL .pl</a>',
-'aolsearchde','<a href="http://de.aolsearch.com/" rel="nofollow" title="AOL Search Home Page [new window]" target="_blank">AOL Search de</a>',
-'aoluk','<a href="http://search.aol.co.uk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">AOL .uk</a>',
+'aolpl','<a href="http://search.aol.pl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">AOL .pl</a>',
+'aolsearchde','<a href="http://de.aolsearch.com/" rel="nofollow noopener noreferrer" title="AOL Search Home Page [new window]" target="_blank">AOL Search de</a>',
+'aoluk','<a href="http://search.aol.co.uk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">AOL .uk</a>',
 'aport','Aport',
-'arianna','<a href="http://arianna.libero.it/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Arianna</a>',
-'asevenboard','<a href="http://asevenboard.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">asevenboard</a>',
-'askcatchall','<a href="http://www.ask.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Ask catchall sites</a>',
-'askde','<a href="http://de.ask.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Ask Deutschland</a>',
-'askes','<a href="http://es.ask.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Ask Espana</a>', # break out Ask country specific engines.
-'askfr','<a href="http://fr.ask.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Ask France</a>',
+'arianna','<a href="http://arianna.libero.it/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Arianna</a>',
+'asevenboard','<a href="http://asevenboard.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">asevenboard</a>',
+'askcatchall','<a href="http://www.ask.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Ask catchall sites</a>',
+'askde','<a href="http://de.ask.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Ask Deutschland</a>',
+'askes','<a href="http://es.ask.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Ask Espana</a>', # break out Ask country specific engines.
+'askfr','<a href="http://fr.ask.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Ask France</a>',
 'askimages','ask images',
-'askit','<a href="http://it.ask.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Ask Italia</a>',
-'askjp','<a href="http://www.ask.jp/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Ask Japan</a>',
-'asknl','<a href="http://nl.ask.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Ask Nederland</a>',
-'askuk','<a href="http://uk.ask.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Ask UK</a>',
+'askit','<a href="http://it.ask.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Ask Italia</a>',
+'askjp','<a href="http://www.ask.jp/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Ask Japan</a>',
+'asknl','<a href="http://nl.ask.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Ask Nederland</a>',
+'askuk','<a href="http://uk.ask.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Ask UK</a>',
 'atlanticbb','atlanticbb',
 'atlas','Atlas.cz',
 'atomz','Atomz',
-'att','<a href="http://www.att.net/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">AT&T search (powered by Google)</a>',
+'att','<a href="http://www.att.net/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">AT&T search (powered by Google)</a>',
 'auone','auone',
-'avantfind','<a href="http://www.avantfind.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Avantfind</a>',
+'avantfind','<a href="http://www.avantfind.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Avantfind</a>',
 'avg','avg',
-'babylon','<a href="http://search.babylon.com/" title="search.babylon.com" rel="nofollow" target="_blank">Babylon</a>',
-'baidu','<a href="http://www.baidu.com/" rel="nofollow" target="_blank">Baidu</a>',
+'babylon','<a href="http://search.babylon.com/" title="search.babylon.com" rel="nofollow noopener noreferrer" target="_blank">Babylon</a>',
+'baidu','<a href="http://www.baidu.com/" rel="nofollow noopener noreferrer" target="_blank">Baidu</a>',
 'bbc','BBC', 
-'benefind','<a href="http://www.benefind.de/" rel="nofollow" title="benefind Home Page [new window]" target="_blank">benefind</a>',
-'biglotron','<a href="http://www.biglotron.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Biglotron</a>',
-'bing','<a href="http://www.bing.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Bing</a>',
+'benefind','<a href="http://www.benefind.de/" rel="nofollow noopener noreferrer" title="benefind Home Page [new window]" target="_blank">benefind</a>',
+'biglotron','<a href="http://www.biglotron.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Biglotron</a>',
+'bing','<a href="http://www.bing.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Bing</a>',
 'blekko','blekko',
-'blingo','<a href="http://www.blingo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Blingo</a>',
+'blingo','<a href="http://www.blingo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Blingo</a>',
 'bluewin','bluewin',
 'bt','BT',
-'bungeebonesdotcom','<a href="http://BungeeBones.com/search.php/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">BungeeBones</a>',
-'centraldatabase','<a href="http://search.centraldatabase.org/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">GPU p2p search</a>',
+'bungeebonesdotcom','<a href="http://BungeeBones.com/search.php/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">BungeeBones</a>',
+'centraldatabase','<a href="http://search.centraldatabase.org/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">GPU p2p search</a>',
 'centrum','Centrum.cz', 
 'centurylink','centurylink',
-'certifiedtoolbarsearch','<a href="http://search.certified-toolbar.com/" rel="nofollow" title="Certified-Toolbar Search [new window]" target="_blank">Certified-Toolbar Search</a>',
+'certifiedtoolbarsearch','<a href="http://search.certified-toolbar.com/" rel="nofollow noopener noreferrer" title="Certified-Toolbar Search [new window]" target="_blank">Certified-Toolbar Search</a>',
 'charter','charter',
 'chatzum','chatzum',
 'checkparams','checkparams',
-'chelloat','<a href="http://www.chello.at/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Chello Austria</a>',
-'chellobe','<a href="http://www.chello.be/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Chello Belgium</a>',
-'chellocom','<a href="http://www.chello.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Chello (Country not recognized)</a>',
-'chellocz','<a href="http://www.chello.cz/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Chello Czech Republic</a>',
-'chellofr','<a href="http://www.chello.fr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Chello France</a>',
-'chellohu','<a href="http://www.chello.hu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Chello Hungary</a>',
-'chellonl','<a href="http://www.chello.nl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Chello Netherlands</a>',
-'chellono','<a href="http://www.chello.no/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Chello Norway</a>',
-'chellopl','<a href="http://www.chello.pl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Chello Poland</a>',
-'chellose','<a href="http://www.chello.se/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Chello Sweden</a>',
-'chellosk','<a href="http://www.chello.sk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Chello Slovakia</a>',
-'clarosearch','<a href="http://www.claro-search.com/" rel="nofollow" title="Search Engine Home Page [new window]" target="_blank">Claro Search</a>',
+'chelloat','<a href="http://www.chello.at/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Chello Austria</a>',
+'chellobe','<a href="http://www.chello.be/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Chello Belgium</a>',
+'chellocom','<a href="http://www.chello.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Chello (Country not recognized)</a>',
+'chellocz','<a href="http://www.chello.cz/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Chello Czech Republic</a>',
+'chellofr','<a href="http://www.chello.fr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Chello France</a>',
+'chellohu','<a href="http://www.chello.hu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Chello Hungary</a>',
+'chellonl','<a href="http://www.chello.nl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Chello Netherlands</a>',
+'chellono','<a href="http://www.chello.no/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Chello Norway</a>',
+'chellopl','<a href="http://www.chello.pl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Chello Poland</a>',
+'chellose','<a href="http://www.chello.se/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Chello Sweden</a>',
+'chellosk','<a href="http://www.chello.sk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Chello Slovakia</a>',
+'clarosearch','<a href="http://www.claro-search.com/" rel="nofollow noopener noreferrer" title="Search Engine Home Page [new window]" target="_blank">Claro Search</a>',
 'clinck','clinck',
 'clubinternet', 'Club-internet',
-'clusty','<a href="http://www.clusty.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Clusty</a>',
+'clusty','<a href="http://www.clusty.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Clusty</a>',
 'comcast','comcast',
-'comettoolbar','<a href="http://as.starware.com/dp/search" title="Comet toolbar search home page [new window]" rel="nofollow" target="_blank">Comet toolbar search</a>',
+'comettoolbar','<a href="http://as.starware.com/dp/search" title="Comet toolbar search home page [new window]" rel="nofollow noopener noreferrer" target="_blank">Comet toolbar search</a>',
 'conduit','conduit',
-'copernic','<a href="http://www.copernic.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Copernic</a>',
-'crawler','<a href="http://www.crawler.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">crawler.com</a>',
+'copernic','<a href="http://www.copernic.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Copernic</a>',
+'crawler','<a href="http://www.crawler.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">crawler.com</a>',
 'ctrouve','C\'est trouve', 
-'dalesearch','<a href="http://www.dalesearch.com/" rel="nofollow" title="Dale Search [new window]" target="_blank">Dale Search</a>',
+'dalesearch','<a href="http://www.dalesearch.com/" rel="nofollow noopener noreferrer" title="Dale Search [new window]" target="_blank">Dale Search</a>',
 'danielsen','Thor (danielsen.com)', 
 'daum','daum',
-'de_dolphin_com','<a href="http://de.dolphin.com/" rel="nofollow" title="Dolphin Search search page [new window]" target="_blank">Dolphin Search</a>',
-'de_wiki_gov_cn','<a href="http://de.wiki.gov.cn/" rel="nofollow" title="Wiki Sucher [new window]" target="_blank">Wiki Sucher</a>',
+'de_dolphin_com','<a href="http://de.dolphin.com/" rel="nofollow noopener noreferrer" title="Dolphin Search search page [new window]" target="_blank">Dolphin Search</a>',
+'de_wiki_gov_cn','<a href="http://de.wiki.gov.cn/" rel="nofollow noopener noreferrer" title="Wiki Sucher [new window]" target="_blank">Wiki Sucher</a>',
 'dejanews','DejaNews',
-'delicious','<a href="http://del.icio.us/" title="del.icio.us home page [new window]" rel="nofollow" target="_blank">del.icio.us</a> (Social Bookmark)',
+'delicious','<a href="http://del.icio.us/" title="del.icio.us home page [new window]" rel="nofollow noopener noreferrer" target="_blank">del.icio.us</a> (Social Bookmark)',
 'delta-search','delta-search',
-'digg','<a href="http://www.digg.com/" title="Digg home page [new window]" rel="nofollow" target="_blank">Digg</a> (Social Bookmark)',
-'dmoz','<a href="http://dmoz.org/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">DMOZ</a>',
-'dodajpl','<a href="http://www.dodaj.pl/" title="Dodaj.pl home page [new window]" rel="nofollow" target="_blank">Dodaj.pl</a>',
-'dogpile','<a href="http://www.dogpile.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Dogpile</a>',
-'duckduckgo','<a href="http://r.duckduckgo.com/" rel="nofollow" title="DuckDuckGo Home Page [new window]" target="_blank">DuckDuckGo</a>',
+'digg','<a href="http://www.digg.com/" title="Digg home page [new window]" rel="nofollow noopener noreferrer" target="_blank">Digg</a> (Social Bookmark)',
+'dmoz','<a href="http://dmoz.org/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">DMOZ</a>',
+'dodajpl','<a href="http://www.dodaj.pl/" title="Dodaj.pl home page [new window]" rel="nofollow noopener noreferrer" target="_blank">Dodaj.pl</a>',
+'dogpile','<a href="http://www.dogpile.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Dogpile</a>',
+'duckduckgo','<a href="http://r.duckduckgo.com/" rel="nofollow noopener noreferrer" title="DuckDuckGo Home Page [new window]" target="_blank">DuckDuckGo</a>',
 'earthlink', 'Earth Link',
-'easysearch','<a href="http://heatherjeffery.easysearch.org.uk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">easysearch</a>',
+'easysearch','<a href="http://heatherjeffery.easysearch.org.uk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">easysearch</a>',
 'ecosia','ecosia',
 'edderkoppen','Edderkoppen', 
 'engine','Cade', 
-'eniro','<a href="http://www.eniro.no/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Eniro</a>',
-'enirose','<a href="http://www.eniro.se/" title="Eniro Sverige home page [new window]" rel="nofollow" target="_blank">Eniro Sverige</a>',
+'eniro','<a href="http://www.eniro.no/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Eniro</a>',
+'enirose','<a href="http://www.eniro.se/" title="Eniro Sverige home page [new window]" rel="nofollow noopener noreferrer" target="_blank">Eniro Sverige</a>',
 'ereadingsource','ereadingsource',
-'etools_ch','<a href="http://www.etools.ch/" rel="nofollow" title="eTools.ch [new window]" target="_blank">eTools.ch</a>',
+'etools_ch','<a href="http://www.etools.ch/" rel="nofollow noopener noreferrer" title="eTools.ch [new window]" target="_blank">eTools.ch</a>',
 'euroseek','Euroseek',
 'everyclick','everyclick',
-'excite','<a href="http://www.excite.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Excite</a>',
+'excite','<a href="http://www.excite.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Excite</a>',
 'facemoods','facemoods',
-'fastbot_de','<a href="http://fastbot.de/" rel="nofollow" title="Fastbot.de [new window]" target="_blank">Fastbot.de (Does not provide search keyphrases; using found page instead)</a>',
-'fbdownloader','<a href="http://search.fbdownloader.com/" rel="nofollow" title="FBDownloader Home Page [new window]" target="_blank">FBDownloader (fbdownloader)</a>',
-'fdownloadr_com','<a href="http://search.fdownloadr.com/" rel="nofollow" title="FBDownloader Home Page [new window]" target="_blank">FBDownloader (fdownloadr)</a>',
-'find1friend','<a href="http://find1friend.com/" rel="nofollow" title="Find1Friend [new window]" target="_blank">Find1Friend</a>',
+'fastbot_de','<a href="http://fastbot.de/" rel="nofollow noopener noreferrer" title="Fastbot.de [new window]" target="_blank">Fastbot.de (Does not provide search keyphrases; using found page instead)</a>',
+'fbdownloader','<a href="http://search.fbdownloader.com/" rel="nofollow noopener noreferrer" title="FBDownloader Home Page [new window]" target="_blank">FBDownloader (fbdownloader)</a>',
+'fdownloadr_com','<a href="http://search.fdownloadr.com/" rel="nofollow noopener noreferrer" title="FBDownloader Home Page [new window]" target="_blank">FBDownloader (fdownloadr)</a>',
+'find1friend','<a href="http://find1friend.com/" rel="nofollow noopener noreferrer" title="Find1Friend [new window]" target="_blank">Find1Friend</a>',
 'findamo','findamo',
 'findarticles','Find Articles',
 'finddk','Find', 
 'fireball','fireball',
-'flipora','<a href="http://static.flipora.com/" rel="nofollow" title="Flipora Home Page [new window]" target="_blank">Flipora</a>',
+'flipora','<a href="http://static.flipora.com/" rel="nofollow noopener noreferrer" title="Flipora Home Page [new window]" target="_blank">Flipora</a>',
 'foxstart','foxstart',
 'francite','Francite', 
 'free', 'Free.fr', 
-'freenet_de','<a href="http://suche.freenet.de/" rel="nofollow" title="suche.freenet.de [new window]" target="_blank">suche.freenet.de</a>',
+'freenet_de','<a href="http://suche.freenet.de/" rel="nofollow noopener noreferrer" title="suche.freenet.de [new window]" target="_blank">suche.freenet.de</a>',
 'freeserve','Freeserve', 
 'funmoods','funmoods',
-'gazetapl','<a href="http://szukaj.gazeta.pl/" title="Gazeta.pl home page [new window]" rel="nofollow" target="_blank">Gazeta.pl</a>',
-'genieo','<a href="http://search.genieo.com/" rel="nofollow" title="Genieo home page [new window]" target="_blank">Genieo</a>',
-'gerypl','<a href="http://szukaj.gery.pl/" title="Gery.pl home page [new window]" rel="nofollow" target="_blank">Gery.pl</a>',
+'gazetapl','<a href="http://szukaj.gazeta.pl/" title="Gazeta.pl home page [new window]" rel="nofollow noopener noreferrer" target="_blank">Gazeta.pl</a>',
+'genieo','<a href="http://search.genieo.com/" rel="nofollow noopener noreferrer" title="Genieo home page [new window]" target="_blank">Genieo</a>',
+'gerypl','<a href="http://szukaj.gery.pl/" title="Gery.pl home page [new window]" rel="nofollow noopener noreferrer" target="_blank">Gery.pl</a>',
 'globososo','Globososo',
-'gmxsuche','<a href="http://suche.gmx.net/" rel="nofollow" title="GMX Suche Home Page [new window]" target="_blank">GMX Suche</a>',
-'gmxsuche_at','<a href="http://suche.gmx.at/" rel="nofollow" title="GMX Suche Oesterreich Home Page [new window]" target="_blank">GMX Suche Oesterreich</a>',
+'gmxsuche','<a href="http://suche.gmx.net/" rel="nofollow noopener noreferrer" title="GMX Suche Home Page [new window]" target="_blank">GMX Suche</a>',
+'gmxsuche_at','<a href="http://suche.gmx.at/" rel="nofollow noopener noreferrer" title="GMX Suche Oesterreich Home Page [new window]" target="_blank">GMX Suche Oesterreich</a>',
 'go','Go.com',
-'go_mail_ru','<a href="http://go.mail.ru/" rel="nofollow" title="GMX Suche Oesterreich Home Page [new window]" target="_blank">Go.Mail.ru</a>',
+'go_mail_ru','<a href="http://go.mail.ru/" rel="nofollow noopener noreferrer" title="GMX Suche Oesterreich Home Page [new window]" target="_blank">Go.Mail.ru</a>',
 'go2net','Go2Net (Metamoteur)',
 'godado','Godado.it',
 'goliat','Goliat', 
-'goodsearch','<a href="http://www.goodsearch.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">GoodSearch</a>',
-'gotuneed','<a href="http://www.gotuneed.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">got u need</a>',
-'govome','<a href="http://www.govome.com/" rel="nofollow" title="Govome [new window]" target="_blank">Govome</a>',
+'goodsearch','<a href="http://www.goodsearch.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">GoodSearch</a>',
+'gotuneed','<a href="http://www.gotuneed.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">got u need</a>',
+'govome','<a href="http://www.govome.com/" rel="nofollow noopener noreferrer" title="Govome [new window]" target="_blank">Govome</a>',
 'haku','Ihmemaa',
 'handycafe','handycafe',
 'heureka','Heureka', 
-'hogapl','<a href="http://www.hoga.pl/" title="Hoga.pl home page [new window]" rel="nofollow" target="_blank">Hoga.pl</a>',
-'holasearch','<a href="http://www.holasearch.com" rel="nofollow" title="Hola Search Home Page [new window]" target="_blank">Hola Search</a>',
+'hogapl','<a href="http://www.hoga.pl/" title="Hoga.pl home page [new window]" rel="nofollow noopener noreferrer" target="_blank">Hoga.pl</a>',
+'holasearch','<a href="http://www.holasearch.com" rel="nofollow noopener noreferrer" title="Hola Search Home Page [new window]" target="_blank">Hola Search</a>',
 'hotbot','Hotbot',
 'hp_my_aol','hp my aol',
 'hubwe','hubwe',
-'iask','<a href="http://www.iask.com/" rel="nofollow" target="_blank">Iask</a>',
-'iboats','<a href="http://forums.iboats.com/" title="forum home page [new window]" rel="nofollow" target="_blank">Iboats</a>',
-'icerocket','<a href="http://www.icerocket.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Icerocket (Blog)</a>',
-'ichiro','<a href="http://search.goo.ne.jp/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Ichiro</a>',
-'icq','<a href="http://www.icq.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">icq</a>',
+'iask','<a href="http://www.iask.com/" rel="nofollow noopener noreferrer" target="_blank">Iask</a>',
+'iboats','<a href="http://forums.iboats.com/" title="forum home page [new window]" rel="nofollow noopener noreferrer" target="_blank">Iboats</a>',
+'icerocket','<a href="http://www.icerocket.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Icerocket (Blog)</a>',
+'ichiro','<a href="http://search.goo.ne.jp/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Ichiro</a>',
+'icq','<a href="http://www.icq.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">icq</a>',
 'ilse','Ilse',
-'iminent','<a href="http://start.iminent.com/" rel="nofollow" title="Iminent Home Page [new window]" target="_blank">Iminent</a>',
+'iminent','<a href="http://start.iminent.com/" rel="nofollow noopener noreferrer" title="Iminent Home Page [new window]" target="_blank">Iminent</a>',
 'inbox','inbox',
 'incredibar','incredibar',
 'incredimail','incredimail',
 'indexhu','Index', 
-'ineffabile','<a href="http://www.ineffabile.it/" title="Ineffabile.it home page [new window]" rel="nofollow" target="_blank">Ineffabile.it</a> (Social Bookmark)',
+'ineffabile','<a href="http://www.ineffabile.it/" title="Ineffabile.it home page [new window]" rel="nofollow noopener noreferrer" target="_blank">Ineffabile.it</a> (Social Bookmark)',
 'infoseek','Infoseek',
 'infospace','InfoSpace',
-'infouk','<a href="http://info.co.uk/" title="home page [new window]" rel="nofollow" target="_blank">Info UK</a>',
-'inspsearch','<a href="http://airzip.inspsearch.com/" rel="nofollow" title="airzip.inspsearch.com [new window]" target="_blank">airzip.inspsearch.com</a>',
-'int_search_myway_com','<a href="http://int.search.myway.com/" rel="nofollow" title="MyWay search page [new window]" target="_blank">MyWay</a>',
-'interiapl','<a href="http://www.google.interia.pl/" title="Interia.pl home page [new window]" rel="nofollow" target="_blank">Interia.pl</a>',
+'infouk','<a href="http://info.co.uk/" title="home page [new window]" rel="nofollow noopener noreferrer" target="_blank">Info UK</a>',
+'inspsearch','<a href="http://airzip.inspsearch.com/" rel="nofollow noopener noreferrer" title="airzip.inspsearch.com [new window]" target="_blank">airzip.inspsearch.com</a>',
+'int_search_myway_com','<a href="http://int.search.myway.com/" rel="nofollow noopener noreferrer" title="MyWay search page [new window]" target="_blank">MyWay</a>',
+'interiapl','<a href="http://www.google.interia.pl/" title="Interia.pl home page [new window]" rel="nofollow noopener noreferrer" target="_blank">Interia.pl</a>',
 'internetto','Internetto Kereso',
-'isearch_nation_com','<a href="http://isearch.nation.com/" rel="nofollow" title="Nation Search [new window]" target="_blank">Nation Search</a>',
-'iune','<a href="http://www.i-une.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">i-une</a>',
-'ixquick','<a href="http://www.ixquick.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">ix quick</a>', 
+'isearch_nation_com','<a href="http://isearch.nation.com/" rel="nofollow noopener noreferrer" title="Nation Search [new window]" target="_blank">Nation Search</a>',
+'iune','<a href="http://www.i-une.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">i-une</a>',
+'ixquick','<a href="http://www.ixquick.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">ix quick</a>', 
 'izito_catchall','izito ( catchall )', 
-'izito_de','<a href="http://www.izito.de/" rel="nofollow" title="iZito Deutschland [new window]" target="_blank">izito .de</a>', 
-'izito_uk','<a href="http://www.izito.co.uk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">izito .uk</a>', 
+'izito_de','<a href="http://www.izito.de/" rel="nofollow noopener noreferrer" title="iZito Deutschland [new window]" target="_blank">izito .de</a>', 
+'izito_uk','<a href="http://www.izito.co.uk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">izito .uk</a>', 
 'jubii','Jubii', 
 'jumpyit','Jumpy.it',
-'juno','<a href="http://search.juno.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">juno</a>', 
+'juno','<a href="http://search.juno.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">juno</a>', 
 'jyxo','Jyxo.cz', 
-'kartoo','<a href="http://www.kartoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Kartoo</a>',
-'katalogonetpl','<a href="http://katalog.onet.pl/" title="Katalog.Onet.pl home page [new window]" rel="nofollow" target="_blank">Katalog.Onet.pl</a>',
-'kataweb','<a href="http://www.kataweb.it/ricerca/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Kataweb</a>',
-'keresolap_hu','<a href="http://keresolap.hu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Tango keresolap</a>',
+'kartoo','<a href="http://www.kartoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Kartoo</a>',
+'katalogonetpl','<a href="http://katalog.onet.pl/" title="Katalog.Onet.pl home page [new window]" rel="nofollow noopener noreferrer" target="_blank">Katalog.Onet.pl</a>',
+'kataweb','<a href="http://www.kataweb.it/ricerca/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Kataweb</a>',
+'keresolap_hu','<a href="http://keresolap.hu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Tango keresolap</a>',
 'kvasir','kvasir',
 'kvitters','kvitters',
 'lapkereso_hu','Startlapkereso', 
 'lbb','LBB', 
-'ledix','<a href="http://www.ledix.net/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Ledix</a>',
-'libero','<a href="http://www.libero.it/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Libero IT</a>',
+'ledix','<a href="http://www.ledix.net/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Ledix</a>',
+'libero','<a href="http://www.libero.it/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Libero IT</a>',
 'libertysurf', 'Libertysurf', 
-'live','<a href="http://www.live.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Microsoft Windows Live</a>',
-'localmoxie','<a href="http://www.localmoxie.com/" rel="nofollow" title="Local Moxie [new window]" target="_blank">Local Moxie</a>',
+'live','<a href="http://www.live.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Microsoft Windows Live</a>',
+'localmoxie','<a href="http://www.localmoxie.com/" rel="nofollow noopener noreferrer" title="Local Moxie [new window]" target="_blank">Local Moxie</a>',
 'looksmart_catchall','looksmart ( catchall )',
 'looksmart_co_uk','looksmart .co.uk',
-'lycos','<a href="http://www.lycos.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Lycos</a>',
+'lycos','<a href="http://www.lycos.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Lycos</a>',
 'mamma','Mamma',
 'meinestadt','meinestadt.de', 
 'metabot', 'MetaBot',
 'metacrawler','metacrawler',
 'metacrawler_de','metacrawler.de',
-'metager','<a href="http://www.metager.de" rel="nofollow" title="MetaGer Home Page [new window]" target="_blank">MetaGer</a>',
+'metager','<a href="http://www.metager.de" rel="nofollow noopener noreferrer" title="MetaGer Home Page [new window]" target="_blank">MetaGer</a>',
 'metahannover','uni-hannover.de',
 'metasearch','metasearch',
 'metaspinner','metaspinner',
-'metasuche_ch','<a href="http://www.metasuche.ch/" rel="nofollow" title="Metasuche search page [new window]" target="_blank">Metasuche.ch</a>',
+'metasuche_ch','<a href="http://www.metasuche.ch/" rel="nofollow noopener noreferrer" title="Metasuche search page [new window]" target="_blank">Metasuche.ch</a>',
 'metaua','meta.ua',
 'miner','Meta Miner',
-'mirago','<a href="http://www.mirago.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Mirago (country unknown)</a>',
-'miragobe','<a href="http://www.mirago.be/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Mirago Belgium</a>',
-'miragoch','<a href="http://www.mirago.ch/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Mirago Switzerland</a>',
-'miragocouk','<a href="http://zone.mirago.co.uk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Mirago UK</a>',
-'miragode','<a href="http://www.mirago.de/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Mirago Germany</a>',
-'miragodk','<a href="http://www.mirago.dk/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Mirago Denmark</a>',
-'miragoes','<a href="http://es.mirago.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Mirago Spain</a>',
-'miragofr','<a href="http://www.mirago.fr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Mirago France</a>',
-'miragoit','<a href="http://www.mirago.it/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Mirago Italy</a>',
-'miragonl','<a href="http://www.mirago.nl/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Mirago Netherlands</a>',
-'miragono','<a href="http://no.mirago.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Mirago Norway</a>',
-'miragose','<a href="http://www.mirago.se/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Mirago Sweden</a>',
+'mirago','<a href="http://www.mirago.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Mirago (country unknown)</a>',
+'miragobe','<a href="http://www.mirago.be/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Mirago Belgium</a>',
+'miragoch','<a href="http://www.mirago.ch/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Mirago Switzerland</a>',
+'miragocouk','<a href="http://zone.mirago.co.uk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Mirago UK</a>',
+'miragode','<a href="http://www.mirago.de/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Mirago Germany</a>',
+'miragodk','<a href="http://www.mirago.dk/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Mirago Denmark</a>',
+'miragoes','<a href="http://es.mirago.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Mirago Spain</a>',
+'miragofr','<a href="http://www.mirago.fr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Mirago France</a>',
+'miragoit','<a href="http://www.mirago.it/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Mirago Italy</a>',
+'miragonl','<a href="http://www.mirago.nl/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Mirago Netherlands</a>',
+'miragono','<a href="http://no.mirago.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Mirago Norway</a>',
+'miragose','<a href="http://www.mirago.se/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Mirago Sweden</a>',
 'mitrasites','mitrasites',
-'mozbot','<a href="http://www.mozbot.fr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Mozbot</a>',
-'msn','<a href="http://search.msn.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Microsoft MSN Search</a>',
-'mys_yoursearch_me','<a href="http://mys.yoursearch.me/" rel="nofollow" title="Yoursearch.me search page [new window]" target="_blank">Yoursearch.me</a>',
-'mysearch','<a href="http://www.mysearch.com" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">My Search</a>',
-'mysearchdial','<a href="http://start.mysearchdial.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">mysearchdial</a>',
-'mysearchresults','<a href="http://www.mysearchresults.com" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">mysearchresults</a>',
-'myway','<a href="http://search.myway.com" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">myway</a>',
-'mywebsearch','<a href="http://search.mywebsearch.com/" title="MyWebSearch home page [new window]" rel="nofollow" target="_blank">MyWebSearch</a>',
+'mozbot','<a href="http://www.mozbot.fr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Mozbot</a>',
+'msn','<a href="http://search.msn.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Microsoft MSN Search</a>',
+'mys_yoursearch_me','<a href="http://mys.yoursearch.me/" rel="nofollow noopener noreferrer" title="Yoursearch.me search page [new window]" target="_blank">Yoursearch.me</a>',
+'mysearch','<a href="http://www.mysearch.com" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">My Search</a>',
+'mysearchdial','<a href="http://start.mysearchdial.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">mysearchdial</a>',
+'mysearchresults','<a href="http://www.mysearchresults.com" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">mysearchresults</a>',
+'myway','<a href="http://search.myway.com" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">myway</a>',
+'mywebsearch','<a href="http://search.mywebsearch.com/" title="MyWebSearch home page [new window]" rel="nofollow noopener noreferrer" target="_blank">MyWebSearch</a>',
 'najdi','Najdi.to',
 'nation','nation', 
-'navigationshilfe_t_online','<a href="http://navigationshilfe.t-online.de/" title="MyWebSearch home page [new window]" rel="nofollow" target="_blank">T-Online Navigationshilfe</a>',
+'navigationshilfe_t_online','<a href="http://navigationshilfe.t-online.de/" title="MyWebSearch home page [new window]" rel="nofollow noopener noreferrer" target="_blank">T-Online Navigationshilfe</a>',
 'nbci','NBCI',
-'netease', '<a href="http://www.163.com/" rel="nofollow" target="_blank">NetEase</a>',
-'netluchs','<a href="http://www.netluchs.de/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Netluchs</a>',
-'netscape','<a href="http://www.netscape.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Netscape</a>',
-'netsprintpl','<a href="http://www.netsprint.pl/" title="NetSprint.pl home page [new window]" rel="nofollow" target="_blank">NetSprint.pl</a>',
+'netease', '<a href="http://www.163.com/" rel="nofollow noopener noreferrer" target="_blank">NetEase</a>',
+'netluchs','<a href="http://www.netluchs.de/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Netluchs</a>',
+'netscape','<a href="http://www.netscape.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Netscape</a>',
+'netsprintpl','<a href="http://www.netsprint.pl/" title="NetSprint.pl home page [new window]" rel="nofollow noopener noreferrer" target="_blank">NetSprint.pl</a>',
 'netstjernen','Netstjernen',
-'netzero','<a href="http://search.netzero.net/" title="home page [new window]" rel="nofollow" target="_blank">netzero</a>',
+'netzero','<a href="http://search.netzero.net/" title="home page [new window]" rel="nofollow noopener noreferrer" target="_blank">netzero</a>',
 'northernlight','NorthernLight',
-'nortonsavesearch','<a href="http://int.search-results.com/" rel="nofollow" title="Norton Safe Search Home Page [new window]" target="_blank">Norton Safe Search</a>',
-'nusearch','<a href="http://www.nusearch.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Nusearch</a>',
-'o2pl','<a href="http://szukaj2.o2.pl/" title="o2.pl home page [new window]" rel="nofollow" target="_blank">o2.pl</a>',
+'nortonsavesearch','<a href="http://int.search-results.com/" rel="nofollow noopener noreferrer" title="Norton Safe Search Home Page [new window]" target="_blank">Norton Safe Search</a>',
+'nusearch','<a href="http://www.nusearch.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Nusearch</a>',
+'o2pl','<a href="http://szukaj2.o2.pl/" title="o2.pl home page [new window]" rel="nofollow noopener noreferrer" target="_blank">o2.pl</a>',
 'ofir','Ofir',
-'oneseek_de','<a href="http://www.oneseek.de" rel="nofollow" title="Metasuchmaschine OneSeek.de [new window]" target="_blank">Metasuchmaschine OneSeek.de</a>',
-'onetpl','<a href="http://szukaj.onet.pl/" title="Onet.pl home page [new window]" rel="nofollow" target="_blank">Onet.pl</a>',
+'oneseek_de','<a href="http://www.oneseek.de" rel="nofollow noopener noreferrer" title="Metasuchmaschine OneSeek.de [new window]" target="_blank">Metasuchmaschine OneSeek.de</a>',
+'onetpl','<a href="http://szukaj.onet.pl/" title="Onet.pl home page [new window]" rel="nofollow noopener noreferrer" target="_blank">Onet.pl</a>',
 'opasia','Opasia', 
 'orange','orange',
 'orangeworld','orangeworld',
@@ -5293,216 +5293,216 @@
 'overture','Overture',
 'passagen','Evreka',
 'pch','pch',
-'peoplecheck_de','<a href="http://peoplecheck.de/" rel="nofollow" title="PeopleCheck.de [new window]" target="_blank">PeopleCheck.de</a>',
-'picsearch','<a href="http://www.picsearch.de/" rel="nofollow" title="picsearch [new window]" target="_blank">picsearch</a>',
+'peoplecheck_de','<a href="http://peoplecheck.de/" rel="nofollow noopener noreferrer" title="PeopleCheck.de [new window]" target="_blank">PeopleCheck.de</a>',
+'picsearch','<a href="http://www.picsearch.de/" rel="nofollow noopener noreferrer" title="picsearch [new window]" target="_blank">picsearch</a>',
 'pictures','pictures',
-'plusnetwork','<a href="http://www.searchplusnetwork.com/" title="Search Plus Network" rel="nofollow" target="_blank">Search Plus Network</a>',
-'pogodak','<a href="http://www.pogodak.com" title="Pogodak search engine home page [new window]" rel="nofollow" target="_blank">Pogodak.com</a>',
-'polskapl','<a href="http://szukaj.polska.pl/" title="Polska home page [new window]" rel="nofollow" target="_blank">Polska</a>',
-'polymeta_hu','<a href="http://www.polymeta.hu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Polymeta</a>',
-'preciobarato_xyz','<a href="http://preciobarato.xyz/" rel="nofollow" title="preciobarato.xyz offline on Oct 2 2015 [new window]" target="_blank">preciobarato xyz</a>',
-'questionanswering','<a href="http://www.questionanswering.com/" title="Questionanswering home page [new window]" rel="nofollow" target="_blank">Questionanswering</a>',
+'plusnetwork','<a href="http://www.searchplusnetwork.com/" title="Search Plus Network" rel="nofollow noopener noreferrer" target="_blank">Search Plus Network</a>',
+'pogodak','<a href="http://www.pogodak.com" title="Pogodak search engine home page [new window]" rel="nofollow noopener noreferrer" target="_blank">Pogodak.com</a>',
+'polskapl','<a href="http://szukaj.polska.pl/" title="Polska home page [new window]" rel="nofollow noopener noreferrer" target="_blank">Polska</a>',
+'polymeta_hu','<a href="http://www.polymeta.hu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Polymeta</a>',
+'preciobarato_xyz','<a href="http://preciobarato.xyz/" rel="nofollow noopener noreferrer" title="preciobarato.xyz offline on Oct 2 2015 [new window]" target="_blank">preciobarato xyz</a>',
+'questionanswering','<a href="http://www.questionanswering.com/" title="Questionanswering home page [new window]" rel="nofollow noopener noreferrer" target="_blank">Questionanswering</a>',
 'quick','Quick.cz', 
-'qwant_com','<a href="https://www.qwant.com/" rel="nofollow" title="qwant.com [new window]" target="_blank">qwant.com</a>',
-'rakuten','<a href="http://websearch.rakuten.co.jp" rel="nofollow" title="websearch.rakuten.co.jp [new window]" target="_blank">websearch.rakuten.co.jp</a>',
+'qwant_com','<a href="https://www.qwant.com/" rel="nofollow noopener noreferrer" title="qwant.com [new window]" target="_blank">qwant.com</a>',
+'rakuten','<a href="http://websearch.rakuten.co.jp" rel="nofollow noopener noreferrer" title="websearch.rakuten.co.jp [new window]" target="_blank">websearch.rakuten.co.jp</a>',
 'rambler','Rambler',
 'redbox','RedBox.cz',
 'rr','rr',
 
-'safehomepage_com','<a href="http://searches.safehomepage.com/" rel="nofollow" title="safehomepage.com [new window]" target="_blank">safehomepage.com</a>',
-'sagool','<a href="http://sagool.jp/" title="Sagool home page [new window]" rel="nofollow" target="_blank">Sagool</a>',
-'sapo','<a href="http://www.sapo.pt/" title="Sapo search engine home page [new window]" rel="nofollow" target="_blank">Sapo</a>',
-'schoenerbrausen','<a href="http://www.schoenerbrausen.de/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Schoenerbrausen/</a>',
-'scroogle','<a href="http://www.scroogle.org/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Scroogle</a>',
-'search.com','<a href="http://www.search.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Search.com</a>',
-'search_1und1_de','<a href="http://search.1und1.de/" rel="nofollow" title="1&amp;1 Suche [new window]" target="_blank">1&1 Suche (subdomain "search")</a>',
-'search_foxtab_com','<a href="http://search.foxtab.com/" rel="nofollow" title="Foxtab Search [new window]" target="_blank">Foxtab Search</a>',
-'search_socialdownloadr_com','<a href="http://search.socialdownloadr.com/" rel="nofollow" title="Socialdownloadr search page [new window]" target="_blank">Socialdownloadr</a>',
-'search_zonealarm_com','<a href="http://search.zonealarm.com/" rel="nofollow" title="Zone Alarm Search [new window]" target="_blank">Zone Alarm Search</a>',
+'safehomepage_com','<a href="http://searches.safehomepage.com/" rel="nofollow noopener noreferrer" title="safehomepage.com [new window]" target="_blank">safehomepage.com</a>',
+'sagool','<a href="http://sagool.jp/" title="Sagool home page [new window]" rel="nofollow noopener noreferrer" target="_blank">Sagool</a>',
+'sapo','<a href="http://www.sapo.pt/" title="Sapo search engine home page [new window]" rel="nofollow noopener noreferrer" target="_blank">Sapo</a>',
+'schoenerbrausen','<a href="http://www.schoenerbrausen.de/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Schoenerbrausen/</a>',
+'scroogle','<a href="http://www.scroogle.org/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Scroogle</a>',
+'search.com','<a href="http://www.search.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Search.com</a>',
+'search_1und1_de','<a href="http://search.1und1.de/" rel="nofollow noopener noreferrer" title="1&amp;1 Suche [new window]" target="_blank">1&1 Suche (subdomain "search")</a>',
+'search_foxtab_com','<a href="http://search.foxtab.com/" rel="nofollow noopener noreferrer" title="Foxtab Search [new window]" target="_blank">Foxtab Search</a>',
+'search_socialdownloadr_com','<a href="http://search.socialdownloadr.com/" rel="nofollow noopener noreferrer" title="Socialdownloadr search page [new window]" target="_blank">Socialdownloadr</a>',
+'search_zonealarm_com','<a href="http://search.zonealarm.com/" rel="nofollow noopener noreferrer" title="Zone Alarm Search [new window]" target="_blank">Zone Alarm Search</a>',
 'searchalgo','searchalgo',
-'searchalot','<a href="http://www.searchalot.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Searchalot</a>',
+'searchalot','<a href="http://www.searchalot.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Searchalot</a>',
 'searchch','search ch',
 'searchcompletion','searchcompletion',
-'searches_qone8_com','<a href="http://searches.qone8.com/" rel="nofollow" title="Omiga-Plus [new window]" target="_blank">Omiga-Plus</a>',
-'searchesnavigator','<a href="http://searchesnavigator.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">searchesnavigator</a>',
-'searchfunmoods','<a href="http://sr.searchfunmoods.com/" rel="nofollow" title="Funmoods [new window]" target="_blank">Funmoods</a>',
-'searchgol','<a href="http://www.searchgol.com/" rel="nofollow" title="Search-Gol [new window]" target="_blank">Search-Gol</a>',
-'searchlistingsite','<a href="http://searchlistingsite.com/" title="home page" rel="nofollow" target="_blank">SearchLlistingSite</a>',
+'searches_qone8_com','<a href="http://searches.qone8.com/" rel="nofollow noopener noreferrer" title="Omiga-Plus [new window]" target="_blank">Omiga-Plus</a>',
+'searchesnavigator','<a href="http://searchesnavigator.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">searchesnavigator</a>',
+'searchfunmoods','<a href="http://sr.searchfunmoods.com/" rel="nofollow noopener noreferrer" title="Funmoods [new window]" target="_blank">Funmoods</a>',
+'searchgol','<a href="http://www.searchgol.com/" rel="nofollow noopener noreferrer" title="Search-Gol [new window]" target="_blank">Search-Gol</a>',
+'searchlistingsite','<a href="http://searchlistingsite.com/" title="home page" rel="nofollow noopener noreferrer" target="_blank">SearchLlistingSite</a>',
 'searchmobileonline','searchmobileonline',
-'searchresults','<a href="http://www1.search-results.com/" rel="nofollow" title="Search-results Home Page [new window]" target="_blank">Search-results</a>',
-'search-results_mobi','<a href="http://search-results.mobi/" rel="nofollow" title="search-results.mobi [new window]" target="_blank">search-results.mobi</a>',
-'searchresultscom','<a href="http://www.search-results.com/" title="search-results" rel="nofollow" target="_blank">search-results.com ( all sites )</a>',
-'searchresultsmobi','<a href="http://www.search-results.mobi/" title="search-results" rel="nofollow" target="_blank">search-results.mobi</a>',
+'searchresults','<a href="http://www1.search-results.com/" rel="nofollow noopener noreferrer" title="Search-results Home Page [new window]" target="_blank">Search-results</a>',
+'search-results_mobi','<a href="http://search-results.mobi/" rel="nofollow noopener noreferrer" title="search-results.mobi [new window]" target="_blank">search-results.mobi</a>',
+'searchresultscom','<a href="http://www.search-results.com/" title="search-results" rel="nofollow noopener noreferrer" target="_blank">search-results.com ( all sites )</a>',
+'searchresultsmobi','<a href="http://www.search-results.mobi/" title="search-results" rel="nofollow noopener noreferrer" target="_blank">search-results.mobi</a>',
 'searchsafer','searchsafer',
 'searchy','searchy.co.uk',
-'searchya','<a href="http://www.searchya.com/" rel="nofollow" title="Searchya [new window]" target="_blank">Searchya</a>',
-'segnalo','<a href="http://segnalo.alice.it/" title="Segnalo home page [new window]" rel="nofollow" target="_blank">Segnalo</a> (Social Bookmark)',
+'searchya','<a href="http://www.searchya.com/" rel="nofollow noopener noreferrer" title="Searchya [new window]" target="_blank">Searchya</a>',
+'segnalo','<a href="http://segnalo.alice.it/" title="Segnalo home page [new window]" rel="nofollow noopener noreferrer" target="_blank">Segnalo</a> (Social Bookmark)',
 'semalt','semalt',
-'sensis','<a href="http://www.sensis.com.au/" title="Segnalo home page [new window]" rel="nofollow" target="_blank">Sensis AU</a>',
+'sensis','<a href="http://www.sensis.com.au/" title="Segnalo home page [new window]" rel="nofollow noopener noreferrer" target="_blank">Sensis AU</a>',
 'seznam','Seznam', 
-'shawca','<a href="http://start.shaw.ca/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Shaw.ca</a>',
+'shawca','<a href="http://start.shaw.ca/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Shaw.ca</a>',
 'shinyseek\.it','Shinyseek.it',
-'shoppstop','<a href="http://www.shoppstop.com/" rel="nofollow" title="ShoppStop [new window]" target="_blank">ShoppStop</a>',
-'sify','<a href="http://search.sify.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Sify</a>',
+'shoppstop','<a href="http://www.shoppstop.com/" rel="nofollow noopener noreferrer" title="ShoppStop [new window]" target="_blank">ShoppStop</a>',
+'sify','<a href="http://search.sify.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Sify</a>',
 'sky','sky',
-'smartsuggestor','<a href="http://search.smartsuggestor.com/" title="home page" rel="nofollow" target="_blank">smartsuggestor</a>',
-'smde','<a href="http://www.sm.de/" rel="nofollow" title="SM.de - Die SuchMaschine [new window]" target="_blank">SM.de - Die SuchMaschine</a>',
+'smartsuggestor','<a href="http://search.smartsuggestor.com/" title="home page" rel="nofollow noopener noreferrer" target="_blank">smartsuggestor</a>',
+'smde','<a href="http://www.sm.de/" rel="nofollow noopener noreferrer" title="SM.de - Die SuchMaschine [new window]" target="_blank">SM.de - Die SuchMaschine</a>',
 'snapdo','snapdo',
 'softonic','softonic',
-'sogou','<a href="http://www.sogou.com/" rel="nofollow" target="_blank">SoGou</a>',
+'sogou','<a href="http://www.sogou.com/" rel="nofollow noopener noreferrer" target="_blank">SoGou</a>',
 'sol','SOL', 
-'soso','<a href="http://www.soso.com/" rel="nofollow" target="_blank">SoSo</a>',
-'speedbit','<a href="http://go.speedbit.com/" rel="nofollow" title="Speedbit [new window]" target="_blank">Speedbit</a>',
-'sphere','<a href="http://www.sphere.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Sphere (Blog)</a>',
+'soso','<a href="http://www.soso.com/" rel="nofollow noopener noreferrer" target="_blank">SoSo</a>',
+'speedbit','<a href="http://go.speedbit.com/" rel="nofollow noopener noreferrer" title="Speedbit [new window]" target="_blank">Speedbit</a>',
+'sphere','<a href="http://www.sphere.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Sphere (Blog)</a>',
 'splut','Splut', 
 'spotjockey','Spotjockey', 
 'spray','Spray',
 'start','start.no',
-'startlap_hu','<a href="http://kereso.startlap.hu/" rel="nofollow" title="Search Engine Home Page [new window]" target="_blank">Startlab Kereso</a>',
+'startlap_hu','<a href="http://kereso.startlap.hu/" rel="nofollow noopener noreferrer" title="Search Engine Home Page [new window]" target="_blank">Startlab Kereso</a>',
 'startpage','startpage.com',
 'startsiden','startsiden',
-'startxxl','<a href="http://www.startxxl.com/" rel="nofollow" title="StartXXL Home Page [new window]" target="_blank">StartXXL</a>',
-'steadysearch','<a href="http://www.avantfind.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Avantfind</a>',
-'stumbleupon','<a href="http://www.stumbleupon.com/" title="Stumbleupon home page [new window]" rel="nofollow" target="_blank">Stumbleupon</a> (Social Bookmark)',
-'sucheaolde','<a href="http://sucheaol.aol.de/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">SucheAOL .de</a>',
-'sumaja','<a href="http://www.sumaja.de/" rel="nofollow" title="Sumaja [new window]" target="_blank">Sumaja</a>',
-'supereva','<a href="http://search.supereva.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Supereva</a>',
-'surfcanyon_com','<a href="http://search.surfcanyon.com/" rel="nofollow" title="SurfCanyon [new window]" target="_blank">SurfCanyon</a>',
+'startxxl','<a href="http://www.startxxl.com/" rel="nofollow noopener noreferrer" title="StartXXL Home Page [new window]" target="_blank">StartXXL</a>',
+'steadysearch','<a href="http://www.avantfind.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Avantfind</a>',
+'stumbleupon','<a href="http://www.stumbleupon.com/" title="Stumbleupon home page [new window]" rel="nofollow noopener noreferrer" target="_blank">Stumbleupon</a> (Social Bookmark)',
+'sucheaolde','<a href="http://sucheaol.aol.de/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">SucheAOL .de</a>',
+'sumaja','<a href="http://www.sumaja.de/" rel="nofollow noopener noreferrer" title="Sumaja [new window]" target="_blank">Sumaja</a>',
+'supereva','<a href="http://search.supereva.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Supereva</a>',
+'surfcanyon_com','<a href="http://search.surfcanyon.com/" rel="nofollow noopener noreferrer" title="SurfCanyon [new window]" target="_blank">SurfCanyon</a>',
 'sweetim','sweetim',
-'sweetpacks','<a href="http://www.sweetpacks-search.com/" rel="nofollow" title="Sweetpacks [new window]" target="_blank">Sweetpacks</a>',
-'swik','<a href="http://swik.net/" title="Swik home page [new window]" rel="nofollow" target="_blank">Swik</a> (Social Bookmark)',
-'swisscows_ch','<a href="https://swisscows.ch/" rel="nofollow" title="Swisscows search page [new window]" target="_blank">Swisscows</a>',
-'sympatico','<a href="http://sympatico.msn.ca/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Sympatico</a>',
-'szukaczpl','<a href="http://www.szukacz.pl/" title="Szukacz home page [new window]" rel="nofollow" target="_blank">Szukacz</a>',
+'sweetpacks','<a href="http://www.sweetpacks-search.com/" rel="nofollow noopener noreferrer" title="Sweetpacks [new window]" target="_blank">Sweetpacks</a>',
+'swik','<a href="http://swik.net/" title="Swik home page [new window]" rel="nofollow noopener noreferrer" target="_blank">Swik</a> (Social Bookmark)',
+'swisscows_ch','<a href="https://swisscows.ch/" rel="nofollow noopener noreferrer" title="Swisscows search page [new window]" target="_blank">Swisscows</a>',
+'sympatico','<a href="http://sympatico.msn.ca/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Sympatico</a>',
+'szukaczpl','<a href="http://www.szukacz.pl/" title="Szukacz home page [new window]" rel="nofollow noopener noreferrer" target="_blank">Szukacz</a>',
 't_online_catchall','T-Online ( catchall )',
-'t_online_de','<a href="http://suche.t-online.de" title="Szukacz home page [new window]" rel="nofollow" target="_blank">T-Online .de</a>',
+'t_online_de','<a href="http://suche.t-online.de" title="Szukacz home page [new window]" rel="nofollow noopener noreferrer" target="_blank">T-Online .de</a>',
 'talktalk_uk','talktalk uk',
-'tango_hu','<a href="http://tango.hu/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Tango</a>',
+'tango_hu','<a href="http://tango.hu/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Tango</a>',
 'tbask','tb.ask ?',
-'teecnoit','<a href="http://www.teecno.it/" title="Teecno home page [new window]" rel="nofollow" target="_blank">Teecno</a>',
-'teoma','<a href="http://search.ask.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Teoma</a>',
-'terra','<a href="http://www.terra.es/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Terra</a>',
+'teecnoit','<a href="http://www.teecno.it/" title="Teecno home page [new window]" rel="nofollow noopener noreferrer" target="_blank">Teecno</a>',
+'teoma','<a href="http://search.ask.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Teoma</a>',
+'terra','<a href="http://www.terra.es/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Terra</a>',
 'tesco','tesco',
-'theallsearches','<a href="http://theallsearches.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">theallsearches</a>',
+'theallsearches','<a href="http://theallsearches.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">theallsearches</a>',
 'three','three',
-'tiscali','<a href="http://search.tiscali.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Tiscali</a>',
-'tixuma_de','<a href="http://www.tixuma.de/" rel="nofollow" title="Tixuma Deutschland [new window]" target="_blank">Tixuma Deutschland</a>',
+'tiscali','<a href="http://search.tiscali.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Tiscali</a>',
+'tixuma_de','<a href="http://www.tixuma.de/" rel="nofollow noopener noreferrer" title="Tixuma Deutschland [new window]" target="_blank">Tixuma Deutschland</a>',
 'toile','Toile du Quebec',
 'toshiba','toshiba',
 'turtle','Turtle',
 'tyfon','Tyfon', 
-'uk_foxstart_com','<a href="http://uk.foxstart.com/" rel="nofollow" title="Foxstart search page [new window]" target="_blank">Foxstart.com</a>',
+'uk_foxstart_com','<a href="http://uk.foxstart.com/" rel="nofollow noopener noreferrer" title="Foxstart search page [new window]" target="_blank">Foxstart.com</a>',
 'ukdirectory','UK Directory', 
 'ukindex','UKIndex', 
 'ukplus','UK Plus', 
-'umfis','<a href="http://www.umfis.de/" rel="nofollow" title="UMFIS-Online Das Umweltfirmen-Informationssystem der IHKs in Deutschland [new window]" target="_blank">UMFIS-Online Das Umweltfirmen-Informationssystem der IHKs in Deutschland</a>',
-'umuwa_de','<a href="http://umuwa.de/" rel="nofollow" title="Umuwa Deutschland [new window]" target="_blank">Umuwa Deutschland</a>',
+'umfis','<a href="http://www.umfis.de/" rel="nofollow noopener noreferrer" title="UMFIS-Online Das Umweltfirmen-Informationssystem der IHKs in Deutschland [new window]" target="_blank">UMFIS-Online Das Umweltfirmen-Informationssystem der IHKs in Deutschland</a>',
+'umuwa_de','<a href="http://umuwa.de/" rel="nofollow noopener noreferrer" title="Umuwa Deutschland [new window]" target="_blank">Umuwa Deutschland</a>',
 'vindex','Vindex',
-'virgilio','<a href="http://www.virgilio.it/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Virgilio</a>',
-'virginmedia','<a href="http://search.virginmedia.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Virgin Media</a>',
-'vi-view_com','<a href="http://searches.vi-view.com/" rel="nofollow" title="vi-view.com [new window]" target="_blank">vi-view.com</a>',
-'vivisimo','<a href="http://www.vivisimo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Vivisimo</a>',
+'virgilio','<a href="http://www.virgilio.it/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Virgilio</a>',
+'virginmedia','<a href="http://search.virginmedia.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Virgin Media</a>',
+'vi-view_com','<a href="http://searches.vi-view.com/" rel="nofollow noopener noreferrer" title="vi-view.com [new window]" target="_blank">vi-view.com</a>',
+'vivisimo','<a href="http://www.vivisimo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Vivisimo</a>',
 'vlips_de','vlips .de',
-'vnet','<a href="http://114.vnet.cn/" rel="nofollow" target="_blank">VNet</a>',
-'voila','<a href="http://www.voila.fr/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Voila</a>',
+'vnet','<a href="http://114.vnet.cn/" rel="nofollow noopener noreferrer" target="_blank">VNet</a>',
+'voila','<a href="http://www.voila.fr/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Voila</a>',
 'wahoo','Wahoo', 
-'webalta','<a href="http://www.webalta.ru/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">webalta.ru</a>',
-'webcrawler','<a href="http://www.webcrawler.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">WebCrawler</a>',
+'webalta','<a href="http://www.webalta.ru/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">webalta.ru</a>',
+'webcrawler','<a href="http://www.webcrawler.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">WebCrawler</a>',
 'webde','Web.de',
 'webmania','webmania.hu', 
 'whorush_com','whorush com',
-'windowssearch_com','<a href="http://www.windowssearch.com/search?q=AWStats" rel="nofollow" title="Example page [new window]" target="_blank">windowssearch.com</a>',
+'windowssearch_com','<a href="http://www.windowssearch.com/search?q=AWStats" rel="nofollow noopener noreferrer" title="Example page [new window]" target="_blank">windowssearch.com</a>',
 'wisenut','WISENut', 
-'wow_utop_it','<a href="http://wow.utop.it/" rel="nofollow" title="wow.utop.it [new window]" target="_blank">wow.utop.it</a>',
-'wowpl','<a href="http://szukaj.wow.pl/" title="Wow.pl home page [new window]" rel="nofollow" target="_blank">Wow.pl</a>',
-'wowsearch','<a href="http://de.wow.com/" rel="nofollow" title="Wow Search Home Page [new window]" target="_blank">Wow Search</a>',
-'wowuk','<a href="http://uk.wow.com/" title="uk.Wow home page [new window]" rel="nofollow" target="_blank">uk.wow.com</a>',
-'wp','<a href="http://szukaj.wp.pl/" title="Wirtualna Polska home page [new window]" rel="nofollow" target="_blank">Wirtualna Polska</a>',
-'www_buenosearch_com','<a href="http://www.buenosearch.com/" rel="nofollow" title="BuenoSearch [new window]" target="_blank">BuenoSearch</a>',
-'www_dregol_com','<a href="http://www.dregol.com/" rel="nofollow" title="Dregol Search [new window]" target="_blank">Dregol Search</a>',
-'www_wow_com','<a href="http://www.wow.com/" rel="nofollow" title="www.wow.com [new window]" target="_blank">WOW.com</a>',
-'wwweasel','<a href="http://wwweasel.de/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">WWWeasel</a>',
+'wow_utop_it','<a href="http://wow.utop.it/" rel="nofollow noopener noreferrer" title="wow.utop.it [new window]" target="_blank">wow.utop.it</a>',
+'wowpl','<a href="http://szukaj.wow.pl/" title="Wow.pl home page [new window]" rel="nofollow noopener noreferrer" target="_blank">Wow.pl</a>',
+'wowsearch','<a href="http://de.wow.com/" rel="nofollow noopener noreferrer" title="Wow Search Home Page [new window]" target="_blank">Wow Search</a>',
+'wowuk','<a href="http://uk.wow.com/" title="uk.Wow home page [new window]" rel="nofollow noopener noreferrer" target="_blank">uk.wow.com</a>',
+'wp','<a href="http://szukaj.wp.pl/" title="Wirtualna Polska home page [new window]" rel="nofollow noopener noreferrer" target="_blank">Wirtualna Polska</a>',
+'www_buenosearch_com','<a href="http://www.buenosearch.com/" rel="nofollow noopener noreferrer" title="BuenoSearch [new window]" target="_blank">BuenoSearch</a>',
+'www_dregol_com','<a href="http://www.dregol.com/" rel="nofollow noopener noreferrer" title="Dregol Search [new window]" target="_blank">Dregol Search</a>',
+'www_wow_com','<a href="http://www.wow.com/" rel="nofollow noopener noreferrer" title="www.wow.com [new window]" target="_blank">WOW.com</a>',
+'wwweasel','<a href="http://wwweasel.de/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">WWWeasel</a>',
 
-'ar_images_search_yahoo_com','<a href="http://ar.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : ar.images.search.yahoo.com</a>',
-'ar_search_yahoo_com','<a href="http://ar.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : ar.search.yahoo.com</a>',
-'at_images_search_yahoo_com','<a href="http://at.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : at.images.search.yahoo.com</a>',
-'at_search_yahoo_com','<a href="http://at.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : at.search.yahoo.com</a>',
-'au_images_search_yahoo_com','<a href="http://au.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : au.images.search.yahoo.com</a>',
-'au_search_yahoo_com','<a href="http://au.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : au.search.yahoo.com</a>',
-'br_images_search_yahoo_com','<a href="http://br.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : br.images.search.yahoo.com</a>',
-'br_search_yahoo_com','<a href="http://br.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : br.search.yahoo.com</a>',
-'ca_images_search_yahoo_com','<a href="http://ca.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : ca.images.search.yahoo.com</a>',
-'ca_search_yahoo_com','<a href="http://ca.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : ca.search.yahoo.com</a>',
-'ca_yhs4_search_yahoo_com','<a href="http://ca.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : ca.yhs4.search.yahoo.com</a>',
-'ch_images_search_yahoo_com','<a href="http://ch.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : ch.images.search.yahoo.com</a>',
-'ch_yhs4_search_yahoo_com','<a href="http://ch.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : ch.yhs4.search.yahoo.com</a>',
-'de_search_yahoo_com','<a href="http://de.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : de.search.yahoo.com</a>',
-'de_yhs4_search_yahoo_com','<a href="http://de.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : de.yhs4.search.yahoo.com</a>',
-'es_images_search_yahoo_com','<a href="http://es.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : es.images.search.yahoo.com</a>',
-'es_search_yahoo_com','<a href="http://es.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : es.search.yahoo.com</a>',
-'es_yhs4_search_yahoo_com','<a href="http://es.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : es.yhs4.search.yahoo.com</a>',
-'espanol_images_search_yahoo_com','<a href="http://espanol.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : espanol.images.search.yahoo.com</a>',
-'espanol_search_yahoo_com','<a href="http://espanol.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : espanol.search.yahoo.com</a>',
-'fr_images_search_yahoo_com','<a href="http://fr.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : fr.images.search.yahoo.com</a>',
-'fr_search_yahoo_com','<a href="http://fr.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : fr.search.yahoo.com</a>',
-'fr_yhs4_search_yahoo_com','<a href="http://fr.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : fr.yhs4.search.yahoo.com</a>',
-'gr_search_yahoo_com','<a href="http://gr.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : gr.search.yahoo.com</a>',
-'gr_yhs4_search_yahoo_com','<a href="http://gr.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : gr.yhs4.search.yahoo.com</a>',
-'hk_image_search_yahoo_com','<a href="http://hk.image.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : hk.image.search.yahoo.com</a>',
-'hk_images_search_yahoo_com','<a href="http://hk.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : hk.images.search.yahoo.com</a>',
-'hk_search_yahoo_com','<a href="http://hk.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : hk.search.yahoo.com</a>',
-'id_images_search_yahoo_com','<a href="http://id.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : id.images.search.yahoo.com</a>',
-'id_search_yahoo_com','<a href="http://id.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : id.search.yahoo.com</a>',
-'id_yhs4_search_yahoo_com','<a href="http://id.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : id.yhs4.search.yahoo.com</a>',
-'ie_search_yahoo_com','<a href="http://ie.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : ie.search.yahoo.com</a>',
-'image_search_yahoo_co_jp','<a href="http://image.search.yahoo.co.jp/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : image.search.yahoo.co.jp</a>',
-'images_search_yahoo_com','<a href="http://images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : images.search.yahoo.com</a>',
-'in_images_search_yahoo_com','<a href="http://in.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : in.images.search.yahoo.com</a>',
-'in_search_yahoo_com','<a href="http://in.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : in.search.yahoo.com</a>',
-'in_yhs4_search_yahoo_com','<a href="http://in.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : in.yhs4.search.yahoo.com</a>',
-'it_images_search_yahoo_com','<a href="http://it.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : it.images.search.yahoo.com</a>',
-'it_search_yahoo_com','<a href="http://it.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : it.search.yahoo.com</a>',
-'it_yhs4_search_yahoo_com','<a href="http://it.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : it.yhs4.search.yahoo.com</a>',
-'kr_search_yahoo_com','<a href="http://kr.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : kr.search.yahoo.com</a>',
-'malaysia_images_search_yahoo_com','<a href="http://malaysia.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : malaysia.images.search.yahoo.com</a>',
-'malaysia_search_yahoo_com','<a href="http://malaysia.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : malaysia.search.yahoo.com</a>',
-'mx_images_search_yahoo_com','<a href="http://mx.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : mx.images.search.yahoo.com</a>',
-'mx_search_yahoo_com','<a href="http://mx.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : mx.search.yahoo.com</a>',
-'nl_images_search_yahoo_com','<a href="http://nl.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : nl.images.search.yahoo.com</a>',
-'nl_search_yahoo_com','<a href="http://nl.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : nl.search.yahoo.com</a>',
-'nl_yhs4_search_yahoo_com','<a href="http://nl.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : nl.yhs4.search.yahoo.com</a>',
-'no_search_yahoo_com','<a href="http://no.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : no.search.yahoo.com</a>',
-'nz_search_yahoo_com','<a href="http://nz.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : nz.search.yahoo.com</a>',
-'pe_images_search_yahoo_com','<a href="http://pe.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : pe.images.search.yahoo.com</a>',
-'ph_images_search_yahoo_com','<a href="http://ph.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : ph.images.search.yahoo.com</a>',
-'ph_search_yahoo_com','<a href="http://ph.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : ph.search.yahoo.com</a>',
-'ph_yhs4_search_yahoo_com','<a href="http://ph.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : ph.yhs4.search.yahoo.com</a>',
-'pl_yhs4_search_yahoo_com','<a href="http://pl.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : pl.yhs4.search.yahoo.com</a>',
-'qc_images_search_yahoo_com','<a href="http://qc.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : qc.images.search.yahoo.com</a>',
-'qc_search_yahoo_com','<a href="http://qc.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : qc.search.yahoo.com</a>',
-'r_search_yahoo_com','<a href="http://r.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : r.search.yahoo.com</a>',
-'ru_images_search_yahoo_com','<a href="http://ru.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : ru.images.search.yahoo.com</a>',
-'se_images_search_yahoo_com','<a href="http://se.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : se.images.search.yahoo.com</a>',
-'se_search_yahoo_com','<a href="http://se.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : se.search.yahoo.com</a>',
-'se_yhs4_search_yahoo_com','<a href="http://se.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : se.yhs4.search.yahoo.com</a>',
-'search_yahoo_co_jp','<a href="http://search.yahoo.co.jp/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : search.yahoo.co.jp</a>',
-'search_yahoo_com','<a href="http://search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : search.yahoo.com</a>',
-'sg_images_search_yahoo_com','<a href="http://sg.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : sg.images.search.yahoo.com</a>',
-'sg_search_yahoo_com','<a href="http://sg.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : sg.search.yahoo.com</a>',
-'sg_yhs4_search_yahoo_com','<a href="http://sg.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : sg.yhs4.search.yahoo.com</a>',
-'tr_yhs4_search_yahoo_com','<a href="http://tr.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : tr.yhs4.search.yahoo.com</a>',
-'tw_image_search_yahoo_com','<a href="http://tw.image.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : tw.image.search.yahoo.com</a>',
-'tw_images_search_yahoo_com','<a href="http://tw.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : tw.images.search.yahoo.com</a>',
-'tw_search_yahoo_com','<a href="http://tw.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : tw.search.yahoo.com</a>',
-'uk_images_search_yahoo_com','<a href="http://uk.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : uk.images.search.yahoo.com</a>',
-'uk_search_yahoo_com','<a href="http://uk.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : uk.search.yahoo.com</a>',
-'uk_yhs_search_yahoo_com','<a href="http://uk.yhs.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : uk.yhs.search.yahoo.com</a>',
-'uk_yhs4_search_yahoo_com','<a href="http://uk.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : uk.yhs4.search.yahoo.com</a>',
-'us_search_yahoo_com','<a href="http://us.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : us.search.yahoo.com</a>',
-'us_yhs4_search_yahoo_com','<a href="http://us.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : us.yhs4.search.yahoo.com</a>',
-'vn_images_search_yahoo_com','<a href="http://vn.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow" target="_blank">Yahoo : vn.images.search.yahoo.com</a>',
+'ar_images_search_yahoo_com','<a href="http://ar.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : ar.images.search.yahoo.com</a>',
+'ar_search_yahoo_com','<a href="http://ar.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : ar.search.yahoo.com</a>',
+'at_images_search_yahoo_com','<a href="http://at.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : at.images.search.yahoo.com</a>',
+'at_search_yahoo_com','<a href="http://at.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : at.search.yahoo.com</a>',
+'au_images_search_yahoo_com','<a href="http://au.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : au.images.search.yahoo.com</a>',
+'au_search_yahoo_com','<a href="http://au.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : au.search.yahoo.com</a>',
+'br_images_search_yahoo_com','<a href="http://br.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : br.images.search.yahoo.com</a>',
+'br_search_yahoo_com','<a href="http://br.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : br.search.yahoo.com</a>',
+'ca_images_search_yahoo_com','<a href="http://ca.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : ca.images.search.yahoo.com</a>',
+'ca_search_yahoo_com','<a href="http://ca.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : ca.search.yahoo.com</a>',
+'ca_yhs4_search_yahoo_com','<a href="http://ca.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : ca.yhs4.search.yahoo.com</a>',
+'ch_images_search_yahoo_com','<a href="http://ch.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : ch.images.search.yahoo.com</a>',
+'ch_yhs4_search_yahoo_com','<a href="http://ch.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : ch.yhs4.search.yahoo.com</a>',
+'de_search_yahoo_com','<a href="http://de.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : de.search.yahoo.com</a>',
+'de_yhs4_search_yahoo_com','<a href="http://de.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : de.yhs4.search.yahoo.com</a>',
+'es_images_search_yahoo_com','<a href="http://es.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : es.images.search.yahoo.com</a>',
+'es_search_yahoo_com','<a href="http://es.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : es.search.yahoo.com</a>',
+'es_yhs4_search_yahoo_com','<a href="http://es.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : es.yhs4.search.yahoo.com</a>',
+'espanol_images_search_yahoo_com','<a href="http://espanol.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : espanol.images.search.yahoo.com</a>',
+'espanol_search_yahoo_com','<a href="http://espanol.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : espanol.search.yahoo.com</a>',
+'fr_images_search_yahoo_com','<a href="http://fr.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : fr.images.search.yahoo.com</a>',
+'fr_search_yahoo_com','<a href="http://fr.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : fr.search.yahoo.com</a>',
+'fr_yhs4_search_yahoo_com','<a href="http://fr.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : fr.yhs4.search.yahoo.com</a>',
+'gr_search_yahoo_com','<a href="http://gr.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : gr.search.yahoo.com</a>',
+'gr_yhs4_search_yahoo_com','<a href="http://gr.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : gr.yhs4.search.yahoo.com</a>',
+'hk_image_search_yahoo_com','<a href="http://hk.image.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : hk.image.search.yahoo.com</a>',
+'hk_images_search_yahoo_com','<a href="http://hk.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : hk.images.search.yahoo.com</a>',
+'hk_search_yahoo_com','<a href="http://hk.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : hk.search.yahoo.com</a>',
+'id_images_search_yahoo_com','<a href="http://id.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : id.images.search.yahoo.com</a>',
+'id_search_yahoo_com','<a href="http://id.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : id.search.yahoo.com</a>',
+'id_yhs4_search_yahoo_com','<a href="http://id.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : id.yhs4.search.yahoo.com</a>',
+'ie_search_yahoo_com','<a href="http://ie.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : ie.search.yahoo.com</a>',
+'image_search_yahoo_co_jp','<a href="http://image.search.yahoo.co.jp/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : image.search.yahoo.co.jp</a>',
+'images_search_yahoo_com','<a href="http://images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : images.search.yahoo.com</a>',
+'in_images_search_yahoo_com','<a href="http://in.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : in.images.search.yahoo.com</a>',
+'in_search_yahoo_com','<a href="http://in.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : in.search.yahoo.com</a>',
+'in_yhs4_search_yahoo_com','<a href="http://in.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : in.yhs4.search.yahoo.com</a>',
+'it_images_search_yahoo_com','<a href="http://it.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : it.images.search.yahoo.com</a>',
+'it_search_yahoo_com','<a href="http://it.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : it.search.yahoo.com</a>',
+'it_yhs4_search_yahoo_com','<a href="http://it.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : it.yhs4.search.yahoo.com</a>',
+'kr_search_yahoo_com','<a href="http://kr.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : kr.search.yahoo.com</a>',
+'malaysia_images_search_yahoo_com','<a href="http://malaysia.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : malaysia.images.search.yahoo.com</a>',
+'malaysia_search_yahoo_com','<a href="http://malaysia.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : malaysia.search.yahoo.com</a>',
+'mx_images_search_yahoo_com','<a href="http://mx.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : mx.images.search.yahoo.com</a>',
+'mx_search_yahoo_com','<a href="http://mx.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : mx.search.yahoo.com</a>',
+'nl_images_search_yahoo_com','<a href="http://nl.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : nl.images.search.yahoo.com</a>',
+'nl_search_yahoo_com','<a href="http://nl.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : nl.search.yahoo.com</a>',
+'nl_yhs4_search_yahoo_com','<a href="http://nl.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : nl.yhs4.search.yahoo.com</a>',
+'no_search_yahoo_com','<a href="http://no.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : no.search.yahoo.com</a>',
+'nz_search_yahoo_com','<a href="http://nz.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : nz.search.yahoo.com</a>',
+'pe_images_search_yahoo_com','<a href="http://pe.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : pe.images.search.yahoo.com</a>',
+'ph_images_search_yahoo_com','<a href="http://ph.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : ph.images.search.yahoo.com</a>',
+'ph_search_yahoo_com','<a href="http://ph.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : ph.search.yahoo.com</a>',
+'ph_yhs4_search_yahoo_com','<a href="http://ph.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : ph.yhs4.search.yahoo.com</a>',
+'pl_yhs4_search_yahoo_com','<a href="http://pl.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : pl.yhs4.search.yahoo.com</a>',
+'qc_images_search_yahoo_com','<a href="http://qc.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : qc.images.search.yahoo.com</a>',
+'qc_search_yahoo_com','<a href="http://qc.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : qc.search.yahoo.com</a>',
+'r_search_yahoo_com','<a href="http://r.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : r.search.yahoo.com</a>',
+'ru_images_search_yahoo_com','<a href="http://ru.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : ru.images.search.yahoo.com</a>',
+'se_images_search_yahoo_com','<a href="http://se.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : se.images.search.yahoo.com</a>',
+'se_search_yahoo_com','<a href="http://se.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : se.search.yahoo.com</a>',
+'se_yhs4_search_yahoo_com','<a href="http://se.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : se.yhs4.search.yahoo.com</a>',
+'search_yahoo_co_jp','<a href="http://search.yahoo.co.jp/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : search.yahoo.co.jp</a>',
+'search_yahoo_com','<a href="http://search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : search.yahoo.com</a>',
+'sg_images_search_yahoo_com','<a href="http://sg.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : sg.images.search.yahoo.com</a>',
+'sg_search_yahoo_com','<a href="http://sg.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : sg.search.yahoo.com</a>',
+'sg_yhs4_search_yahoo_com','<a href="http://sg.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : sg.yhs4.search.yahoo.com</a>',
+'tr_yhs4_search_yahoo_com','<a href="http://tr.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : tr.yhs4.search.yahoo.com</a>',
+'tw_image_search_yahoo_com','<a href="http://tw.image.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : tw.image.search.yahoo.com</a>',
+'tw_images_search_yahoo_com','<a href="http://tw.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : tw.images.search.yahoo.com</a>',
+'tw_search_yahoo_com','<a href="http://tw.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : tw.search.yahoo.com</a>',
+'uk_images_search_yahoo_com','<a href="http://uk.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : uk.images.search.yahoo.com</a>',
+'uk_search_yahoo_com','<a href="http://uk.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : uk.search.yahoo.com</a>',
+'uk_yhs_search_yahoo_com','<a href="http://uk.yhs.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : uk.yhs.search.yahoo.com</a>',
+'uk_yhs4_search_yahoo_com','<a href="http://uk.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : uk.yhs4.search.yahoo.com</a>',
+'us_search_yahoo_com','<a href="http://us.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : us.search.yahoo.com</a>',
+'us_yhs4_search_yahoo_com','<a href="http://us.yhs4.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : us.yhs4.search.yahoo.com</a>',
+'vn_images_search_yahoo_com','<a href="http://vn.images.search.yahoo.com/" title="Search Engine Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yahoo : vn.images.search.yahoo.com</a>',
 
-'yahoo_mindset','<a href="http://mindset.research.yahoo.com/" rel="nofollow" title="Search Engine Home Page [new window]" target="_blank">Yahoo! Mindset</a>',
+'yahoo_mindset','<a href="http://mindset.research.yahoo.com/" rel="nofollow noopener noreferrer" title="Search Engine Home Page [new window]" target="_blank">Yahoo! Mindset</a>',
 
 'images_search_yahoo_catchall','Yahoo : images search ( catchall )',
 'yhs4_search_yahoo_catchall','Yahoo : yhs4 search ( catchall )',
@@ -5510,21 +5510,21 @@
 'yahoo_catchall','Yahoo : ( catchall )',
 
 'yandex','yandex ( catchall )',
-'yandexcom','<a href="http://yandex.com/" rel="nofollow" title="Search Engine Home Page [new window]" target="_blank">Yandex .com</a>',
-'yandexcomtr','<a href="http://yandex.com.tr/" rel="nofollow" title="Search Engine Home Page [new window]" target="_blank">Yandex .com.tr</a>',
-'yandexkz','<a href="http://yandex.kz/" rel="nofollow" title="Search Engine Home Page [new window]" target="_blank">Yandex .kz</a>',
-'yandexru','<a href="http://yandex.ru/" rel="nofollow" title="Search Engine Home Page [new window]" target="_blank">Yandex .ru</a>',
-'yandexua','<a href="http://yandex.ua/" rel="nofollow" title="Search Engine Home Page [new window]" target="_blank">Yandex .ua</a>',
-'yell','<a href="http://www.yell.com/" title="Yell Home Page [new window]" rel="nofollow" target="_blank">Yell</a>',
-'yourbestsearch','<a href="http://yourbestsearch.net/" title="Home Page [new window]" rel="nofollow" target="_blank">YourBest Search</a>',
+'yandexcom','<a href="http://yandex.com/" rel="nofollow noopener noreferrer" title="Search Engine Home Page [new window]" target="_blank">Yandex .com</a>',
+'yandexcomtr','<a href="http://yandex.com.tr/" rel="nofollow noopener noreferrer" title="Search Engine Home Page [new window]" target="_blank">Yandex .com.tr</a>',
+'yandexkz','<a href="http://yandex.kz/" rel="nofollow noopener noreferrer" title="Search Engine Home Page [new window]" target="_blank">Yandex .kz</a>',
+'yandexru','<a href="http://yandex.ru/" rel="nofollow noopener noreferrer" title="Search Engine Home Page [new window]" target="_blank">Yandex .ru</a>',
+'yandexua','<a href="http://yandex.ua/" rel="nofollow noopener noreferrer" title="Search Engine Home Page [new window]" target="_blank">Yandex .ua</a>',
+'yell','<a href="http://www.yell.com/" title="Yell Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">Yell</a>',
+'yourbestsearch','<a href="http://yourbestsearch.net/" title="Home Page [new window]" rel="nofollow noopener noreferrer" target="_blank">YourBest Search</a>',
 'youtube','youtube',
 'zapmeta_catchall','zapmeta ( catchall )',
 'zapmeta_ch','zapmeta ch',
 'zapmeta_com','zapmeta com',
 'zapmeta_de','zapmeta de',
-'zhongsou','<a href="http://www.zhongsou.com/" rel="nofollow" target="_blank">ZhongSou</a>',
-'zoeken','<a href="http://www.zoeken.nl/" rel="nofollow" target="_blank">Zoeken</a>',
-'zoznam','<a href="http://www.zoznam.sk/" title="Zoznam search engine home page [new window]" rel="nofollow" target="_blank">Zoznam</a>',
+'zhongsou','<a href="http://www.zhongsou.com/" rel="nofollow noopener noreferrer" target="_blank">ZhongSou</a>',
+'zoeken','<a href="http://www.zoeken.nl/" rel="nofollow noopener noreferrer" target="_blank">Zoeken</a>',
+'zoznam','<a href="http://www.zoznam.sk/" title="Zoznam search engine home page [new window]" rel="nofollow noopener noreferrer" target="_blank">Zoznam</a>',
 
 # Generic search engines
 'search','Unknown search engines'
-- 
2.15.1

